commit 6a79af7f04a193827903693a93b07ac732df8919
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Oct 18 15:21:25 2011 +0200

    [release] 3.2.1

 NEWS         |   10 ++++++++++
 configure.ac |    2 +-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit ff4a8714e575d6861eacc4a48aff1b4897ace7d7
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Fri Oct 14 10:22:07 2011 +0900

    Updated Japanese translation

 po/ja.po |  827 +++++++-------------------------------------------------------
 1 files changed, 85 insertions(+), 742 deletions(-)

commit 40a217ddb38600445eb8cac0e95f659e68e83c53
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Mon Oct 3 15:12:43 2011 +0900

    Fixed Bug 660749. Call gtk_label_set_use_markup for the child of manual_button

 src/ephy-encoding-dialog.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ec9b714adc32f7a87e7c859f422009143f935467
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Wed Oct 5 00:51:20 2011 +0300

    Updated Latvian translation.

 po/lv.po |   49 ++++++++++++++++++++++---------------------------
 1 files changed, 22 insertions(+), 27 deletions(-)

commit 49d641b2cbcaa47a9812ba80371f10807788aa80
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat Oct 1 18:34:08 2011 +0200

    Updated Esperanto translation

 po/eo.po | 1516 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 849 insertions(+), 667 deletions(-)

commit ab96fd445cb6a8b707d60fb87553e4af6cf20dd5
Author: Funda Wang <fundawang@gmail.com>
Date:   Wed Sep 28 02:00:49 2011 +0200

    fix string format

 embed/ephy-request-about.c |    2 +-
 src/ephy-window.c          |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit b3e49495eade981bfd4685b017483ab4a39cfe99
Author: Aron Xu <aronxu@gnome.org>
Date:   Tue Sep 27 14:08:04 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po | 1025 +++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 577 insertions(+), 448 deletions(-)

commit 1cb7fb1109aecedd224d03fda202165adf3423a7
Author: Ionut Biru <ibiru@archlinux.org>
Date:   Mon Sep 26 18:12:40 2011 +0000

    Don't crash when network manager is not available
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659103
    
    Signed-off-by: Ionut Biru <ibiru@archlinux.org>

 src/ephy-shell.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 76aa514c60e92f69823ee6d1aa3aecec24c3fc8e
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Sep 27 02:19:04 2011 +0200

    [release] 3.2.0

 NEWS         |    8 ++++++++
 configure.ac |   10 +++++-----
 2 files changed, 13 insertions(+), 5 deletions(-)

commit 76ec61b9f9a5919dee4a67e58eb12fa107d2317f
Author: Petr Kovar <pkovar@redhat.com>
Date:   Mon Sep 26 15:03:06 2011 +0200

    Update Czech translation by Lucas Lommer

 po/cs.po | 1010 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 568 insertions(+), 442 deletions(-)

commit 5b56fe63ebcb58f84b2402faab3d43079152c657
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon Sep 26 14:22:54 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 1005 +++++++++++++++++++++++++++++------------------------
 1 files changed, 554 insertions(+), 451 deletions(-)

commit 5773c1d610554ea715e2067c1d978dd51e4089e0
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Sun Sep 25 17:51:27 2011 -0600

    Updated Irish translation

 po/ga.po | 2330 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 972 insertions(+), 1358 deletions(-)

commit 57bbe9fe6f66844d854aa9b9009e04fabd2c1b9c
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Sep 24 16:40:34 2011 +0200

    Updated Basque language

 po/eu.po | 1061 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 599 insertions(+), 462 deletions(-)

commit 3f08818bfb500c851c897964b89244230190aa15
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Sep 24 07:46:52 2011 +0900

    Updated Korean translation

 po/ko.po | 2144 ++++++++++++++++----------------------------------------------
 1 files changed, 546 insertions(+), 1598 deletions(-)

commit 15fa425eb5cd42f3c6eb5a47fefb8ecd72ad64ce
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   Fri Sep 23 19:15:29 2011 +0200

    Updated Aragonese translation

 po/an.po |  974 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 537 insertions(+), 437 deletions(-)

commit 463b8c2002f0d91bdf04ead6ccb50a022c1b1419
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Fri Sep 23 15:48:40 2011 +0300

    .gitignore: Ignore generated POT file (po/*.pot)

 .gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 53dc77f024bd8fce67551f9871056aa248fd6e44
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Fri Sep 23 15:45:46 2011 +0300

    Updated Finnish translation

 po/fi.po |  712 +++++++++++++++-----------------------------------------------
 1 files changed, 165 insertions(+), 547 deletions(-)

commit 3d1d0936e6a46dd3b0722d0937dc7eb9dbe371d5
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Fri Sep 23 16:09:24 2011 +0530

    Updated Gujarati Translations

 po/gu.po | 1461 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 821 insertions(+), 640 deletions(-)

commit 3976aaee86547274691b8fc9e09e88d5bdf59e64
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Sep 23 08:20:41 2011 +0300

    Updated Hebrew translation.

 po/he.po |  923 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 494 insertions(+), 429 deletions(-)

commit b023195985be683125abc012efcbca5ed8311d19
Author: Gil Forcada <gforcada@gnome.org>
Date:   Thu Sep 22 20:03:41 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po | 1058 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 587 insertions(+), 471 deletions(-)

commit 42964267f6368acf655e945581caf0e62ec7ae83
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Sep 22 12:12:41 2011 +0200

    Update Assamese translation

 po/as.po | 4836 ++++++++++++++++++++++----------------------------------------
 1 files changed, 1702 insertions(+), 3134 deletions(-)

commit 34b709490f0c67ebf1718d7a1c39cd27ae301590
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Sep 19 12:47:46 2011 +0200

    [release] 3.1.92

 NEWS         |   12 ++++++++++++
 configure.ac |    4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 9b73637abab16f002c843665ac9825fead894c50
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Sep 20 23:47:35 2011 +0300

    Uploaded Ukranian

 po/uk.po | 1011 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 567 insertions(+), 444 deletions(-)

commit 8781dfa4669e8c3a12a7c084cbb1695510ac551f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 20 13:19:45 2011 +0200

    Updated Slovenian translation

 po/sl.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4097662fb5eb952de3c92da627c404684f519dff
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 20 13:16:59 2011 +0200

    Updated Slovenian translation

 po/sl.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2d4ae65d1a7b3608c6ecf910d77491524e8f3e4e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 20 13:06:17 2011 +0200

    Updated Slovenian translation

 po/sl.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 55ce5a13888634e4a3589c6fe1c862db5968e411
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Sep 17 17:55:10 2011 +0200

    Updated Slovenian translation

 po/sl.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d0fd655cdb627ba34e4e01a6e31eb5d99e40eb5a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Sep 17 17:48:52 2011 +0200

    Updated Slovenian translation

 po/sl.po |  922 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 470 insertions(+), 452 deletions(-)

commit efc9878e61e41e8f50eeb37d3a33430c2893627b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Sep 20 01:56:36 2011 +0200

    Updated Hungarian translation

 po/hu.po |  908 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 493 insertions(+), 415 deletions(-)

commit 19be579ae1e7e7baacfb034ccca51f6dec3bf373
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Mon Sep 19 14:34:43 2011 +0700

    Updated Thai translation.

 po/th.po | 1475 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 821 insertions(+), 654 deletions(-)

commit 8be9dfbf89f4b65661942a50b8878718150ab8f4
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sun Sep 18 22:44:33 2011 +0300

    Updated Turkish translation

 po/tr.po | 1032 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 567 insertions(+), 465 deletions(-)

commit bcc2baa3a6114569e2eb4c711029d401ea511b48
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Sep 18 19:20:57 2011 +0300

    Updated Latvian translation.

 po/lv.po |  133 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 53 insertions(+), 80 deletions(-)

commit 413f702b116c7277d241bf961b3bb56789fa1613
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 18 09:57:35 2011 +0530

    update Punjabi Translation

 po/pa.po |  964 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 528 insertions(+), 436 deletions(-)

commit 4fa7b24490aee6ce0233d0825c2cf47d667b199c
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Sep 17 15:27:38 2011 +0200

    ephy-shell: chain to parent ::startup method

 src/ephy-shell.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 34c55e1bc72392575df57f4e054d25d09f57bef9
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Sep 17 11:49:50 2011 +0900

    Updated Japanese translation

 po/ja.po | 1212 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 698 insertions(+), 514 deletions(-)

commit 48fd606ca365c80f8698241eb22009821105fadf
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Sep 17 00:13:28 2011 +0200

    Updated Serbian translation

 po/sr.po       | 1145 +++++++++++++++++++++++++++++++-------------------------
 po/sr@latin.po | 1145 +++++++++++++++++++++++++++++++-------------------------
 2 files changed, 1254 insertions(+), 1036 deletions(-)

commit 74d5e07d5ecae8ae462bb54b3a71ecea2a0bc837
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Fri Sep 16 14:19:16 2011 +0200

    Updated Danish translation

 po/da.po | 1061 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 590 insertions(+), 471 deletions(-)

commit ff27d3deece83340959630ba5135bc93225b4d05
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Fri Sep 16 01:17:49 2011 +0200

    l10n: Updated Italian translation

 po/it.po | 1058 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 578 insertions(+), 480 deletions(-)

commit da7da019a5d85650c3be693080a3b52d18ac9b36
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:   Fri Sep 16 00:19:25 2011 +0200

    2011-09-16 Reinout van Schouwen <reinouts@gnome.org>
    
    	- nl.po: Updated Dutch translation

 po/nl.po | 1300 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 689 insertions(+), 611 deletions(-)

commit 6acf22c4e1e00ece79604561b2f6a1e29f85d994
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Sep 16 00:03:05 2011 +0300

    Add translation context for a string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658900

 embed/ephy-request-about.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 03669159f843e007f98b51334bb66833d82d0f8f
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Sep 15 21:02:16 2011 +0300

    Updated Lithuanian translation

 po/lt.po |  656 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 365 insertions(+), 291 deletions(-)

commit 87e5744a3c74655648d5fbc022924ace1a9e5992
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Sep 15 11:04:28 2011 +0200

    configure.ac: switch to dist-xz
    
    It's the default tarball format for GNOME now.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 52a4aa1e4453e0af814b62c40e6b9170b11763f1
Author: dmustieles <daniel.mustieles@gmail.com>
Date:   Wed Sep 14 17:10:02 2011 +0200

    Updated Spanish translation

 po/es.po | 7821 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 3910 insertions(+), 3911 deletions(-)

commit 609ffd1a4aed6061da9d45a0c7325aaa55dfbdd4
Author: Abderrahim Kitouni <a.kitouni@gmail.com>
Date:   Wed Sep 14 10:34:57 2011 +0100

    Updated Arabic translation

 po/ar.po |  217 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 109 insertions(+), 108 deletions(-)

commit 8236e2542c916d0dc1c3b4770d00c01163e83dc3
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:   Wed Sep 14 06:43:23 2011 +0300

    Updated Bulgarian translation

 po/bg.po |  838 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 442 insertions(+), 396 deletions(-)

commit 52eac78fb3c8da37aa836292c701e65df8254ecf
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Sep 13 18:51:30 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  102 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 53 insertions(+), 49 deletions(-)

commit 1616c7dd8f4990d05f5843399027033479d2e9e3
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Tue Sep 13 14:29:00 2011 +0530

    updated Tamil translation

 po/ta.po | 1116 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 621 insertions(+), 495 deletions(-)

commit 5594bff3ccef0b0391d0590666c12f00c06c0594
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Sep 12 20:32:54 2011 +0200

    Updated Swedish translation

 po/sv.po |  612 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 326 insertions(+), 286 deletions(-)

commit f830ff5e7665da7183414a36398634062201e65d
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Mon Sep 12 17:20:00 2011 +0300

    Fix documentation comment

 embed/ephy-web-app-utils.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 253893c68f88ef288b70b809cbdde4964e7dbd87
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Sep 9 17:11:31 2011 +0300

    web apps: Remove G_DIRECTORY_SEPARATOR chars from filenames
    
    To avoid nasty surprises
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658028

 embed/ephy-web-app-utils.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 66e093c5012edb5278d81ba18f8b11ab34b2370c
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Sep 9 12:30:46 2011 +0300

    Normalize the web app profile directory and desktop file names
    
    This is necessary to allow the shell to guess properly the location of
    the desktop file out of the WM_CLASS property in the application window.
    Also, append a sha1 checksum to the filenames to avoid collisions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658010

 embed/ephy-web-app-utils.c |   46 ++++++++++++++++++++++++++++++++++++-------
 1 files changed, 38 insertions(+), 8 deletions(-)

commit e133d3eb3b88a711bfd3b297fc1174f465491956
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Sep 12 01:32:24 2011 +0200

    ephy-web-view: SoupURI construction can fail for invalid URIs
    
    Guard against that.

 embed/ephy-web-view.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit ad1a6273b4d810ff52da001a6e8db76fec6aacea
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Mon Sep 12 00:34:42 2011 +0300

    Updated Latvian translation.

 po/lv.po |  941 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 524 insertions(+), 417 deletions(-)

commit 85ea3a2ebb60e88c0bdc3c7e0d1f49c9b3e1cfc9
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Sep 11 16:54:39 2011 +0200

    ephy-web-view: remove unused and unimplemented method

 doc/reference/epiphany-sections.txt |    1 -
 embed/ephy-web-view.c               |   17 -----------------
 embed/ephy-web-view.h               |    1 -
 3 files changed, 0 insertions(+), 19 deletions(-)

commit 459bebb428dda92619ad15562b5897b52043900d
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Sep 11 16:52:04 2011 +0200

    ephy-web-view: sort includes

 embed/ephy-web-view.c |   28 ++++++++++++++--------------
 1 files changed, 14 insertions(+), 14 deletions(-)

commit a525b75a8ba54d1b296bde2a3d72748c3d6967a4
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Sep 11 16:50:11 2011 +0200

    ephy-web-view: use SoupURI for about: check
    
    Turns out the stuff after about: in a SoupURI will be the path, not
    the host. Guess it makes sense.

 embed/ephy-web-view.c |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit ee49121cf43796e1d55ac5589a97ed3dca286280
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Sep 11 16:03:45 2011 +0200

    ephy-shell: remove unused includes

 src/ephy-shell.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 7644b0abc2fdc294d09f95584c835abbdbb96fd1
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Sep 11 15:51:27 2011 +0200

    ephy-shell: do not resume session in web app mode
    
    Session resume will ask to resume the session (opened pages, etc) if
    the previous instance crashed. We don't really want this in web app
    mode, so skip it. Note that this is not exactly the same than loading
    the session, which just restores the previous window sizes and
    states. We do want that, but the terminology here could be more clear.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658739

 src/ephy-shell.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 2d26c13ddb3f59d86b4c3a2f2d2e211a15194852
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Sep 11 15:41:31 2011 +0200

    ephy-shell: sort includes and remove duplicates

 src/ephy-shell.c |   55 +++++++++++++++++++++++++----------------------------
 1 files changed, 26 insertions(+), 29 deletions(-)

commit a00032078c5a42860196f0e5bc66a8f17111f9df
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Sep 11 15:38:52 2011 +0200

    ephy-main: sort includes (and remove duplicates!)

 src/ephy-main.c |   23 +++++++++--------------
 1 files changed, 9 insertions(+), 14 deletions(-)

commit 633c48f84f3467538ad10c980fd5fecbdcf311fa
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Sep 11 15:35:52 2011 +0200

    ephy-location-entry: remove unused include

 lib/widgets/ephy-location-entry.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 836ec4cfb72d1e155e3502c36bcd034194d42e03
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Sep 11 11:33:15 2011 +0200

    Updated Spanish translation

 po/es.po |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit bcf2af32b8c8c8b8079b24604e4af08e1aba3841
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Sep 11 11:32:04 2011 +0200

    Updated Spanish translation

 po/es.po | 7823 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 3914 insertions(+), 3909 deletions(-)

commit be4dccdc2383509fb345fcf7395287e75bf2257f
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Sat Sep 10 21:14:38 2011 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po |  900 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 490 insertions(+), 410 deletions(-)

commit d1aa0546c1b0fb3e66f4d9adeafe7aa70cfaec83
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Sep 11 02:39:45 2011 +0200

    [l10n] Updated German translation

 po/de.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ee671af5442acb8b5ff67dc62ab20b232a571887
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Sep 11 02:38:56 2011 +0200

    [l10n] Updated German translation

 po/de.po |  902 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 492 insertions(+), 410 deletions(-)

commit 0993cc67b6fc7f6e73fd04d992ed25885d7a25ce
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Sep 11 01:07:53 2011 +0100

    Updated Portuguese translation

 po/pt.po | 1062 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 585 insertions(+), 477 deletions(-)

commit b3dff05503b81dd424459afc5bca31cfe9f1dae9
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Sep 10 22:14:09 2011 +0200

    Updated French translation
    
    Contributed by Luc Guillemin, Luc Pionchon and Claude Paroz

 po/fr.po | 1027 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 567 insertions(+), 460 deletions(-)

commit af15d4d4fbca4fc77b3c10dd26474c2a7598aa17
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Sat Sep 10 15:52:17 2011 +0430

    Updated Persian translation

 po/fa.po |  192 +++++++++++++++-----------------------------------------------
 1 files changed, 45 insertions(+), 147 deletions(-)

commit 3812e60c3754effa28c0036b3fda7081e513c4f6
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Sep 10 14:57:46 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  608 ++++++++++++-------------------------------------------
 po/zh_TW.po |  649 +++++++++++++++--------------------------------------------
 2 files changed, 300 insertions(+), 957 deletions(-)

commit cdfebccad775d2df564fd25cbfd6965255040a91
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Sep 9 12:27:09 2011 +0300

    Remove obsolete comment

 embed/ephy-web-app-utils.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit d9dc07d5e89f56871d6df629015226c4e0ddb133
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Sep 8 22:56:32 2011 +0200

    HACKING: add note about comments

 HACKING |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 368e65ed6173f75b3c9ccf19e26b2846fc6fb3d0
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Sep 8 22:51:43 2011 +0200

    ephy-window: disable unwanted actions in application mode
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657624

 src/ephy-window.c |   39 ++++++++++++++++++++++++++++++++++++---
 1 files changed, 36 insertions(+), 3 deletions(-)

commit c044acd19e68216221a157cfa884f90f5d3739a2
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Sep 8 17:53:51 2011 +0200

    ephy-toolbar: undo this hack
    
    We'll do things properly now.

 src/ephy-toolbar.c |   11 ++++-------
 1 files changed, 4 insertions(+), 7 deletions(-)

commit 5ff57f9a474ee163133231dc2f8e3fde223b4e7d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 8 21:14:54 2011 +0200

    Updated Polish translation

 po/pl.po | 1000 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 549 insertions(+), 451 deletions(-)

commit 185b2d0fd04d8d443fd30967e7abd27a08abc544
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Sep 8 15:21:23 2011 +0200

    ephy-web-view: remove now unused parameter to sprintf
    
    Noticed by Luc Pionchon.

 embed/ephy-web-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4d0a707b788e14052d044ec52d57f33e825b7d27
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Sep 8 19:07:08 2011 +0700

    Updated Indonesian translation

 po/id.po | 1039 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 493 insertions(+), 546 deletions(-)

commit b3de4ed0191946de9e57584b1c8c031713a4fa11
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Thu Sep 8 10:25:27 2011 +0400

    Updated Russian translation

 po/ru.po |  853 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 431 insertions(+), 422 deletions(-)

commit 92c913ed9d386bffacaeee057d36435f7aed5bcd
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Sep 7 17:05:53 2011 +0100

    Updated British English translation

 po/en_GB.po | 1060 +++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 588 insertions(+), 472 deletions(-)

commit 688de08956879cf1e3488e6ab56143f10365c25c
Author: Jorge González <aloriel@mail.com>
Date:   Wed Sep 7 12:43:57 2011 +0200

    Updated Spanish translation

 po/es.po |  100 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 48 insertions(+), 52 deletions(-)

commit 074a3e126c87cff839b968bd6ff37c3f32f33e5b
Author: Fran Dieguez <fran@openhost.es>
Date:   Wed Sep 7 02:30:25 2011 +0200

    Updated galician translations

 po/gl.po |  146 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 87 insertions(+), 59 deletions(-)

commit 9acfe587398f73cd911454b08ea8c178e20ed259
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Sep 7 02:17:47 2011 +0200

    [release] 3.1.91.1

 NEWS         |    8 ++++++++
 configure.ac |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit f42d91a04004ef3679a7d530f099d70f5be9c112
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Sep 7 02:11:04 2011 +0200

    ephy-web-view: do not mention the URL twice in error pages
    
    Sounds repetitive.

 embed/ephy-web-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 25cde6dfd8576b6bb16adbca5ee7d04b091f549b
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Sep 7 02:08:40 2011 +0200

    Revert "ephy-web-view: fix title for error pages"
    
    This reverts commit b01497d86f8ed6d1f3ddbfc66d2c5c1354c9afb3.
    
    Xan, see me after class.

 embed/ephy-web-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ef370ca7725035217cc117413b51fdeb17e61360
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Sep 6 22:01:41 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  576 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 292 insertions(+), 284 deletions(-)

commit 46d4df1e1a9ac20fc2572223c84f88a4945ae95d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Sep 6 20:06:02 2011 +0200

    Updated Spanish translation

 po/es.po |   72 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 37 insertions(+), 35 deletions(-)

commit 4d9ac80834b33db640bffe436796c5513e5226ec
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Sep 6 19:14:28 2011 +0200

    [release] 3.1.91

 NEWS         |   16 ++++++++++++++++
 configure.ac |    2 +-
 2 files changed, 17 insertions(+), 1 deletions(-)

commit 4bd5ca329c07b8e8b3a2736c77dd862175cdf37b
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Sep 6 19:10:05 2011 +0200

    Make about:applications prettier
    
    Thanks to Lapo Calamandrei for the CSS.

 data/pages/about.css       |   40 ++++++++++++++++++++++++++++++++++++++++
 embed/ephy-request-about.c |   19 +++++++++++--------
 embed/ephy-web-app-utils.c |   44 ++++++++++++++++++++++++++++++++++++++++++++
 embed/ephy-web-app-utils.h |    2 ++
 4 files changed, 97 insertions(+), 8 deletions(-)

commit 8cfcb6905f4c4dca488987f22a847dd1283b39ac
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Sep 6 15:28:22 2011 +0200

    configure.ac: gdbus-codegen is required
    
    Fail if it's not found. Apparently gentoo ships this independently of
    glib, so it can happen.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657610

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b01497d86f8ed6d1f3ddbfc66d2c5c1354c9afb3
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Sep 6 15:06:32 2011 +0200

    ephy-web-view: fix title for error pages
    
    Diego, talk to me after class.

 embed/ephy-web-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3d42c9482c85f70081000675503160851a96a56e
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Sep 6 19:18:01 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  723 ++++++++++++++++++++++++++++++--------------------------
 po/zh_TW.po |  761 +++++++++++++++++++++++++++++++----------------------------
 2 files changed, 790 insertions(+), 694 deletions(-)

commit 9ef146dd327726e1cec62590d2d5ede542a03cd9
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Tue Sep 6 13:01:54 2011 +0430

    Updated Persian translation

 po/fa.po |  660 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 368 insertions(+), 292 deletions(-)

commit 861d897a9f20306bd60337c176203f9646b60499
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Sep 6 06:07:05 2011 +0200

    Updated Spanish translation

 po/es.po |  343 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 193 insertions(+), 150 deletions(-)

commit a721b5a7396ea36372240b209373af00930ea3f7
Author: Abderrahim Kitouni <a.kitouni@gmail.com>
Date:   Mon Sep 5 23:52:50 2011 +0100

    Updated Arabic Translation

 po/ar.po |  594 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 325 insertions(+), 269 deletions(-)

commit 904503e39079ca3380a41b90e55017853eadb2cb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 5 23:27:20 2011 +0200

    Fixed yo.po

 po/yo.po | 3500 ++++++++++++++++++++++----------------------------------------
 1 files changed, 1206 insertions(+), 2294 deletions(-)

commit bbff8c5cb2d6a7627d15492ddf76dc3cbe04a0eb
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Sep 5 22:47:03 2011 +0200

    ephy-web-view: fix multiple deletes in about:applications
    
    The URI changes to about:applications? after the first one, need to
    take that into account.

 embed/ephy-web-view.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit aada5fcf8f175bf5efa86b304f5db29ac4675e73
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Sep 2 17:51:39 2011 +0300

    Display a notification if the web application saving fails
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658060

 src/window-commands.c |   22 +++++++++++++---------
 1 files changed, 13 insertions(+), 9 deletions(-)

commit 7e16cb64dbb1acb2a3d7e79fc46e565dadeb6bde
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Sep 1 22:28:02 2011 +0300

    Ask the user for confirmation before overwriting web applications
    
    Show a confirmation dialog and, in case the user confirms, delete the
    old application before saving a new one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658060

 src/window-commands.c |  122 +++++++++++++++++++++++++++++++++++--------------
 1 files changed, 87 insertions(+), 35 deletions(-)

commit dfd3abc8dfc5a3b060aee64982c5431975897d12
Author: Fran Dieguez <fran@openhost.es>
Date:   Mon Sep 5 22:04:39 2011 +0200

    Updated galician translations

 po/gl.po |  188 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 100 insertions(+), 88 deletions(-)

commit 08091026a1fb73816f20f0e6d9e7ef92a523092f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 5 20:58:30 2011 +0200

    Updated POTFILES.in

 po/POTFILES.in |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 0c1f1ef6e14716bbfd2b64c057ab043e809b4364
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Sep 5 20:35:14 2011 +0200

    Implement about:applications
    
    A really simple way to list and delete the existing Web
    Applications. Hopefully this will go completely away in 3.4 replaced
    with something in the shell itself.

 embed/ephy-request-about.c |   39 ++++++++++++++++++++++++---
 embed/ephy-web-app-utils.c |   63 ++++++++++++++++++++++++++++++++++++++++++++
 embed/ephy-web-app-utils.h |    9 ++++++
 embed/ephy-web-view.c      |   40 ++++++++++++++++++++++++++++
 4 files changed, 147 insertions(+), 4 deletions(-)

commit 0cff2bef71ac69095f62ace7be8443d42db34d32
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Sep 5 18:21:41 2011 +0200

    ephy-request-about: move this to embed/
    
    We'll need to access embed/ data for about:applications.

 embed/Makefile.am          |    2 +
 embed/ephy-request-about.c |  199 ++++++++++++++++++++++++++++++++++++++++++++
 embed/ephy-request-about.h |   37 ++++++++
 lib/Makefile.am            |    2 -
 lib/ephy-request-about.c   |  199 --------------------------------------------
 lib/ephy-request-about.h   |   37 --------
 6 files changed, 238 insertions(+), 238 deletions(-)

commit 00e5075c92be48a8ad71985ed522aafc1596a58c
Author: Fran Dieguez <fran@openhost.es>
Date:   Mon Sep 5 12:10:15 2011 +0200

    Updated galician translations

 po/gl.po |   47 +++++++++++++++++++++++------------------------
 1 files changed, 23 insertions(+), 24 deletions(-)

commit dc7ad08cdbcb16fa9934f2066241a3d60f8d3e4d
Author: Jorge González <aloriel@mail.com>
Date:   Mon Sep 5 11:06:27 2011 +0200

    Updated Spanish translation

 po/es.po |  134 ++++++++++++++++++++++++-------------------------------------
 1 files changed, 53 insertions(+), 81 deletions(-)

commit 3ca3ed4e61e1e686481ae012128fca609cfdb6b7
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Sep 5 08:21:21 2011 +0200

    Updated Spanish translation

 po/es.po |  545 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 293 insertions(+), 252 deletions(-)

commit bd9610ccf02ee4122f10f770b36b7c3cbd183a76
Author: Vinicius Depizzol <vdepizzol@gmail.com>
Date:   Sat Jul 30 01:26:12 2011 -0500

    e-web-view: fix error pages for RTL locales
    
    Remove hardcoded directions in the CSS definitions and make them simpler.
    
    Bug #314205
    
    Signed-off-by: Diego Escalante Urrelo <descalante@igalia.com>

 data/pages/error.html    |   72 +++++++++++++++++++++++++++------------------
 data/pages/recovery.html |   72 +++++++++++++++++++++++++++------------------
 embed/ephy-web-view.c    |    5 ++-
 3 files changed, 89 insertions(+), 60 deletions(-)

commit 9dd70dcb02bafc7f2d54e148c0f68c9be10d07be
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Sep 4 23:03:12 2011 -0500

    e-web-view: use proper html for paragraphs
    
    Bug #314205

 embed/ephy-web-view.c |   21 +++++++++++----------
 1 files changed, 11 insertions(+), 10 deletions(-)

commit f8cea5491cef9e01e3c46f8cc060042f3d23d08f
Author: Fran Dieguez <fran@openhost.es>
Date:   Mon Sep 5 00:47:40 2011 +0200

    Restore galician translations due unknown error

 po/gl.po |  312 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 163 insertions(+), 149 deletions(-)

commit b039f0ceb3f93569bc36b602a598c05e0cfc0269
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Sep 4 17:08:24 2011 -0500

    e-web-view: better messages in error pages
    
    Use better words to describe the situation, avoid techie terms.
    
    Bug #637903

 embed/ephy-web-view.c |   19 +++++++++++++++----
 1 files changed, 15 insertions(+), 4 deletions(-)

commit 7dafb390f5091bfbf1b5236aebf8e5f33aa0bbf1
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Sep 4 16:34:49 2011 -0500

    e-file-helpers: implement and use ephy_file_delete_dir_recursively
    
    Move the implementation from ephy-web-app-utils.c to
    ephy-file-helpers.c.
    
    The current one was not doing recursive delete, this caused the bug of
    private instances leaving their profile directories behind in /tmp.
    
    Bug #658201

 embed/ephy-web-app-utils.c |   53 +----------------------------
 lib/ephy-file-helpers.c    |   81 ++++++++++++++++++++++++++++++++-----------
 lib/ephy-file-helpers.h    |    3 +-
 3 files changed, 63 insertions(+), 74 deletions(-)

commit 5208e2eab48e8a64912d2f00264b9a6c96c572e0
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Aug 3 13:01:11 2011 +0200

    Use EphyFileChooser filters usefully
    
    Don't use the filters combobox when it's not really needed nor
    meaningful. Specially for save dialogs.
    
    Bug #655713

 src/popup-commands.c  |    2 +-
 src/window-commands.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 46312f09960cca55ada816246dd3c18d839fa62e
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sat Aug 20 12:16:53 2011 -0500

    data/glade: remove unneeded markup
    
    Use attributes instead of hardcoding the markup on the translatable
    string.
    
    Bug #102382

 data/glade/certificate-dialogs.ui |  213 +++++++++++++++++++++++++------------
 data/glade/prefs-dialog.ui        |   66 ++++++++----
 data/glade/print.ui               |   70 +++++++++----
 3 files changed, 238 insertions(+), 111 deletions(-)

commit 90455dac2fcf07a349b3635848e458f556715a43
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sat Aug 20 12:06:14 2011 -0500

    prefs-dialog: remove unused underline property
    
    Bug #102382

 data/glade/prefs-dialog.ui |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 321319295d710b590586583c9152cfc9fd2c5d3a
Author: Fran Dieguez <fran@openhost.es>
Date:   Sun Sep 4 18:55:11 2011 +0200

    Updated galician translations

 po/gl.po |  478 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 253 insertions(+), 225 deletions(-)

commit 0dbb60c0a79e42d963dadaffebe5f8e55efe40a3
Author: Abdalrahim G. Fakhouri <abdilra7eem@yahoo.com>
Date:   Sun Sep 4 11:07:18 2011 +0100

    Updated Arabic translation

 po/ar.po |  743 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 413 insertions(+), 330 deletions(-)

commit 3f6c92523f00a6f74b08ede75355e091989ef050
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Sep 4 08:27:42 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  729 +++++++++++++++++++++++++++++++++--------------------------
 po/zh_TW.po |  729 +++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 806 insertions(+), 652 deletions(-)

commit 4321e7213506b09b186a4b58024c58c0cec4357e
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Sep 3 18:58:52 2011 +0200

    ephy-window: hide some irrelevant context menu actions when in app mode
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657624

 src/ephy-window.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit eaa76f15cb8ee10af9cc44a5d2782c8c3fdcf402
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Sep 3 18:52:11 2011 +0200

    ephy-bookmarks-ui: we need to include the EphyNode header
    
    Since it's used in the header file itself. This was working just
    because other files including this also were including ephy-node.h
    before.

 src/bookmarks/ephy-bookmarks-ui.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 50738fc2a6a54b361f56e9834771169fa094c09c
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Sep 3 18:41:45 2011 +0200

    ephy-web-app-utils: fix include sort

 embed/ephy-web-app-utils.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f2defe7858a00a81879a4ae9af4dd772595b14ef
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Sep 3 18:40:05 2011 +0200

    HACKING: another tweak, accommodate to what ephy has been doing

 HACKING |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 37c1f487b4630d0d4f1f3fd9e505a7200a01acaa
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Sep 3 18:39:24 2011 +0200

    ephy-window: sort includes

 src/ephy-window.c |   56 ++++++++++++++++++++++++++--------------------------
 1 files changed, 28 insertions(+), 28 deletions(-)

commit 451b9fdc05fa901b8aec591acf435f848c8b2a13
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Sep 3 18:32:04 2011 +0200

    ephy-web-app-utils: adjust includes to styleguide

 embed/ephy-web-app-utils.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit e7fa362332fd9dae8ade423e12c24bb3ab1d3ac6
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Sep 3 18:30:59 2011 +0200

    HACKING: remove dubious guideline, add guideline for headers

 HACKING |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit 4f6da94c96d77a296e185c0fcf35ca74ddeee3a2
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Sep 3 18:21:38 2011 +0200

    ephy-web-app-utils: move the web app creation code here

 embed/ephy-web-app-utils.c |  178 ++++++++++++++++++++++++++++++++++++++++++++
 embed/ephy-web-app-utils.h |    5 +
 embed/ephy-web-view.c      |  164 ----------------------------------------
 src/window-commands.c      |    7 +-
 4 files changed, 187 insertions(+), 167 deletions(-)

commit 20b38fa45d7b9f3e4c302d0cb0090f72ae56bb78
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Sep 2 20:57:20 2011 +0200

    ephy-web-view: silence compiler warning

 embed/ephy-web-view.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7e685c61459ef3f55fed260b3b90c974d3599227
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Sep 2 20:56:12 2011 +0200

    ephy-web-app-utils: rename ephy_delete_web_application to ephy_web_application_delete
    
    You know, use namespaces correctly and all that.

 embed/ephy-web-app-utils.c |    4 ++--
 embed/ephy-web-app-utils.h |    2 +-
 src/ephy-main.c            |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 09bbf1441056fc858db9bca5452bd0ff8e83a1b1
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Sep 1 22:53:55 2011 +0300

    Add ephy_web_application_get_profile_directory()
    
    And factor out some code

 embed/ephy-web-app-utils.c |   28 +++++++++++++++++++++++-----
 embed/ephy-web-app-utils.h |    2 ++
 embed/ephy-web-view.c      |    5 +----
 3 files changed, 26 insertions(+), 9 deletions(-)

commit 1d507b310ad8cad41055bedec416d27a04b6f06d
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Sep 1 22:50:26 2011 +0300

    Move EPHY_WEB_APP_PREFIX declaration to a cleaner location

 embed/ephy-web-app-utils.h |    2 ++
 embed/ephy-web-view.h      |    2 --
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 459f7eab590f49340962cdf6bc3d4d66b3356109
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Sep 1 21:06:05 2011 +0200

    Add --delete--application command line option to delete WebApps
    
    Plus the necessary code to implement some sort of UI to do this for the
    3.2 time frame. Hopefully for 3.4 we'll have a GNOME-wide system to
    deal with applications.

 embed/Makefile.am          |    4 +-
 embed/ephy-web-app-utils.c |  136 ++++++++++++++++++++++++++++++++++++++++++++
 embed/ephy-web-app-utils.h |   36 ++++++++++++
 src/ephy-main.c            |   16 +++++
 4 files changed, 191 insertions(+), 1 deletions(-)

commit 996bf1df4981e87d507e3fc8940d0c84b7d8ba9f
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Sep 1 18:16:37 2011 +0300

    EphyWindow: Fix location entry's load progress
    
    The caching of the GtkEntry was broken, since the toolbar items are
    destroyed on switching to/from fullscreen. Update the cache right
    after toolbar is rebuilt.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657936

 src/ephy-window.c |   36 ++++++++++++++++++++++++------------
 1 files changed, 24 insertions(+), 12 deletions(-)

commit 3dc371664fa71b51ac64449361129712f4807833
Author: Daniel Nylander <po@danielnylander.se>
Date:   Thu Sep 1 12:35:34 2011 +0200

    Updated Swedish translation

 po/sv.po |  677 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 260 insertions(+), 417 deletions(-)

commit 9c9895f8a598f2da4e0efb72cf6688846cdb68d8
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Aug 31 23:15:03 2011 +0300

    Updated Lithuanian translation

 po/lt.po |  980 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 513 insertions(+), 467 deletions(-)

commit 912e6276c41308b7c7bea2b055d5ad21a0493bb5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Aug 31 21:26:11 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  466 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 247 insertions(+), 219 deletions(-)

commit 639abaa200dee1ee29766bbc39a68282f23ffb14
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Wed Aug 31 17:56:44 2011 +0430

    Updated Persian translation

 po/fa.po |  694 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 390 insertions(+), 304 deletions(-)

commit 6d331fea8e5ed2f06ef64b7fc86b1d41ed8c13a3
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Aug 30 21:21:35 2011 +0200

    Updated Spanish translation

 po/es.po |   91 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 45 insertions(+), 46 deletions(-)

commit 42fd5c7bf7a2e2c98cd87639fa54c9d93b89d2a4
Author: Stas Solovey <whats_up@tut.by>
Date:   Tue Aug 30 22:19:55 2011 +0400

    Fixed and updated Russian translation

 po/ru.po |  735 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 402 insertions(+), 333 deletions(-)

commit 84da3d9453a692d50e933d4bc9afc3938e76d190
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Aug 30 20:05:58 2011 +0200

    Updated Spanish translation

 po/es.po |   86 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 44 insertions(+), 42 deletions(-)

commit bf288fba8d1d222f85137ee5df5fc3a8705f78fc
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Aug 30 19:13:56 2011 +0200

    Updated Spanish translation

 po/es.po |  500 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 263 insertions(+), 237 deletions(-)

commit d1745e6703c6856176bb32bf352146ce62f28951
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Aug 30 13:50:30 2011 +0200

    [release] 3.1.90

 NEWS         |    8 ++++++++
 configure.ac |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 2b04778f114d97dba2e9240bef6c5ba57f372f50
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Aug 29 18:50:22 2011 +0200

    ephy-window: same hack to allow ephy to launch itself from app mode

 src/ephy-window.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit efbe79e918a5c518f507a94d08505c009bec4a59
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Aug 29 18:00:10 2011 +0200

    window-commands: make 'Enter' activate the default response
    
    Which creates the corresponding Web App.

 src/window-commands.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3b5c8cd24ecd27e5a5f0f52421e4371389be8fac
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Aug 29 17:03:40 2011 +0200

    ephy-web-view: do not launch ephy with jhbuild
    
    Leftovers from testing.

 embed/ephy-web-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 540c0c0ac46399462dfad2c3fd0a50a412882307
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Aug 29 15:49:08 2011 +0200

    Show a notification when the newly created web-app is ready to be used
    
    This will probably go away in 3.4 when the new dash design is
    introduced, but for now it's the best we have.

 configure.ac          |    2 ++
 src/ephy-main.c       |    6 ++++++
 src/window-commands.c |   35 +++++++++++++++++++++++++++++++++--
 3 files changed, 41 insertions(+), 2 deletions(-)

commit e6785d3ccc5a5a7c933a50b1a224fc01ee741c9c
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Aug 29 15:48:39 2011 +0200

    ephy-file-helpers: export the UUID env var in our header
    
    We'll use it from src/ for a bit of a gross hack...

 lib/ephy-file-helpers.c |    1 -
 lib/ephy-file-helpers.h |    2 ++
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 52b5de7fb81e96af073d159869c508996a1ddb55
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Aug 29 15:48:03 2011 +0200

    ephy-file-helpers: make .desktop file launcher method parameters optional
    
    We don't always need them.

 lib/ephy-file-helpers.c |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit 207f5b355abbaf2b91e9b684f3cc45387b5119cb
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Aug 29 14:32:07 2011 +0200

    ephy-window: sandbox app-mode instances to the app domain
    
    If the user tries to navigate to other domain spawn a new process with
    "gvfs-open" and the requested URI.

 src/ephy-window.c |   39 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 39 insertions(+), 0 deletions(-)

commit 58c91ceba8dc3a5a12a80afd58062a5d94e96644
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Aug 29 12:54:05 2011 +0200

    ephy-main: more parameter sanity check
    
    Using private profile and app mode at the same time does not make
    sense.

 src/ephy-main.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 5f1210e2ea3bacaac0d4349cbb9eb22a4cb81191
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Aug 29 12:51:16 2011 +0200

    ephy-toolbar: disable New Window and New Tab actions
    
    We should refactor EphyWindow so that all these UI bits are not even
    present in app mode, but for now this will do.

 src/ephy-toolbar.c |   15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

commit ebac66a05be1e71bd978f070fb842fd8b457e7e8
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Jul 14 00:47:33 2011 +0200

    Add basic support for Web Applications
    
    Allow to save any page as a "Web Application". A new .desktop file
    will be created, and added to the Shell as a new application. It will
    launch epiphany in application mode, with its own private profile
    (inheriting some data from the main profile, like the relevant domain
    cookies) and in a new process.

 data/ui/epiphany-ui.xml   |    1 +
 embed/ephy-web-view.c     |  203 +++++++++++++++++++++++++++++++++++++++++++++
 embed/ephy-web-view.h     |    8 ++
 src/ephy-main.c           |   33 +++++---
 src/ephy-toolbars-model.c |   12 ++-
 src/ephy-window.c         |   28 ++++--
 src/window-commands.c     |  191 ++++++++++++++++++++++++++++++++++++++++++
 src/window-commands.h     |    3 +
 8 files changed, 453 insertions(+), 26 deletions(-)

commit bebb9f4299f4a86439ed04b335b6852234af0622
Author: Tiffany Antopolski <tiffany@antopolski.com>
Date:   Sun Aug 28 06:56:48 2011 -0400

    Updated Canadian English Translation...
    
    ...as part of the process of fixing bug#610152

 po/en_CA.po | 5012 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 2497 insertions(+), 2515 deletions(-)

commit 4a1c25eee2e388fd489922c9e9f9215fe8b4096d
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Aug 27 15:48:27 2011 +0400

    Updated Russian translation

 po/ru.po |  692 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 375 insertions(+), 317 deletions(-)

commit f9d451c1da1eec8fba4482976c83d6bfe964920b
Author: Og B. Maciel <ogmaciel@gnome.org>
Date:   Thu Aug 25 09:57:14 2011 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po |  129 ++++++++++++++++++++++++++---------------------------------
 1 files changed, 57 insertions(+), 72 deletions(-)

commit 7b692feaa80a65dfb37c38139a5c6ce1aa808b35
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Aug 16 14:06:21 2011 +0200

    [release] 3.1.5

 NEWS         |   14 ++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 16 insertions(+), 2 deletions(-)

commit 81bc2abbbd359155c959db000194d629f3f2cd89
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:   Mon Aug 22 07:56:15 2011 +0300

    Updated Bulgarian translation

 po/bg.po |  693 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 372 insertions(+), 321 deletions(-)

commit 10b57b077d42312a6e899e7a2694b6ecdb3fadc8
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Aug 21 09:13:14 2011 +0530

    update Punjabi Translation

 po/pa.po |  704 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 375 insertions(+), 329 deletions(-)

commit 6884b3e8cd432b01b7c588ad00c8d5dbc20d93d8
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Aug 19 17:15:14 2011 +0700

    Updated Indonesian translation

 po/id.po | 1487 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 699 insertions(+), 788 deletions(-)

commit d064af652059970331f1c49171d21598ba8a480a
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Fri Aug 19 20:34:15 2011 +0200

    Added UG translation

 po/ug.po |   77 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 38 insertions(+), 39 deletions(-)

commit 91103d4a01ce77ca0a101653c5154da3b13627f5
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Thu Aug 11 14:09:06 2011 +0200

    Depend on glib >= 2.29.10
    
    We rely on Unicode API that is only available from that version
    onwards.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a79821955d1fd50f3e7cd9d4dae91b24e193d855
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Aug 3 13:31:48 2011 +0200

    e-web-view: use hostname in geolocation infobar
    
    Instead of the full URI, make it more readable and use only the
    hostname.
    
    Bug #649164

 embed/ephy-web-view.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 60bea9a1003343635d27fba83d3b089fb208efec
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sat Jul 30 19:05:04 2011 -0500

    Use line-wrap in GtkInfoBar labels
    
    Otherwise we can end up with fixed width windows that exceed the display
    size when long sentences are displayed.
    
    Bug #649164

 embed/ephy-web-view.c |    3 ++-
 src/ephy-session.c    |    1 +
 2 files changed, 3 insertions(+), 1 deletions(-)

commit e6945b6c75103866ac890219e93463ff4ce06183
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sat Jul 30 19:07:16 2011 -0500

    Use g_markup_printf_escaped when printing uris
    
    This covers GtkInfoBar in ephy-web-view.c, ephy-download-widget.c and
    also tooltips and labels in ephy-download-widget.c
    
    Bug #649164

 embed/ephy-web-view.c              |   10 +++++-----
 lib/widgets/ephy-download-widget.c |    7 ++-----
 2 files changed, 7 insertions(+), 10 deletions(-)

commit a5184806fb2ad44ea7dd898de73eaf1201a8f9fc
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Fri Jul 29 23:47:30 2011 -0500

    e-bookmarks-editor: don't set directory
    
    GTK+ new UX behavior says we shouldn't set the file chooser directory,
    recent directories should be listed (automatically) instead.
    
    Signed-off-by: Xan Lopez <xan@gnome.org>
    
    Bug #655508

 src/bookmarks/ephy-bookmarks-editor.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit b4fa1be91ccce1f27537ef4153d7d0be5379cba1
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Aug 11 21:41:12 2011 +0200

    [l10n] Updated German translation

 po/de.po |  743 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 396 insertions(+), 347 deletions(-)

commit cb17bdeb2aa48c3d9d47027fa94a53e010421f89
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Aug 3 13:37:56 2011 +0200

    e-web-view: use ephy_string_get_host_name
    
    Bug #655899

 embed/ephy-web-view.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit add3288ff433e92739e3a4245068fb41e10fa450
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Aug 2 01:47:08 2011 +0200

    Updated Hungarian translation by Balázs Meskó <meskobalazs at gmail dot com>

 po/hu.po |  691 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 375 insertions(+), 316 deletions(-)

commit d6f43136341159cccde9f707f2a493c109ec4e85
Author: Alexandre Mazari <scaroo@gmail.com>
Date:   Fri Jul 29 23:57:51 2011 -0500

    e-window: use a css file for widget styling
    
    Replace local styling (used for the tab close button and embed's status
    frame) by a global css sheet loaded at window construction.
    This allows tweaking style properties without rebuilding.
    
    The css file is installed in $(pkgdatadir)/epiphany.css.
    
    Signed-off-by: Diego Escalante Urrelo <descalante@igalia.com>
    
    Bug #644805

 data/ui/Makefile.am  |    7 ++++++-
 data/ui/epiphany.css |   16 ++++++++++++++++
 embed/ephy-embed.c   |   15 ---------------
 src/ephy-notebook.c  |   18 ------------------
 src/ephy-window.c    |   23 +++++++++++++++++++++++
 5 files changed, 45 insertions(+), 34 deletions(-)

commit f4c6a2f079f5b24c067f2b656a8a4f808ec4533c
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Fri Jul 29 23:23:51 2011 -0500

    data/gschema: remove useless newline

 data/org.gnome.epiphany.gschema.xml.in |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 870195411c9a5a26b77627d642e7c9be75b11f2f
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Fri Jul 29 22:48:51 2011 -0500

    e-embed: remove useless e-file-chooser include

 embed/ephy-embed.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit e466875e344af43160f3abe0e3d6a29b2d0d656a
Author: Rodrigo Padula de Oliveira <contato@rodrigopadula.com>
Date:   Fri Jul 29 11:10:20 2011 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1991 ++++++++++++++++++++++-------------------------------------
 1 files changed, 729 insertions(+), 1262 deletions(-)

commit d50768637cce5a827e84d498f3762c27b157f814
Author: Sergio Cipolla <secipolla@gmail·com>
Date:   Fri Jul 29 11:00:12 2011 -0300

    Fixed some strings in Brazilian Portuguese translation

 po/pt_BR.po | 2586 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 1285 insertions(+), 1301 deletions(-)

commit ef3d6d0794ca371b35efde23185e6cf4c32dc004
Author: Daniel Nylander <po@danielnylander.se>
Date:   Fri Jul 29 10:00:41 2011 +0200

    Updated Swedish translation

 po/sv.po |  884 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 560 insertions(+), 324 deletions(-)

commit 4ad500dcbb58a5df0585a1b76e7ed715fb6282f7
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Sat Jul 23 16:57:56 2011 +0300

    Don't use g_list_length() to check for empty lists
    
    An empty list is simply NULL.

 src/ephy-session.c   |    2 +-
 src/ephy-tabs-menu.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 42ff3bc2f7d126444529ee20da1f2e608557f8e5
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Tue Jul 19 11:15:44 2011 +0300

    Updated Finnish translation

 po/fi.po | 2051 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 797 insertions(+), 1254 deletions(-)

commit 69837e0a601b0c46304d09b182234caa32a032d6
Author: Priit Laes <plaes@plaes.org>
Date:   Mon Jul 18 15:35:47 2011 +0300

    Fixed a typo

 src/ephy-main.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c6e61c010a412e027d9174fbb53687bba63f5811
Author: Priit Laes <plaes@plaes.org>
Date:   Mon Jul 18 15:35:19 2011 +0300

    Remove leftover from Gecko era

 src/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 93507fc66f9f8cc456519936284220ab4e6f6cfd
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sat Jul 16 18:46:09 2011 -0500

    ephy-window: clear finished downloads when closing the downloads bar
    
    When a download finishes but you don't 'activate' it (open or browsing) the
    widget stays alive on the downloads-bar, worse, if open or browse actions fail,
    the download can't be removed from the bar.
    
    This commit clears finished downloads from the downloads-bar when it is closed
    (with the X button). Hiding it will *not* trigger this cleanup.
    
    Bug #653918

 src/ephy-window.c |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit 2c8c5b280c0e84c264ea3bdbbabdead0046cd00a
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sat Jul 16 19:11:51 2011 -0500

    ephy-file-helpers: nautilus now highlights files
    
    You can now call nautilus on a full path and it will highlight the file in its
    parent directory.
    
    Bug #654763

 lib/ephy-file-helpers.c |   13 +------------
 1 files changed, 1 insertions(+), 12 deletions(-)

commit e1a78db5efc2773df289f91a5211da16ec2ba992
Author: Josselin Mouette <joss@debian.org>
Date:   Sat Jul 16 18:59:58 2011 -0500

    ephy-file-helpers: use correct inode/directory type
    
    Otherwise "Browse to" feature fails because we are using an obsolete mime type.
    
    Bug #651699

 lib/ephy-file-helpers.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 24a9296f2a31839e7a290f9a51cda18cdab70482
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Jun 29 19:41:05 2011 -0500

    src: clean leftover NetworkManager vars
    
    Bug #653695

 src/Makefile.am |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit eb736a9d813e523e6529b985bb21be443f29c9d3
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Jun 29 19:16:47 2011 -0500

    ephy-download-widget: unescape tooltips
    
    In ae374ca97044684d6a33bb11ae8bccac06a85b9f we forgot about the
    tooltip.
    
    Bug #653690

 lib/widgets/ephy-download-widget.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit a56c9573c11bd558249917d02b4f1902eb812324
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   Thu Jul 14 11:33:54 2011 +0200

    Updated Aragonese translation

 po/an.po |  462 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 252 insertions(+), 210 deletions(-)

commit 16607f8b5e182389b6a228079a577cfca2ea9cf2
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:   Mon Jun 20 19:36:42 2011 +0200

    Don't bypass g-ir-scanner's --pkg, especially when that's already passed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=653031

 src/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit c22a0a929657f0148bbcabda4526b563e98204ae
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Tue Jul 12 15:30:45 2011 +0300

    Updated Latvian translation.

 po/lv.po |  671 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 364 insertions(+), 307 deletions(-)

commit dd55c234501aa341501f51c9511079da32494483
Author: David Aguilera <dvd1985@gmail.com>
Date:   Sun Jul 10 01:37:30 2011 +0200

    [l10n]Updated Catalan documentation

 help/ca/ca.po |   50 +++++++++++++++++++++++++-------------------------
 1 files changed, 25 insertions(+), 25 deletions(-)

commit 2ec31490f593e338f1517d2abab0773274d5be0c
Author: David Aguilera <dvd1985@gmail.com>
Date:   Fri Jul 8 00:58:17 2011 +0200

    [l10n]Updated Catalan documentation

 help/ca/ca.po | 1247 +++++++++++++++++++++++++++++----------------------------
 1 files changed, 630 insertions(+), 617 deletions(-)

commit 27a3a2d17ba4472ffdeeb27420f380758ebb032d
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Thu Jul 7 16:25:51 2011 +0200

    Added UG translation

 po/ug.po |  363 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 199 insertions(+), 164 deletions(-)

commit ddfb904e0080cc647c2d3513164a04f95d15aa28
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Jul 6 18:02:48 2011 +0200

    ephy-location-entry: use new channel-{secure,insecure} symbolic icons
    
    Bug #650789

 lib/widgets/ephy-location-entry.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 15d82ddc241b097f9af25682542489ee7937b231
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Jul 5 17:09:42 2011 +0200

    ephy-profile-migrator: use new g_utf8_substring

 lib/ephy-profile-migrator.c |   21 ++-------------------
 1 files changed, 2 insertions(+), 19 deletions(-)

commit 8694bd70706d08145a8c4fe26008a5701c7fdf31
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Jul 5 13:21:13 2011 +0200

    [3.1.3] release

 NEWS         |   18 ++++++++++++++++++
 configure.ac |    2 +-
 2 files changed, 19 insertions(+), 1 deletions(-)

commit c1ecf8245ba6071c1fee3c5ccdacf247953decb2
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Jul 4 17:17:02 2011 +0200

    window-commands: make get_suggested_title a separate function
    
    We'll reuse it in the future.

 src/window-commands.c |   50 ++++++++++++++++++++++++++++--------------------
 1 files changed, 29 insertions(+), 21 deletions(-)

commit 1ff0d93c8d6a5c61d3f1d0cead7f3a0a19892f9d
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Jul 4 16:36:42 2011 +0200

    ephy-window: remove unused resize idle handler id

 src/ephy-window.c |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

commit d22d424aa8e31e5e8d82af60aeb133ee934bb950
Author: Fran Dieguez <fran@openhost.es>
Date:   Mon Jul 4 22:16:46 2011 +0200

    Updated Galician translations

 po/gl.po |  124 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 66 insertions(+), 58 deletions(-)

commit 733c318e0ba604df12d7918189c15cbea55419b8
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Jul 2 20:18:37 2011 +0200

    Updated Slovenian translation

 po/sl.po |   64 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 34 insertions(+), 30 deletions(-)

commit ad552b23c8d4200ce4afe5a6dfb30f6ae30e50d3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Jul 2 10:50:32 2011 +0300

    Updated Hebrew translation.

 po/he.po |  324 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 180 insertions(+), 144 deletions(-)

commit 8dd5b11836cc8bfb3a77361486c400125be46fe5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Jul 2 01:38:43 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  124 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 66 insertions(+), 58 deletions(-)

commit 1ee6d400047fc1043d8a616a4bfbd7653cb8f7cc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jul 1 10:40:52 2011 +0200

    Updated Spanish translation

 po/es.po |  104 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 54 insertions(+), 50 deletions(-)

commit 6183aaaaa51d705b7f1b8c216ecc13091c215ef8
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Fri Jul 1 01:42:43 2011 +0300

    Updated Turkish translation

 po/tr.po |  130 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 66 insertions(+), 64 deletions(-)

commit 31f5d743a17dc5df98a0ee2ba83643c668b0437d
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Jun 30 23:06:15 2011 +0300

    Open a new window in the primary instance when remoting without URIs

 src/ephy-shell.c |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit 1ae608baef5b8bcef83218da71b5bc9c31bd20f4
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Jun 30 22:46:55 2011 +0300

    Delete trailing whitespaces in ephy-shell.c

 src/ephy-shell.c |  126 +++++++++++++++++++++++++++---------------------------
 1 files changed, 63 insertions(+), 63 deletions(-)

commit 70a4c5312e8ef182c94c15af4e9d10b3b79c4d18
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Jun 30 17:30:56 2011 +0200

    ephy-shell: use new HACKING style

 src/ephy-shell.c | 1428 ++++++++++++++++++++++++++----------------------------
 src/ephy-shell.h |  174 ++++----
 2 files changed, 770 insertions(+), 832 deletions(-)

commit 4b9dcfe60460ed45c5ad2b5020cdf678b1629850
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Jun 30 17:06:20 2011 +0200

    Add an --application-mode flag and global mode
    
    For now it's pretty much like a private instance, but:
    
    - A profile directory *must* be passed
    - Global passwords and cookies are accessed. In the future we'll
      likely restrict cookies to the ones for the web application domain,
      which we'll copy from the main cookies file.

 embed/ephy-embed-shell.h |    3 ++-
 src/ephy-main.c          |   25 ++++++++++++++++++++-----
 src/ephy-shell.c         |    5 +++--
 3 files changed, 25 insertions(+), 8 deletions(-)

commit f594ec68442049ad9b6ecce598f2623e0ece9049
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Jun 30 16:31:01 2011 +0200

    Use an enum for the global mode of the application
    
    In preparation to add a new mode for WebApps.

 embed/ephy-embed-shell.c  |   40 +++++++++++++++++++++-------------------
 embed/ephy-embed-shell.h  |    8 +++++++-
 embed/ephy-embed-single.c |    2 +-
 embed/ephy-web-view.c     |    2 +-
 src/ephy-main.c           |    3 ++-
 src/ephy-shell.c          |    8 ++++----
 src/ephy-shell.h          |    2 +-
 src/pdm-dialog.c          |    3 ++-
 8 files changed, 39 insertions(+), 29 deletions(-)

commit 1b73fcdddb386855fb15cc61cf723f002743e7c0
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Jun 30 03:09:45 2011 +0200

    ephy-window: do not set the app for the window twice
    
    We already call gtk_application_add_window

 src/ephy-window.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 94cb05f6d2b15ad84e7f826c6c4edc7923d1586c
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Jun 30 02:59:17 2011 +0200

    ephy-shell: set GApplication flags in constructed vmethod
    
    Cleaner than doing it in the constructor.

 src/ephy-shell.c |   23 +++++++++++++++++------
 1 files changed, 17 insertions(+), 6 deletions(-)

commit 0ea926b7639db07086101cb9bca0fc10b69c07c9
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Jun 29 20:29:17 2011 +0200

    ephy-shell: do not ref the shell more than needed
    
    We already guarantee that the app will stay up by adding the windows
    to the GtkApplication, so stop reffing the shell in these callbacks.

 src/ephy-shell.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit eddaae421e4e38d8124f659b1bd8ff65162247e4
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Jun 29 20:19:40 2011 +0200

    Use GtkApplication's window tracking for EphyWindow too
    
    Instead of our own home-grown system.
    
    I think we should subclass window_added in GtkApplication and do there
    the session & state stuff and get rid of ephy_session_add_window and
    ephy_state_add_window.

 embed/ephy-embed-shell.c |   40 ----------------------------------------
 embed/ephy-embed-shell.h |    4 ----
 src/ephy-window.c        |    2 +-
 3 files changed, 1 insertions(+), 45 deletions(-)

commit 5b3154f5ddb95f162389340b178d6fc51b3a3bd7
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Jun 29 20:03:40 2011 +0200

    Always use the EphyEmbedShell to know if we are a private instance
    
    We can now get rid of the EphyFileHelpers method.

 embed/ephy-embed-single.c |    2 +-
 embed/ephy-web-view.c     |    2 +-
 lib/ephy-file-helpers.c   |   15 ---------------
 lib/ephy-file-helpers.h   |    1 -
 src/pdm-dialog.c          |    2 +-
 5 files changed, 3 insertions(+), 19 deletions(-)

commit 4c444c0f7693b9a0f3058729bea04832b66d6214
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Jun 29 19:55:28 2011 +0200

    Merge EphyApplication into Ephy(Embed)Shell
    
    We want to use EphyApplication from embed/ too, so instead of
    following the EphyEmbedShell/EphyShell pattern just fold the code into
    the Shell itself. This makes sense since both classes have basically
    the same function, and we can easily leave the non-embed code in
    EphyShell and move to EphyEmbedShell the bits we want to be global.
    
    The better name would be EphyCoreApplication/EphyApplication for the
    resulting object, but we can do this later.

 embed/ephy-embed-shell.c  |   78 ++++++++-
 embed/ephy-embed-shell.h  |    8 +-
 src/Makefile.am           |    4 -
 src/ephy-application.c    |  449 ---------------------------------------------
 src/ephy-application.h    |   92 ---------
 src/ephy-main.c           |   24 +--
 src/ephy-session.c        |    8 +-
 src/ephy-shell.c          |  346 +++++++++++++++++++++++++++++++---
 src/ephy-shell.h          |   36 ++++-
 src/ephy-window.c         |    2 +-
 tests/ephy-download.c     |    2 +-
 tests/ephy-embed-single.c |    2 +-
 12 files changed, 448 insertions(+), 603 deletions(-)

commit 7628d25419c00d95da3e104ad6f132f4607b78c0
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Jun 29 01:11:09 2011 +0200

    ephy-application: use our private instance property
    
    Instead of relying on ephy-file-helpers global method. Down the road
    we want to do this everywhere, but first we need some refactoring to
    be able to use EphyApplication outside of src/.

 src/ephy-application.c |   16 +++++++++++++++-
 src/ephy-application.h |    4 +++-
 2 files changed, 18 insertions(+), 2 deletions(-)

commit c652dbec96495d77fb85860ce1a01008b48c56a1
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Jun 29 00:39:55 2011 +0200

    ephy-application: set G_APPLICATION_NON_UNIQUE inside the object
    
    Based on the private-instance paramater.

 src/ephy-application.c |    7 ++++++-
 src/ephy-main.c        |    8 --------
 2 files changed, 6 insertions(+), 9 deletions(-)

commit 841b59d9a2af4492c8c51a040ea164e46c5093b9
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Jun 29 00:13:09 2011 +0200

    ephy-application: add a private-instance property
    
    It does not do much at the moment, but we pass the information from
    ephy-main.c to the app.

 src/ephy-application.c |   60 +++++++++++++++++++++++++++++++++++++++++++++++-
 src/ephy-application.h |    2 +-
 src/ephy-main.c        |    2 +-
 src/ephy-shell.c       |    2 +-
 4 files changed, 62 insertions(+), 4 deletions(-)

commit 61b4a15531501833926b33a77f0416efc772a897
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Jun 28 23:03:17 2011 +0200

    ephy-window: do not assume there's always a location entry
    
    It won't be the case in web app mode.

 src/ephy-window.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit f939f5ce3406a77b500e821815352d22ff410ab7
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Jun 28 22:56:08 2011 +0200

    Require an EphyApplication parameter when creating an EphyShell
    
    We'll want to create our own in main(), this prepares us for that.

 src/ephy-main.c           |    5 +++--
 src/ephy-shell.c          |    9 ++++++---
 src/ephy-shell.h          |    2 +-
 tests/ephy-download.c     |    2 +-
 tests/ephy-embed-single.c |    2 +-
 5 files changed, 12 insertions(+), 8 deletions(-)

commit bd14d50456be46422d955a4290fb27e964a0b5b2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Jun 29 12:13:42 2011 +0200

    Updated Slovenian translation

 po/sl.po |  182 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 93 insertions(+), 89 deletions(-)

commit c42a4ed372afd82bd187d39b0775bee6b877d9e0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Jun 28 21:37:12 2011 +0200

    Updated Spanish translation

 po/es.po |  234 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 116 insertions(+), 118 deletions(-)

commit 8e83a6440b64167dde8d457ab3694cc37b457cf1
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Jun 28 18:18:39 2011 +0200

    ephy-main: use new indentation style

 src/ephy-main.c |  657 +++++++++++++++++++++++++++----------------------------
 1 files changed, 321 insertions(+), 336 deletions(-)

commit a72438a9279b47db4028d5e2a5bea2efeb791af2
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Jun 28 17:37:26 2011 +0200

    ephy-application: format prototypes

 src/ephy-application.h |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit 444c593b9b9449ecd7dbfc5d7ad4c812f941c0f4
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Jun 28 17:00:41 2011 +0200

    ephy-window: the move tab actions should not depend on wrap-around
    
    They do not make sense on the first/last tab.

 src/ephy-window.c |   21 +++++++++------------
 1 files changed, 9 insertions(+), 12 deletions(-)

commit 94b6f749b951b28bb8024adc9d48cf2871bf3f01
Author: Sergio Villar Senin <svillar@igalia.com>
Date:   Tue Jun 28 13:12:15 2011 +0200

    Added ephy-application.h to the list of exported headers.
    
    We are currently exporting ephy-shell which has a dependency on
    ephy-application.
    
    Fixes bug #653562

 src/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7b740a66f80864abf24c2e8eddcfd624ef434ae7
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Jun 27 21:48:44 2011 +0200

    Respect gtk-keynav-wrap-around in the global change-page handler
    
    We have a global-handler for Ctrl+Page{Up,Down} that is used in some
    situations (basically, when the notebook is not focused). It does not
    respect the wrap-around GtkSetting though, so the final experience can
    be inconsistent.

 src/ephy-window.c     |   39 +++++++++++++++++++++++++--------------
 src/window-commands.c |   20 ++++----------------
 2 files changed, 29 insertions(+), 30 deletions(-)

commit 972de8b227165ed15f65c6401698501bdcd34565
Author: José Aliste <jaliste@src.gnome.org>
Date:   Mon Jun 27 14:30:54 2011 -0400

    toolbareditor: Fix the removal of items by DnD.
    
    If the 'window-dragging' property of GtkToolbar is set (as it is in adwaita)
    then the Toolbar starts the drag of the window on 'button-press' event.
    We prevent this by connecting a handler for 'button-press' which prevents
    the handler of the toolbar to be run while in edit mode.
    
    Fixes bug #647265

 lib/egg/egg-editable-toolbar.c |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)

commit 7a692429542c2b0455b195991642c3139427e16b
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Mon Jun 27 20:44:27 2011 +0300

    Silent a warning

 src/ephy-session.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 836a072b8a9404be59187f66f46c64998670a534
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Jun 27 18:18:58 2011 +0200

    Implement about:memory
    
    Gives an estimate of how much memory the browser process is using,
    extracted from /proc/$PID/smaps. Only works in GNU/Linux systems.

 data/pages/about.css     |   33 +++++
 lib/Makefile.am          |    2 +
 lib/ephy-request-about.c |   37 +++++-
 lib/ephy-smaps.c         |  337 ++++++++++++++++++++++++++++++++++++++++++++++
 lib/ephy-smaps.h         |   50 +++++++
 5 files changed, 456 insertions(+), 3 deletions(-)

commit fe909aa62629a5994dd643450b0de45e0e3f508d
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Jun 27 15:52:49 2011 +0200

    ephy-embed-single: remove add-search-engine signal
    
    It's not used anymore. If we ever reimplement this we can add it
    again.

 embed/ephy-embed-single.c |   22 ----------------------
 embed/ephy-embed-single.h |    5 -----
 2 files changed, 0 insertions(+), 27 deletions(-)

commit 016b6995843919814f3768487ca161031d778d06
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Sat Jun 25 19:54:10 2011 +0300

    Mark string parameters in ephy_session_queue_command() as const
    
    ephy_session_queue_command() doesn't take over the strings it
    receives, so mark these as const for clarity.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622903

 src/ephy-application.c |    6 +++---
 src/ephy-session.c     |    2 +-
 src/ephy-session.h     |    2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 74d64e0199c769bb91caa04e127fb3b0c0a639fb
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Jun 24 23:35:47 2011 +0300

    Ensure startup_context is not NULL before freeing it
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622903

 src/ephy-application.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit d40bac577b628a3db8ef90f8a862b80e8cb729c2
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Jun 24 22:04:04 2011 +0300

    Drop all dbus-glib code
    
    We still need to provide equivalent ways to activate epiphany, but we
    will use GActions instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622903

 configure.ac          |   13 --
 src/Makefile.am       |   34 +---
 src/ephy-activation.c |  102 ---------
 src/ephy-activation.h |   49 -----
 src/ephy-dbus.c       |  548 -------------------------------------------------
 src/ephy-dbus.h       |   95 ---------
 6 files changed, 3 insertions(+), 838 deletions(-)

commit 795fe5c4213809c8d776843fab6dcc31848e8871
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Jun 26 04:14:25 2011 +0200

    configure.ac: we don't use startup-notification directly

 configure.ac |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 06ece5c6d55c15bd3e6bac2f491008e8ceebb62b
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sun Jun 26 03:39:13 2011 +0300

    Updated Turkish translation file header

 po/tr.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 17c072554e3666ec03669e283361da44d0483039
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sun Jun 26 03:16:12 2011 +0300

    Updated Turkish translation

 po/tr.po |  406 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 225 insertions(+), 181 deletions(-)

commit 81b7d6c3ece40c5b42f253834e25bd71f45382b0
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Jun 25 04:16:47 2011 +0200

    popup-commands: make 'Use picture as background' work again
    
    Things are done differently in GNOME3.
    
    Bug #647604

 src/popup-commands.c |   29 +++++++----------------------
 1 files changed, 7 insertions(+), 22 deletions(-)

commit 4a0ffa6fab9d64452e56504826f844f92a09c758
Author: Милош Поповић <gpopac@gmail.com>
Date:   Thu Mar 31 10:29:01 2011 +0200

    Updated Serbian translation

 po/sr.po       |   70 ++++++++++++++++++++++++++++++-------------------------
 po/sr@latin.po |   70 ++++++++++++++++++++++++++++++-------------------------
 2 files changed, 76 insertions(+), 64 deletions(-)

commit fff20a2ee1761c9768bd2fd72f4c998d02d5b6cd
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Jun 24 16:30:32 2011 +0200

    Use NM_STATE_CONNECTED_GLOBAL instead of the compat #define

 lib/ephy-network-manager-defines.h |    3 ---
 src/ephy-shell.c                   |    2 +-
 2 files changed, 1 insertions(+), 4 deletions(-)

commit 64ff9f8650277fdf849917a01dde4b18e67b046d
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Jun 24 16:12:18 2011 +0200

    Copy&paste a few NM defines/enums we need at compile time
    
    This way we don't need a compile-time dependency on NetworkManager,
    since we use it through the DBus APIs.

 configure.ac                       |    2 -
 lib/Makefile.am                    |    1 +
 lib/ephy-network-manager-defines.h |   57 ++++++++++++++++++++++++++++++++++++
 src/ephy-shell.c                   |    2 +-
 4 files changed, 59 insertions(+), 3 deletions(-)

commit dafc2a996545008a9027f2e894ab784b62464c00
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Jun 24 00:15:43 2011 +0200

    Require NetworkManager
    
    It's not optional in GNOME 3

 configure.ac     |   31 +++++--------------------------
 src/Makefile.am  |   17 +++++------------
 src/ephy-shell.c |   19 +------------------
 3 files changed, 11 insertions(+), 56 deletions(-)

commit 8415cf6da16201127aadb7853e3969ed824de919
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Tue Jun 21 01:17:06 2011 +0300

    Implement GtkApplication based activation and uniqueness
    
    This replaces the existing dbus-glib activation and uniqueness code.
    The changes are kept to the minimum necessary to make all the features
    work, but there are still some optimizations possible (like doing most
    of the initialization in ephy_application_startup() when we know we
    are not remoting). These changes are left for later to avoid making
    this patch huge.
    
    Command-line parameter parsing is done in the main method and
    parameters are passed to the application through a
    EphyApplicationStartupContext structure, which is later passed as a
    GVariant to the primare instance. This way we avoid moving the
    GOption code out of the place where it's intended to run: in the
    main() method.
    
    Based in work by Alexandre Mazari.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=637334

 src/Makefile.am        |    4 +
 src/ephy-application.c |  369 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/ephy-application.h |   90 ++++++++++++
 src/ephy-main.c        |  287 +++++--------------------------------
 src/ephy-session.c     |    6 +
 src/ephy-shell.c       |   26 ++++
 src/ephy-shell.h       |    3 +
 src/ephy-window.c      |    2 +
 8 files changed, 537 insertions(+), 250 deletions(-)

commit 3af15cdbcd31a7ac4eda748ae83180a228d30a80
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Jun 23 23:18:37 2011 +0300

    Use a gdbus-codegen generated GDBusProxy to monitor NM state
    
    Get rid of the EphyNetMonitor code and instead generate a GDBusProxy
    subclass that monitors the StateChanged signal and State property in
    org.gnome.NetworkManager. This proxy exports these features as
    standard GObject signal and property, respectively, so we can use it
    directly through the relevant accessors.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622903

 configure.ac                  |    1 +
 data/Makefile.am              |    1 +
 data/ephy-network-manager.xml |    9 +
 src/Makefile.am               |   28 ++-
 src/ephy-net-monitor.c        |  374 -----------------------------------------
 src/ephy-net-monitor.h        |   66 -------
 src/ephy-shell.c              |   36 +++--
 7 files changed, 52 insertions(+), 463 deletions(-)

commit ab913fa36787366d68e08a0831403872d3e62ffc
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jun 21 14:00:18 2011 +0200

    Updated Galician translations

 po/gl.po |  292 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 160 insertions(+), 132 deletions(-)

commit aa6b11924a8569364f17e1fb2e3c30a9ab117dd3
Author: Antoine Jacoutot <ajacoutot@openbsd.org>
Date:   Wed May 25 08:54:50 2011 +0200

    eggsmclient-xsmp: fix warnings
    
    Bug #651030

 lib/egg/eggsmclient-xsmp.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 1832d97b4da08d770758c0c6bec6c65bd96f54b0
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jun 19 17:39:08 2011 +0200

    Updated Norwegian bokmål translation.

 po/nb.po |  258 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 143 insertions(+), 115 deletions(-)

commit a7f72ff451fa26a6c47fff949db191571c7f3442
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Jun 19 11:51:07 2011 +0200

    Updated Spanish translation

 po/es.po |  211 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 121 insertions(+), 90 deletions(-)

commit 96c1876a74ed83c7ae58721c4493d26352a0651c
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Jun 19 01:54:53 2011 +0200

    ephy-request-about: fix typo

 lib/ephy-request-about.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1d5285f6b01bdab426c96dea26ec4c71d25f1f4e
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Jun 17 22:08:23 2011 +0200

    ephy-embed-prefs: stop trying to use the GNOME font settings
    
    They are particularly ill-suited for us in GNOME 3:
    
    - font-name is Cantarell, which is not good as the sans-serif font in
      the web.
    - document-font-name, which we hoped would be a serif font, is "Sans
      11".
    
    So just give up and set "sans" "serif" and use whatever the system is
    set up to do for that. In Fedora we will get DejaVu, which is not
    particularly great, so ideally we should add code to get better
    defaults.

 embed/ephy-embed-prefs.c |   44 +++++++-------------------------------------
 1 files changed, 7 insertions(+), 37 deletions(-)

commit 1d8bceeea2064fc777336c3f5af15e3f3ac490c5
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Jun 17 02:59:12 2011 +0200

    ephy-request-about: some style fixes

 lib/ephy-request-about.c |  193 +++++++++++++++++++++++----------------------
 lib/ephy-request-about.h |    8 +-
 2 files changed, 103 insertions(+), 98 deletions(-)

commit 79ec93255d399de253d8fbf74bc93a7b24efb5ea
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Jun 15 18:16:56 2011 +0200

    ephy-embed-prefs: plug a couple of leaks

 embed/ephy-embed-prefs.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 7db0b59252f18155cc2ee1755b46b69e9d44e86d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Jun 14 18:21:53 2011 +0200

    Updated Slovenian translation

 po/sl.po |  154 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 92 insertions(+), 62 deletions(-)

commit 47f2ef3ac8c130a54930d1e034b9b50cd53bec7e
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Jun 14 15:36:52 2011 +0200

    configure.ac: hrm, 2.30 is not out yet

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8d08871ace1019111a50c47f473f565e4cb47307
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Jun 9 23:57:24 2011 +0200

    Use the generic marshaler throughout
    
    Just enough to get rid of ephy-marshal.h

 configure.ac                       |    2 +-
 embed/ephy-download.c              |    3 +--
 embed/ephy-embed-shell.c           |    1 -
 embed/ephy-embed-single.c          |    7 +++----
 embed/ephy-history.c               |    7 +++----
 embed/ephy-permission-manager.c    |    1 -
 embed/ephy-web-view.c              |   13 ++++++-------
 lib/Makefile.am                    |   23 ++---------------------
 lib/widgets/ephy-location-entry.c  |    5 ++---
 lib/widgets/ephy-node-view.c       |    5 ++---
 lib/widgets/ephy-tree-model-sort.c |    1 -
 src/bookmarks/ephy-bookmarks.c     |    3 +--
 src/ephy-dbus.c                    |    5 ++---
 src/ephy-link.c                    |    3 +--
 src/ephy-notebook.c                |    1 -
 src/ephy-tabs-menu.c               |    1 -
 16 files changed, 24 insertions(+), 57 deletions(-)

commit 42fc55f3abdabe3e17e5abd8ff78e68fa1ae5626
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Jun 13 22:47:13 2011 +0200

    [release] 3.1.2

 NEWS         |   16 ++++++++++++++++
 configure.ac |    2 +-
 2 files changed, 17 insertions(+), 1 deletions(-)

commit 48af7536609e9e902694785901ee2ba3dc43f4f9
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Jun 13 22:59:27 2011 +0200

    POTFILES.in: add new file

 po/POTFILES.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8bdee5f4dded2cea80e62b9402e138e7dc0f37c2
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Tue Apr 19 15:22:10 2011 -0700

    Tweak the "Hide Menubar" UI options slightly.
    
    Remove the menubar visibility options from the content context menu
    and adds them to the chrome context menu. Invert the meaning of the
    option and update the option text.

 data/ui/epiphany-ui.xml |    6 +++---
 src/ephy-window.c       |   12 +++++-------
 2 files changed, 8 insertions(+), 10 deletions(-)

commit 2591b899a411c78369a2455e3df61d72f9e4a9f6
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sat Jun 11 23:42:22 2011 +0200

    Added UG translation

 po/ug.po | 6067 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 3042 insertions(+), 3025 deletions(-)

commit 7f95e74c94aacb1be5516dfb64dd24abf1d12fe3
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Jun 11 17:37:16 2011 +0200

    Updated Slovenian translation

 po/sl.po |  311 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 166 insertions(+), 145 deletions(-)

commit b130e1f89c752e0aa09dfbb62616ad0ec6792c36
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Jun 10 16:48:30 2011 +0200

    ephy-web-view: do not warn of modified forms for short text in input elements
    
    It's not likely the user is interested in saving this, and it's pretty
    common (eg, google.com).

 embed/ephy-web-view.c |   25 +++++++++++++++++++++++--
 1 files changed, 23 insertions(+), 2 deletions(-)

commit 2ee1825bac5ec3db74798fd4ba9367dd55e0b363
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Jun 10 02:50:46 2011 +0200

    about.css: add comments to indicate which pages the css snippets belong to

 data/pages/about.css |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 46bc5c4ec06f35b545af7aa0ebf0ea09da7df07d
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Jun 10 02:48:26 2011 +0200

    Blast from the past

 data/pages/about.css     |   14 +++++++++++++-
 lib/ephy-request-about.c |   27 +++++++++++++++++++++------
 2 files changed, 34 insertions(+), 7 deletions(-)

commit aca7c30d20069031c132b1aeb34b62bfd445153e
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Jun 10 02:32:51 2011 +0200

    ephy-embed-utils: make URI normalization for about: generic

 embed/ephy-embed-utils.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit d732145429c8366b98e82c08ba092a6514ef913b
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Jun 9 21:13:31 2011 +0200

    gedit-overlay: prevent underallocation warnings
    
    This is somewhat hacky, but we'll switch to GtkOverlay soon anyway.

 lib/widgets/gedit-overlay.c |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit 7084eadd14a1ba9013e1cb0206a7da5c2e23e014
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Jun 9 20:31:14 2011 +0200

    ephy-window: do not do spell check for the empty string

 src/ephy-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dca1e2ef7e8864cde8f7299da3ee3785132b17b1
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Jun 9 20:04:10 2011 +0200

    egg-toolbar-model: fix compiler model
    
    I don't think this is useful anymore?

 lib/egg/egg-toolbars-model.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit be870ea35d2f9e02ec30f6cc93a2ea23611100b4
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Jun 9 20:02:36 2011 +0200

    gedit-overlay: fix compiler warning

 lib/widgets/gedit-overlay.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ffae9a0909f5a12e510038840586044a77b7baec
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Jun 9 17:29:56 2011 +0300

    Use GtkOrientable interface instead of deprecated V/H widgets
    
    Gtk[HV]Box, Gtk[HV]Separator, Gtk[HV]Paned are deprecated in GTK+ 3.2,
    so let's use the GtkOrientable interface instead.
    
    GtkBox is likely to dissapear soon too, so a migration to GtkGrid
    might be necessary at some point.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652201

 embed/ephy-embed.c                    |    9 ++++++---
 embed/ephy-embed.h                    |    4 ++--
 embed/ephy-web-view.c                 |    4 ++--
 lib/egg/egg-editable-toolbar.c        |    8 +++++---
 lib/egg/egg-editable-toolbar.h        |    4 ++--
 lib/egg/egg-toolbar-editor.c          |    8 +++++---
 lib/egg/egg-toolbar-editor.h          |    4 ++--
 lib/widgets/ephy-download-widget.c    |    5 ++++-
 lib/widgets/ephy-download-widget.h    |    4 ++--
 lib/widgets/ephy-zoom-control.c       |    3 ++-
 src/bookmarks/ephy-bookmark-action.c  |    4 ++--
 src/bookmarks/ephy-bookmarks-editor.c |   10 +++++-----
 src/bookmarks/ephy-topic-action.c     |    2 +-
 src/ephy-find-toolbar.c               |    2 +-
 src/ephy-fullscreen-popup.c           |    4 ++--
 src/ephy-history-window.c             |    6 +++---
 src/ephy-notebook.c                   |    2 +-
 src/ephy-session.c                    |    2 +-
 src/ephy-toolbar-editor.c             |    2 +-
 src/ephy-window.c                     |    6 +++---
 src/pdm-dialog.c                      |    2 +-
 21 files changed, 53 insertions(+), 42 deletions(-)

commit 0f61b9bd7ab89b70f1323f08b4f26a27b005d62a
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Jun 9 17:25:08 2011 +0300

    use gtk_box_pack_start() with EphyEmbed
    
    Using gtk_container_add() is a bad idea because default fill/expand
    values can change, and they happened to do in GTK+ 3.1.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652201

 embed/ephy-embed.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d3a51491dd8a2e658ac52e951049a65c0ce383ac
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Jun 9 14:01:34 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  274 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 143 insertions(+), 131 deletions(-)

commit 776d6e39555c9063bb5f9862ceedac747e4353a7
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Jun 9 01:28:41 2011 +0200

    ephy-window: fix warning

 src/ephy-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a0f0e5368807f17685ec8836be24eef43541e329
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue May 31 22:47:13 2011 +0200

    Add suggestions to correct misspellings to the context menu
    
    When the user right-clicks on a misspelled word a number of possible
    corrections will be offered by Epiphany. Selecting one of them will
    replace the misspelled word by the suggestion.

 data/ui/epiphany-ui.xml |    5 +++
 src/ephy-window.c       |   76 +++++++++++++++++++++++++++++++++++++++++++++--
 src/popup-commands.c    |   27 ++++++++++++++++
 src/popup-commands.h    |    4 ++
 4 files changed, 109 insertions(+), 3 deletions(-)

commit 490f0b5228d4972ba16ce375cf3a6989a20ae113
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Jun 8 17:39:56 2011 +0300

    Simplify ephy_string_commandline_args_to_uris()
    
    No need to use realpath(3), we're in 2011 now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652120

 lib/ephy-string.c |   51 ++++++++++-----------------------------------------
 1 files changed, 10 insertions(+), 41 deletions(-)

commit 769cf77926d58dc75e1f031b15433522ecd8d9a2
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Jun 8 14:37:29 2011 +0300

    Move the save/load accelerators methods to the ephy file utilities
    
    Second patch in an attempt to clean up ephy-main.c
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652119

 lib/ephy-file-helpers.c |   37 +++++++++++++++++++++++++++++++++++++
 lib/ephy-file-helpers.h |    2 ++
 src/ephy-main.c         |   41 ++---------------------------------------
 3 files changed, 41 insertions(+), 39 deletions(-)

commit 82088320c652f34543c82b790adf82019320d5a4
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Jun 8 14:28:10 2011 +0300

    Add ephy_string_commandline_args_to_uris() to ephy string utilities
    
    This is the first patch in an attempt to simplify epiphany's main()
    method, which is quite bulky by now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652119

 lib/ephy-string.c |   71 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 lib/ephy-string.h |    3 ++
 src/ephy-main.c   |   68 +++++++++-----------------------------------------
 3 files changed, 86 insertions(+), 56 deletions(-)

commit 99193c87cd59cf1d913c7b9840148956d619c91c
Author: Mario Sanchez Prada <msanchez@igalia.com>
Date:   Mon Jun 6 13:39:25 2011 +0200

    Tweak style for close buttons in notebooks removing paddings and borders
    
    Set to zero 'default-border', 'default-outside-border', 'inner-border'
    and 'padding' for the GtkButton, following the lead of GEdit.
    
    Bug #648116

 src/ephy-notebook.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 27f60858f567f2bee47ab0fac76ff39a33707c4d
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Jun 6 00:34:48 2011 +0200

    Updated Galician translations

 po/gl.po |  199 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 104 insertions(+), 95 deletions(-)

commit dff30b763b98a49579d0a6296961ceb91216e68e
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Oct 10 20:08:13 2010 -0500

    ephy-embed-single: set_network_status needs to notify
    
    Otherwise ephy-window never finds out that the network-status has changed.
    
    Bug #624421

 embed/ephy-embed-single.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 6395c6fc933ee70364f2f2269a0fbbe9391c92d6
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Jun 4 13:39:19 2011 +0300

    Updated Hebrew translation.

 po/he.po |  203 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 106 insertions(+), 97 deletions(-)

commit 05fcbd1bd368f8451c9b2062d7d3b66e0d7efacc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Jun 4 10:34:44 2011 +0200

    Updated Spanish translation

 po/es.po |  142 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 72 insertions(+), 70 deletions(-)

commit 522d846720dce36821f9203b225613518744e4db
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Jun 3 16:11:53 2011 +0300

    Remove an unnecessary g_strv_length()

 lib/ephy-request-about.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 89cd6749b82686ca78e8d44c5b3fb18fead02363
Author: Sergio Villar Senin <svillar@igalia.com>
Date:   Wed Mar 30 09:36:08 2011 +0200

    Added about:plugins support.
    
    We are now able to show a page with the list of installed plugins.
    
    Bug #575498

 data/pages/Makefile.am            |    6 +-
 data/pages/about.css              |   31 ++++++++
 embed/ephy-embed-single.c         |    9 ++
 embed/ephy-embed-utils.c          |   19 ++++-
 embed/ephy-history.c              |   12 +++-
 embed/ephy-web-view.c             |    8 ++
 lib/Makefile.am                   |    4 +-
 lib/ephy-request-about.c          |  149 +++++++++++++++++++++++++++++++++++++
 lib/ephy-request-about.h          |   37 +++++++++
 lib/widgets/ephy-location-entry.c |   17 ++++-
 10 files changed, 282 insertions(+), 10 deletions(-)

commit 813993d057e19bf9f7b1c091d165026c6dad8a41
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue May 31 22:32:00 2011 +0200

    configure.ac: remove unused BUILDID variable

 configure.ac |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 2d041d8bb6b4a57a18cd211dc0488d5020b6f4e5
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue May 31 20:16:41 2011 +0200

    configure.ac: require WebKitGTK+ 1.5.1

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 644d1c301ce4813283e1ce22935bc2357fe93c1b
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue May 31 20:15:44 2011 +0200

    ephy-web-view: warn about unsubmitted forms on close
    
    Reimplement this again, hopefully a lot more accurately now with
    WebKit :)
    
    Bug #604986

 embed/ephy-web-view.c |   33 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)

commit faf06ad3dd147216463c01d219f3da5ce9167ce9
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun May 29 17:58:04 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 2492 +++++++++++++++++++++++++++--------------------------
 1 files changed, 1250 insertions(+), 1242 deletions(-)

commit b4d35e3fa236d9f2defe795fdbb7112318ea967b
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue May 24 23:07:13 2011 +0200

    Added screenshots

 po/es.po |  180 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 94 insertions(+), 86 deletions(-)

commit 604e2347f5447c8523f32680c3517c0540626e60
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon May 23 23:14:03 2011 +0200

    prefs-dialog: add spacing between font selection comboboxes
    
    Bug #650702

 data/glade/prefs-dialog.ui |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 3f84b79bfa35911bdfe3a196b042a278c4486e42
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon May 23 14:26:10 2011 +0200

    Add optional spell checking, enabled by default
    
    Depends on WebKitGTK+ being built with spell check support, otherwise
    it won't do anything.
    
    Based on a patch by Diego Escalante.

 data/glade/prefs-dialog.ui             |  675 ++++++++++++++++++++------------
 data/org.gnome.epiphany.gschema.xml.in |    5 +
 embed/ephy-embed-prefs.c               |   26 ++
 lib/ephy-prefs.h                       |    1 +
 src/prefs-dialog.c                     |    3 +
 5 files changed, 465 insertions(+), 245 deletions(-)

commit 243e5e4985626aa44bfd0b74d17c478a4402e851
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun May 22 13:16:25 2011 +0200

    ephy-location-entry: handle gracefully first call
    
    The set_stock_id method is called initially with NULL to set things
    up.

 lib/widgets/ephy-location-entry.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit fb5aebd75337d9602de157670300e0a4a3473b91
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun May 22 12:29:47 2011 +0200

    Stop propagating the "secure" boolean to the location action
    
    It was only used to figure out whether to paint the entry background
    yellow, so we don't need it anymore.

 src/ephy-location-action.c |   21 ---------------------
 src/ephy-toolbar.c         |    5 -----
 src/ephy-toolbar.h         |    1 -
 src/ephy-window.c          |    3 +--
 4 files changed, 1 insertions(+), 29 deletions(-)

commit ebc870195f52c780235dd477f8aa4ca1b23b6536
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun May 22 12:18:54 2011 +0200

    ephy-location-entry: use symbolic icons for security state
    
    The code should probably be cleaned up to stop using the stock-id
    defines, which don't make much sense anymore.

 lib/widgets/ephy-location-entry.c |   40 +++++++++++++++++++++++++-----------
 1 files changed, 28 insertions(+), 12 deletions(-)

commit 231b8a0bbba7479044d5fa57e805c142755df116
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun May 22 12:01:43 2011 +0200

    ephy-location-entry: do not use a yellow background for secure sites
    
    Adds unneeded clutter to the entry, we'll just rely on a visible
    symbolic lock icon when needed.

 lib/widgets/ephy-location-entry.c |  116 -------------------------------------
 lib/widgets/ephy-location-entry.h |    3 -
 src/ephy-location-action.c        |   15 -----
 3 files changed, 0 insertions(+), 134 deletions(-)

commit 0bf62245971fca798531600bf5e961fbc7724db3
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu May 12 17:30:17 2011 -0700

    ephy-profile-migrator: call g_type_init explicitly

 lib/ephy-profile-migrator.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4b2029408e475382fff02636591ab0f6e44409aa
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   Fri May 13 00:36:38 2011 +0200

    Updated Aragonese translation

 po/an.po | 2647 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 1156 insertions(+), 1491 deletions(-)

commit 92a37489abf637ff043e722079a37919f94c00a6
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Mon May 9 00:46:55 2011 +0300

    Updated Hebrew translation.

 po/he.po |  516 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 259 insertions(+), 257 deletions(-)

commit 3fa228b61149c6e49687856d6dc41f7e2313e51e
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu May 5 18:23:56 2011 -0700

    egg-toolbars-model: free types list

 lib/egg/egg-toolbars-model.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6d839481ccf0e1718f98df27b7cf6890d8059d5b
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu May 5 17:37:46 2011 -0700

    ephy-extensions-manager: plug leak

 src/ephy-extensions-manager.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4b60d82f3722d98414fa3b03cac8b081fb79e429
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu May 5 14:03:20 2011 -0700

    ephy-home-action: plug leak

 src/ephy-home-action.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a081c9755a52ab9c4e67edc465129988a0318bc2
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Thu May 5 18:27:42 2011 +0300

    Updated Turkish translation

 po/tr.po |  402 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 202 insertions(+), 200 deletions(-)

commit 26c3476ba5e3c95ea9ac2d3aa31c812d7286ccc3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed May 4 11:19:18 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  440 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 222 insertions(+), 218 deletions(-)

commit 0f62281e71152040283e4bf1bb399104a9723900
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Mon May 2 03:11:05 2011 +0300

    Uploaded Ukranian

 po/uk.po |  443 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 222 insertions(+), 221 deletions(-)

commit 774782cbec8e624bb8c05afbaf28ec04853dd16e
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun May 1 19:53:47 2011 +0200

    Added UG translation

 po/ug.po | 6050 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 3025 insertions(+), 3025 deletions(-)

commit ea43a991f445a7fc91d06df2633ef4f9920ffc60
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun May 1 00:38:31 2011 -0700

    Be smarter about tab grouping
    
    The previous patch was simply grouping new tabs in the current window
    always, which is too much. For instance, we don't want to group
    Ctrl+T.

 src/ephy-link.c   |    4 ++--
 src/ephy-link.h   |    7 ++++---
 src/ephy-window.c |    5 ++++-
 3 files changed, 10 insertions(+), 6 deletions(-)

commit 87e2892e39713d4e2baa955d1c2b36cb194db8e4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Apr 28 21:25:48 2011 +0200

    Updated Slovenian translation

 po/sl.po |  463 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 229 insertions(+), 234 deletions(-)

commit d6e4b0c90bb67738b8986266c95d7a4c0b2760d6
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Apr 28 19:44:29 2011 +0200

    Updated galician translations

 po/gl.po |  443 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 222 insertions(+), 221 deletions(-)

commit ac6dcc46026f8a8e24f9210fd84b9485fc91409f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Apr 27 20:14:33 2011 +0200

    Updated Spanish translation

 po/es.po |  490 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 245 insertions(+), 245 deletions(-)

commit a9a49a0ad7711e370686430d939b2d793644367a
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Apr 26 12:31:27 2011 -0700

    ephy-bookmark-action: fix warning

 src/bookmarks/ephy-bookmark-action.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 14bcb3b6d08fcb2d84b836d70fb2c9d25604779b
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Apr 26 12:28:39 2011 -0700

    ephy-overlay-escaping-child: fix warnings

 lib/widgets/ephy-overlay-escaping-child.c |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit bfb72ff6e28aaa22f62dc3364cc560f4215063be
Author: Alexandre Mazari <amazari@igalia.com>
Date:   Tue Apr 19 13:00:00 2011 +0200

    Slide out the status overlay when the mouse pointer goes close by.
    
    This introduces a GeditOverlayChild subclass, listening to parent
    overlay mouse events to define the escaping policy.
    The distance from which the widget "escapes" the mouse pointer
    can be set at construction time.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=643909

 embed/ephy-embed.c                        |    7 +-
 lib/widgets/Makefile.am                   |    4 +-
 lib/widgets/ephy-overlay-escaping-child.c |  307 +++++++++++++++++++++++++++++
 lib/widgets/ephy-overlay-escaping-child.h |   56 ++++++
 lib/widgets/gedit-overlay.c               |    2 +-
 5 files changed, 373 insertions(+), 3 deletions(-)

commit 91fc5262d1c669bc8d543ef96d75ba0ba1b7cce0
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun Apr 24 20:31:47 2011 +0200

    Added UG translation

 po/ug.po |  316 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 182 insertions(+), 134 deletions(-)

commit 30e3bd4ffc8adc85add63ab1551ca50b59a8420c
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Apr 23 12:13:39 2011 -0700

    ephy-embed-prefs: plug a couple of leaks

 embed/ephy-embed-prefs.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 248142943ddbe8c980b52eb38fbb157039cb0b44
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Fri Apr 22 13:35:35 2011 +0430

    Updated Persian translation

 po/fa.po |  673 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 315 insertions(+), 358 deletions(-)

commit 89e92f625178ff6e1177610f18076180f10630be
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Apr 20 11:07:03 2011 -0700

    Think McFly, think!

 src/prefs-dialog.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 85e3c2e1129a1d0d3d5dd0c1bdab883ea7b027b5
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Apr 20 01:14:05 2011 -0700

    Remove a few GCC 4.6.0 warnings

 embed/ephy-download.c           |    2 --
 embed/ephy-embed-prefs.c        |    2 --
 lib/ephy-print-utils.c          |    4 ----
 lib/ephy-state.c                |    4 ----
 lib/widgets/ephy-node-view.c    |    4 ----
 lib/widgets/ephy-zoom-control.c |    2 --
 src/bookmarks/ephy-bookmarks.c  |    5 +----
 src/ephy-shell.c                |    6 ------
 src/ephy-toolbar.c              |    4 +---
 src/prefs-dialog.c              |    4 +---
 tests/ephy-location-entry.c     |    3 ---
 11 files changed, 3 insertions(+), 37 deletions(-)

commit a78edd0144a01081ac254b40228c1b7c488df711
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Apr 20 13:01:41 2011 +0100

    Updated British English translation

 po/en_GB.po |  137 ++++++++++++++++++++++++++++++----------------------------
 1 files changed, 71 insertions(+), 66 deletions(-)

commit 05d631cb9b95e3be827cbfbcdeb569834a967959
Author: Alexandre Mazari <amazari@igalia.com>
Date:   Mon Apr 18 18:30:58 2011 +0200

    Import latest version of Gedit's overlay code.

 lib/widgets/gedit-overlay-child.c |   71 ++++++++------
 lib/widgets/gedit-overlay.c       |  190 +++++++++++++++++++++++++------------
 lib/widgets/gedit-overlay.h       |    3 +
 3 files changed, 169 insertions(+), 95 deletions(-)

commit 03d920eebb49fb9ecfda4ec00b669d1032caf587
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Apr 19 00:36:27 2011 -0500

    prefs-dialog: rename "automatically open downloads"
    
    Change "automatically download and open files" to "automatically open
    downloaded files", which is what actually happens.
    
    Bug #646453

 data/glade/prefs-dialog.ui |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 351a6f2e63d8baf417865f108b334c9c9fd26b24
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Mar 23 19:47:51 2011 -0500

    Add a preference to force internal view-source
    
    Using the view-source feature provided by WebKitGTK+ can be handier than
    opening gedit or the default text/html application in your system.
    This adds "internal-view-source" to org.gnome.Epiphany to force the
    internal-viewer always.
    
    Based on Ole Laursen's patch.
    
    Bug #597156

 data/org.gnome.epiphany.gschema.xml.in |    4 +++
 lib/ephy-prefs.h                       |    1 +
 src/window-commands.c                  |   44 ++++++++++++++++++++++---------
 3 files changed, 36 insertions(+), 13 deletions(-)

commit bfc6e9f79606c6143ab106d00653ab6fc759c877
Author: Danilo Šegan <danilo@gnome.org>
Date:   Mon Apr 18 21:52:37 2011 +0200

    Open new tabs to the right of the current one even for location entry
    Ctrl+Enter actions.
    
    Bug #647976

 src/ephy-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit af770e0804aa904ff872f84d42c51aec93d7eea1
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Sun Apr 17 14:48:28 2011 -0300

    Only unset the value after we are done with the string for 'Save Link As...'
    
    We get the string from the GValue without making a copy, so we cannot
    unset it before we are done using the string, otherwise we may end up
    with our string pointing to garbage.
    
    Bug #646724

 src/popup-commands.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit e802e029282a545966e6fe4951c00c4bb5425ea3
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Apr 18 07:55:56 2011 +0200

    Updated Czech translation

 po/cs.po |  359 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 181 insertions(+), 178 deletions(-)

commit fb2b7803e35e7aad12cef6e0546a46f575b35153
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Apr 17 19:06:21 2011 -0700

    configure.ac: bump version to 3.1.0

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d50425cfd3009d18404d37bb245e8ebd5ac4b3d6
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Apr 17 19:02:15 2011 -0700

    Add UI options to hide the menubar
    
    In the future Web-app like windows will have this hidden by default,
    but for now we can also add an option to hide it elsewhere.

 data/ui/epiphany-ui.xml |    3 +++
 src/ephy-window.c       |   30 +++++++++++++++++++++++++++++-
 2 files changed, 32 insertions(+), 1 deletions(-)

commit 9d106fb898a71bca2d0aa9233b72a6423627942e
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Sat Apr 16 17:02:19 2011 -0300

    Do not save state for popup windows
    
    Bug #580951

 src/ephy-window.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 44fe7350b9c253d974b050d49c6f88b3d4ef8bdb
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Sat Apr 16 15:36:14 2011 -0300

    Better behaviour when openning new windows that are resized as tabs
    
    When a new window is opened and given a specific size and position by
    javascript, the request should only be respected if the new window is
    being opened stand alone, and considered a popup. This fixes bad
    behaviour observed when the new window became a tab on an existing
    window and messed with its size.
    
    Bug #612155

 embed/ephy-embed-prefs.c |    1 -
 embed/ephy-embed.c       |   39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+), 1 deletions(-)

commit d436a108f1c30a5f937df2b05a5e5cbdf12b4d0a
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Sat Apr 16 16:11:08 2011 -0300

    Mark windows with modified chrome as popups and only allow resizing for them
    
    A window with non-modified chrome will potentially be used as a normal
    window for browsing - there's no reason why it should be different
    from existing windows when it comes to resize policy. With this change
    we consider windows with modified chrome as popups and only set a
    default size on creation for popup windows.
    
    Bug #612155

 src/ephy-window.c |   15 ++++++++++-----
 1 files changed, 10 insertions(+), 5 deletions(-)

commit 0ec186343a500d2662a118ad5eb0fc67275a4f9f
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sun Apr 17 08:28:06 2011 -0700

    popup-commands: also group tabs opened through the context menu

 src/popup-commands.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit d6ace50802104ef38d2272a6be4767de99923060
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Apr 15 17:51:52 2011 -0700

    Move overlay statusbar to EphyEmbed
    
    It's where it belongs, and it will make things easier for the
    following patches in this area.

 embed/ephy-embed.c    |  168 ++++++++++++++++++++++++++++++++++++++++++++-
 embed/ephy-embed.h    |   27 ++++++--
 embed/ephy-web-view.c |  183 -------------------------------------------------
 embed/ephy-web-view.h |   11 +---
 src/ephy-window.c     |   26 ++++---
 5 files changed, 201 insertions(+), 214 deletions(-)

commit 6a3082a962422d0d15b25914eaa3cbb17443d7ef
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Thu Apr 14 12:49:20 2011 -0300

    Rely on WebKit doing the check for mixed symbols
    
    WebKit 1.4.0 checks if symbols are being mixed before loading a
    plugin. That is more robust, so we should rely on it.
    
    Bug #647096

 configure.ac              |    2 +-
 embed/ephy-embed-single.c |   14 --------------
 2 files changed, 1 insertions(+), 15 deletions(-)

commit ff8e1b4af8c8af5afffbfd3f5b1d7a660300dba5
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Apr 13 05:39:53 2011 +0200

    Updated Arabic translation

 po/ar.po |   69 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 37 insertions(+), 32 deletions(-)

commit bb0023ebb20de4a464553f8714d1135de7966dd7
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Apr 11 11:55:58 2011 -0700

    ephy-embed-prefs: auto-shrink images by default
    
    This still has some issues, but until we figure them out I guess it's
    much better to turn the preference on than off.

 embed/ephy-embed-prefs.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 53facd8a36948cfeee40ebc2fa8c38f7237e1cdf
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Apr 10 08:49:51 2011 +0300

    Updated Bulgarian translation

 po/bg.po |   33 +++++++++++++++++++--------------
 1 files changed, 19 insertions(+), 14 deletions(-)

commit a6f6c86468551d18ceda2bde3bd86f2bcc07d819
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Apr 4 22:11:13 2011 -0700

    Update copyright for 2011.

 src/window-commands.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6bb41fcb73f0fda05c3b64b67115f2380ca1ac73
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Apr 5 07:27:10 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |   33 +++++++++++++++++++--------------
 po/zh_TW.po |   33 +++++++++++++++++++--------------
 2 files changed, 38 insertions(+), 28 deletions(-)

commit e430e5f63fb258a03c6f50cec0e7565c0f24b09a
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Apr 4 16:00:13 2011 -0700

    [release] 3.0.0

 NEWS         |   12 ++++++++++++
 configure.ac |   10 +++++-----
 2 files changed, 17 insertions(+), 5 deletions(-)

commit 217a89de16465d8feaa3d3cd297b301b5e3a7757
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Mon Apr 4 19:33:49 2011 +0300

    Updated Latvian translation.

 po/lv.po |   82 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 41 insertions(+), 41 deletions(-)

commit b273f6afdc32fd92633a9a84cf710c3e81ec7c6f
Author: Lukas Lommer <llommer@svn.gnome.org>
Date:   Mon Apr 4 15:44:02 2011 +0200

    Updated Czech translation

 po/cs.po |   35 ++++++++++++++++++++---------------
 1 files changed, 20 insertions(+), 15 deletions(-)

commit 2a281e006d06bce31ed3885457b9e56a4b4d1422
Author: Lukas Lommer <llommer@svn.gnome.org>
Date:   Mon Apr 4 15:42:28 2011 +0200

    Updated Czech translation

 po/cs.po | 1460 ++++++++++++++++++++-----------------------------------------
 1 files changed, 479 insertions(+), 981 deletions(-)

commit 37091e506222c8ff6c3b1fd52b23fcadcdeee76c
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:   Mon Apr 4 17:11:22 2011 +0430

    Updating Persian Translation

 po/fa.po | 4742 +++++++++++++++++++-------------------------------------------
 1 files changed, 1451 insertions(+), 3291 deletions(-)

commit 43c7bb97933fbbaaa61225cd18e192871a1a294f
Author: Baris Cicek <baris@teamforce.name.tr>
Date:   Mon Apr 4 07:46:13 2011 +0300

    Updated Turkish translation

 po/tr.po | 2835 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 1445 insertions(+), 1390 deletions(-)

commit 0c170474c2873ee7b80182bd63b52338aafb3b75
Author: George Stefanakis <george.stefanakis@gmail.com>
Date:   Sun Apr 3 21:22:27 2011 +0300

    l10n: Updated Greek translation for epiphany

 po/el.po | 2445 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1222 insertions(+), 1223 deletions(-)

commit 9240a95bf37fe37ca2a05a199709e922e4d65217
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sun Apr 3 20:25:19 2011 +0400

    Updated Russian translation

 po/ru.po |   92 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 43 insertions(+), 49 deletions(-)

commit 741d6ecaca670a541c76f3aca95f1b1100c49ba2
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Mon Apr 4 01:24:51 2011 +0900

    Updated Japanese translation.

 po/ja.po | 2583 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1293 insertions(+), 1290 deletions(-)

commit f82ade160f40cb6e05de3fb7a53274762651cc6f
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Apr 2 15:05:48 2011 -0700

    egg-editable-toolbar: set a device to the DnD event
    
    Otherwise we'll crash inside GTK+.

 lib/egg/egg-editable-toolbar.c |   23 ++++++++++++-----------
 1 files changed, 12 insertions(+), 11 deletions(-)

commit 6a4d6f0769186bb42546725327916b3a30ae06a0
Author: 微尘 <squeeze@189.cn>
Date:   Sun Apr 3 01:58:59 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po |   21 +++++++++++++--------
 1 files changed, 13 insertions(+), 8 deletions(-)

commit 1ebc84cc555a2f9c072444515daea451f64885a5
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat Apr 2 22:33:35 2011 +0200

    Updated Danish translation

 po/da.po |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

commit 14b0e2e15e24fcce614a7724a45904b436eb3460
Author: Jordi Serratosa <serratosa@gmail.com>
Date:   Sat Apr 2 20:55:15 2011 +0200

    [l10n]Fixes on Catalan translation

 po/ca.po |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 1a5ee052801f04b4a21f9adcb754ea32c867503e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Apr 2 19:42:25 2011 +0200

    Updated Slovenian translation

 po/sl.po |   71 +++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 43 insertions(+), 28 deletions(-)

commit 5f6a2850ed2357c0a47ed6e02b14af60c29b59d1
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Apr 2 17:58:21 2011 +0200

    Updated Spanish translation

 po/es.po |  173 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 86 insertions(+), 87 deletions(-)

commit 3c75784c589124a4a1f82f6dc9521696fa028584
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sat Apr 2 17:41:35 2011 +0200

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po |   59 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 32 insertions(+), 27 deletions(-)

commit 5e96bf7eacd12705d4d2b330460bb0da7ba0765d
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Sat Apr 2 20:55:42 2011 +0530

    Updated Tamil translation

 po/ta.po |   33 +++++++++++++++++++--------------
 1 files changed, 19 insertions(+), 14 deletions(-)

commit 335eb991397fcb417d7732d317cfdfd82261cdc7
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Apr 2 20:09:00 2011 +0900

    Updated Korean translation

 po/ko.po |   57 +++++++++++++++++++++++++++++++--------------------------
 1 files changed, 31 insertions(+), 26 deletions(-)

commit 67c5576b70bf06f65512886877ba6862d744aeec
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Sat Apr 2 00:55:13 2011 +0200

    Updated Galician translations

 po/gl.po |   49 +++++++++++++++++++++++++++----------------------
 1 files changed, 27 insertions(+), 22 deletions(-)

commit d7d47462971e217c73c4967e986560c8532eed84
Author: Gil Forcada <gforcada@gnome.org>
Date:   Fri Apr 1 17:57:02 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po |   49 +++++++++++++++++++++++++++----------------------
 1 files changed, 27 insertions(+), 22 deletions(-)

commit 48b80d4adaafe93a4745cbf900fceb141132b69d
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Fri Apr 1 14:39:07 2011 +0200

    [l10n] Updated Italian translation

 po/it.po | 1994 +++++++++++++++++++++++---------------------------------------
 1 files changed, 727 insertions(+), 1267 deletions(-)

commit bec683c2cc7388a6a5121cf803456ddba3014b38
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Apr 1 13:52:52 2011 +0200

    Updated Hungarian translation

 po/hu.po |   81 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 39 insertions(+), 42 deletions(-)

commit e43cc5e53e1734a2e6419964235d80693bdffc6b
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Apr 1 10:39:16 2011 +0200

    Updated Basque language

 po/eu.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6a369fd619a0ad803e93c2eee2f1878ac9dde0e3
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Thu Mar 31 09:56:37 2011 +0200

    Updated Basque language

 po/eu.po |   67 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 33 insertions(+), 34 deletions(-)

commit 9d7bd5818f3daee7288c8e25a8ad4b6b32dce5bd
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Apr 1 10:14:28 2011 +0200

    Updated French translation

 po/fr.po |   49 +++++++++++++++++++++++++++----------------------
 1 files changed, 27 insertions(+), 22 deletions(-)

commit 9e844036d9862a55368c08135135c9675097aefb
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Apr 1 09:29:03 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |   49 +++++++++++++++++++++++++++----------------------
 1 files changed, 27 insertions(+), 22 deletions(-)

commit f6489db20bd3697725f3852aafd1191a5c35b9fa
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Thu Mar 31 22:56:36 2011 +0100

    Updated Portuguese translation

 po/pt.po |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

commit d3c37f06b12aaa5dd0192bce3bf99c8ecf858a0f
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Mar 31 21:13:46 2011 +0200

    Updated Hebrew translation.

 po/he.po |   55 ++++++++++++++++++++++++++++++-------------------------
 1 files changed, 30 insertions(+), 25 deletions(-)

commit bb750734ae889972cfcc164e2082b135e8588362
Author: Antonio Fernandes C. Neto <fernandes@pelivre.org>
Date:   Thu Mar 31 12:02:54 2011 -0300

    Fixed typo in Brazilian Portuguese translation

 po/pt_BR.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 372900957676a2cef0d414d1e23b8015ff22fbb2
Author: Antonio Fernandes C. Neto <fernandes@pelivre.org>
Date:   Thu Mar 31 11:49:44 2011 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po |   65 ++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 36 insertions(+), 29 deletions(-)

commit 46fc2b35081abfc6eccf5fe4b4c5f2f269df962c
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Thu Mar 31 17:01:39 2011 +0300

    Uploaded Ukranian

 po/uk.po |   66 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 35 insertions(+), 31 deletions(-)

commit 75f29f7817ee294c18fe744d082a3f48cf1fb680
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Mar 31 13:17:09 2011 +0200

    Updated Polish translation

 po/pl.po |   63 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 32 insertions(+), 31 deletions(-)

commit da7d592eb13170583239224b5d9712bb09884890
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Mar 31 09:43:54 2011 +0200

    [l10n] Updated German translation

 po/de.po |  121 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 60 insertions(+), 61 deletions(-)

commit 5c709227fb486dcc82edaa4ff49dcd6987621953
Author: Daniel Nylander <po@danielnylander.se>
Date:   Thu Mar 31 08:32:06 2011 +0200

    Updated Swedish translation

 po/sv.po |   57 +++++++++++++++++++++++++++++++--------------------------
 1 files changed, 31 insertions(+), 26 deletions(-)

commit 100b402f07967fd23c1ff7129543b841205f4692
Author: Xan Lopez <xlopez@igalia.com>
Date:   Thu Mar 31 00:07:17 2011 +0200

    ephy-file-helpers: respect our documented special keys for download dir
    
    'Desktop' should be the desktop dir, 'Downloads' the downloads dir. If
    the key is an actual path we'll use it, if all else fails default to
    Desktop directory.
    
    Bug #644641

 lib/ephy-file-helpers.c |   17 ++++++++++++++++-
 1 files changed, 16 insertions(+), 1 deletions(-)

commit e7ce7a3783fb3a7ba04915b8c82cce6422f967ec
Author: Милош Поповић <gpopac@gmail.com>
Date:   Thu Mar 31 01:42:27 2011 +0200

    Updated Serbian translation

 po/sr.po       | 2450 ++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 2450 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 2428 insertions(+), 2472 deletions(-)

commit d26efbb8f6c170ed6e36ca57496cffc71dd7ebbf
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Tue Mar 29 11:27:24 2011 +0200

    Updated Basque language

 po/eu.po | 1324 +++++++++++++++++++-------------------------------------------
 1 files changed, 399 insertions(+), 925 deletions(-)

commit b0e49894e6f9abf0bf3aac7ba9b2f4f19501d912
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Mon Mar 28 23:21:56 2011 +0200

    Updated Danish translation

 po/da.po | 2625 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1311 insertions(+), 1314 deletions(-)

commit 0a6dc91fcb1bbd4334fc5208867113694c8ec9dc
Author: Aron Xu <aronxu@gnome.org>
Date:   Mon Mar 28 17:51:38 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po |  838 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 428 insertions(+), 410 deletions(-)

commit 2aff9b0c92ee6079d6703dce53d4cdc00b00abb4
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Mon Mar 28 14:24:39 2011 +0530

    Updated Tamil translation

 po/ta.po | 2442 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1225 insertions(+), 1217 deletions(-)

commit ef90474eb63d88bcb03457c50b4cb1d28a440817
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun Mar 27 19:20:32 2011 +0200

    Added UG translation

 po/ug.po |  878 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 446 insertions(+), 432 deletions(-)

commit 1260d82f9607c6059ef931087d954e0638ac3166
Author: A S Alam <aalam@users.sf.net>
Date:   Sat Mar 26 23:32:36 2011 +0530

    update tranlation for Punjabi by A S Alam

 po/pa.po | 2484 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1255 insertions(+), 1229 deletions(-)

commit e9f797ae28495d45a458ca39c437e39d7fa7957a
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:   Fri Mar 25 12:49:18 2011 +0530

    Updated Marathi Translations

 po/mr.po | 2288 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 880 insertions(+), 1408 deletions(-)

commit 5567ea7b627e66d601e6ef6e287547c44754f520
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Wed Mar 23 16:41:38 2011 +0100

    Use /org/gnome as starting path for schemas

 data/org.gnome.epiphany.gschema.xml.in |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit a257415a802566f27ac7e6bc9a34e6c9d4132bb3
Author: William Jon McCann <jmccann@redhat.com>
Date:   Thu Mar 24 14:43:53 2011 -0400

    Use the web-browser icon from the GNOME icon theme
    
    Instead of the low res version shipped internally.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645713

 data/epiphany.desktop.in.in                        |    2 +-
 ...gePrintInverse_apps_48x48_gnome-web-browser.png |  Bin 2749 -> 0 bytes
 ...rastLargePrint_apps_48x48_gnome-web-browser.png |  Bin 2715 -> 0 bytes
 ...rastLargePrint_apps_48x48_gnome-web-browser.png |  Bin 3335 -> 0 bytes
 data/icons/Makefile.am                             |   56 +-
 .../icons/hicolor_apps_16x16_gnome-web-browser.png |  Bin 982 -> 0 bytes
 .../icons/hicolor_apps_16x16_gnome-web-browser.svg |  853 ---------------
 .../icons/hicolor_apps_22x22_gnome-web-browser.png |  Bin 1585 -> 0 bytes
 .../icons/hicolor_apps_22x22_gnome-web-browser.svg | 1069 -------------------
 .../icons/hicolor_apps_24x24_gnome-web-browser.png |  Bin 1601 -> 0 bytes
 .../icons/hicolor_apps_32x32_gnome-web-browser.png |  Bin 2645 -> 0 bytes
 .../icons/hicolor_apps_32x32_gnome-web-browser.svg | 1082 --------------------
 .../hicolor_apps_scalable_gnome-web-browser.svg    |  917 -----------------
 lib/ephy-stock-icons.h                             |    2 +-
 14 files changed, 4 insertions(+), 3977 deletions(-)

commit a4b7844bb6ad0c25477f0bd8918a3edc33198f3e
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Thu Mar 24 18:38:04 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  761 ++++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po |  762 ++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 780 insertions(+), 743 deletions(-)

commit 7db8d429c3351553fa8a5677ef2e9576f5aaac58
Author: Krasimir Chonov <mk2616@abv.bg>
Date:   Wed Mar 23 11:18:16 2011 +0200

    Updated Bulgarian translation

 po/bg.po |  678 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 309 insertions(+), 369 deletions(-)

commit cc5d7e3ed636da9aa59045d62e31eb0e7a90fe3a
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Mar 22 13:29:31 2011 +0100

    [release] 2.91.92

 NEWS         |   11 +++++++++++
 configure.ac |    4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit be76587761d6665a78cddf03b5ab5e16cfa16ecc
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Mar 22 12:28:00 2011 +0100

    configure.ac: bump webkitgtk+ dependency to 1.3.13

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f19b91faed1e92227f5ebac4f7f3927afe531768
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Mon Mar 21 00:25:13 2011 +0000

    Updated Portuguese translation

 po/pt.po |  759 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 384 insertions(+), 375 deletions(-)

commit 97984e11d2eccdb3378c4701af72705eba6733ab
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Mar 20 16:55:39 2011 +0200

    Updated Latvian translation.

 po/lv.po | 2110 +++++++++++---------------------------------------------------
 1 files changed, 368 insertions(+), 1742 deletions(-)

commit d3963270d5203db1989ddebd20d3e0d83c459e47
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Mar 19 22:19:36 2011 +0900

    Updated Korean translation

 po/ko.po |  719 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 374 insertions(+), 345 deletions(-)

commit 5826aef165d4665fc953291249aa9b8f1dfe7330
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Mar 18 18:26:47 2011 +0100

    ephy-web-view: use new API for DOM events
    
    This requires WebKitGTK+ r81486, soon to be 1.3.13.

 embed/ephy-web-view.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit e3c0b04539bf06bd4b869a33ed4e2ff2c69e9446
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   Thu Mar 17 16:10:57 2011 +0100

    Updated Lithuanian translation.

 po/lt.po | 2865 ++++++++++++++++----------------------------------------------
 1 files changed, 739 insertions(+), 2126 deletions(-)

commit 0a437f699f5bd293838ea7a6617e98c0846a7c8b
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Mar 17 11:45:44 2011 +0100

    [l10n] Updated German translation

 po/de.po |  905 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 360 insertions(+), 545 deletions(-)

commit a2d356bc6b8f6fcf4ed891d129f8f71e6c2be27a
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Thu Mar 17 11:37:41 2011 +0100

    Updated Romanian translation

 po/ro.po |  650 +++-----------------------------------------------------------
 1 files changed, 30 insertions(+), 620 deletions(-)

commit e21f6f32a9baf29bb36e1656f5f017c54bd3f5b3
Author: Simion Ruxandra <ruxy.simion@gmail.com>
Date:   Thu Mar 17 11:34:17 2011 +0100

    Updated Romanian translation

 po/ro.po |  296 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 142 insertions(+), 154 deletions(-)

commit 694a78fceb87dbd58348bff69f311a8a8868cd38
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Thu Mar 17 11:19:42 2011 +0100

    Updated Romanian translation

 po/ro.po | 2690 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1445 insertions(+), 1245 deletions(-)

commit eeeae8058216b3cb2c73296418ce18f0ddcbd348
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Mar 17 09:56:45 2011 +0100

    Updated Norwegian bokmål translation

 po/nb.po |   52 ++++++++++++++++++++++++----------------------------
 1 files changed, 24 insertions(+), 28 deletions(-)

commit 5b709dfed1a48b3acab03624fcb757ec874e9f83
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Mar 5 17:55:30 2011 +0000

    configure: Do not use deprecated GNOME_COMMON_INIT
    
    We already have ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS} in
    our Makefile.am
    
    https://bugzilla.gnome.org/show_bug.cgi?id=609498

 configure.ac |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit aae3c1a662d4556e0284a85cfe8d3f47a09491ba
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Mar 5 17:53:45 2011 +0000

    configure: Use the new libtool syntax
    
    https://bugzilla.gnome.org/show_bug.cgi?id=609498

 configure.ac |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

commit e0d8bf014ad6f6c902609369d06e0b48f43aff51
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Mar 16 17:17:22 2011 +0000

    Updated British English translation

 po/en_GB.po | 2425 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 1206 insertions(+), 1219 deletions(-)

commit 8925f4eadaf87ded0576538326fa494725599cac
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:   Tue Mar 15 22:16:32 2011 +0100

    Updated Dutch translation by Reinout van Schouwen

 po/nl.po | 2939 ++++++++------------------------------------------------------
 1 files changed, 365 insertions(+), 2574 deletions(-)

commit c69f4a0d30651cb54cebaa981b79fd0416726e5e
Author: Gil Forcada <gforcada@gnome.org>
Date:   Tue Mar 15 21:08:07 2011 +0100

    [l10n]Updated Catalan translation

 po/ca.po |  705 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 362 insertions(+), 343 deletions(-)

commit 788ad74c29f760b6bfae6966dcdcdca1ad6ef8c5
Author: Fran Diéguez <fran@openhost.es>
Date:   Tue Mar 15 15:30:13 2011 +0100

    Updated Galician translations

 po/gl.po |  773 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 398 insertions(+), 375 deletions(-)

commit 9757866d525bbaf93fb4b1aa262daf00e2fa4a5f
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Mon Mar 14 19:34:06 2011 +0100

    Updated French translation

 po/fr.po | 1218 ++++++++++++++++++--------------------------------------------
 1 files changed, 348 insertions(+), 870 deletions(-)

commit dfaf32f7a510e89adce9bd6fc3775b05a209f5cd
Author: Henrique P. Machado <hpmachado@gnome.org>
Date:   Mon Mar 14 11:17:27 2011 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 2435 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1221 insertions(+), 1214 deletions(-)

commit 36f7fc7eb0d34f81aa2a3875d0e3097da184c09d
Author: Ivar Smolin <okul@linux.ee>
Date:   Sun Mar 13 20:44:23 2011 +0200

    [l10n] Updated Estonian translation

 po/et.po |  354 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 143 insertions(+), 211 deletions(-)

commit a3556732dfcb68a5db1138bc432d99aa4008895a
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Sat Mar 12 11:45:08 2011 -0300

    Fix warning in ephy-session.c.

 src/ephy-session.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 05df86164b7aa8286cf8353355378145cf64b656
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Sat Mar 12 00:08:51 2011 -0300

    Open requested URI in new tab when a crashed session exists
    
    When you ask Epiphany to load a new URI but a crashed session exists,
    the session was being completely discarded in favour of the new
    URI. This change causes the URI to be loaded in a new tab in the
    background while still presenting the user with the option to recover
    the session.
    
    Bug #625116

 src/ephy-session.c |   32 +++++++++++++++++++++++---------
 1 files changed, 23 insertions(+), 9 deletions(-)

commit 9801a1a369481e69e360ffa76b3521daa8370b88
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Fri Mar 11 23:05:04 2011 -0300

    Unset resume_window when the session has been resumed
    
    The resume_window private variable is used to track whether a resume
    has already been done. This causes tabs to be reused after the session
    has been restored when new tabs should have been created.
    
    Bug #625116

 src/ephy-session.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 747284a96cffeec3b9a4738ad38a46c7f2dac585
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Sat Mar 12 11:14:02 2011 -0300

    Do not include removed header
    
    Building epiphany extensions was failing because epiphany.h sitll
    included a header that is not longer present in Epiphany.

 src/epiphany.h.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 3010236814e202daff2edab57c054f081ad04d8d
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Mar 12 14:38:04 2011 +0100

    [release] 2.91.91.1

 NEWS         |   13 +++++++++++++
 configure.ac |    2 +-
 2 files changed, 14 insertions(+), 1 deletions(-)

commit 775326c490fdaf106d983cd17391c776dec3856d
Author: Daniel Nylander <po@danielnylander.se>
Date:   Fri Mar 11 23:55:10 2011 +0100

    Updated Swedish translation

 po/sv.po |  833 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 416 insertions(+), 417 deletions(-)

commit 74ac0397a10d685b558689f223181446fe7dd75a
Author: Saleem Abdulrasool <compnerd@compnerd.org>
Date:   Thu Mar 10 22:40:02 2011 -0800

    shell: fix toolbar style enum

 lib/ephy-prefs.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9c0afb0fc36ef68c3d62d82d8c0fa9e5782af87f
Author: Saleem Abdulrasool <compnerd@compnerd.org>
Date:   Thu Mar 10 21:54:17 2011 -0800

    ignore vim swap files

 .gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f0d4fcbb31aa233ec0245a0660f34a3df858d18c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Mar 11 20:41:19 2011 +0100

    Updated Slovenian translation

 po/sl.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 5dc4fb834beaeb9572eea176cba7b02e4ab4404e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Mar 11 20:40:04 2011 +0100

    Updated Slovenian translation

 po/sl.po | 1888 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 745 insertions(+), 1143 deletions(-)

commit b4cda077a3c24129d671ff1ead5cb5edf2e05df0
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Fri Mar 11 09:43:55 2011 -0800

    Select the serif font as the default web font.
    
    To match the behavior of other browsers, the default web content font
    is the serif font, instead of the sans-serif font.
    
    Bug #644523.

 embed/ephy-embed-prefs.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit d9988616e498950ffa1c48023c715acf20c06958
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Fri Mar 11 09:31:02 2011 -0800

    Improve the selection of the system serif font.
    
    Instead of using the Gnome interface font as the default serif font, use the
    Gnome document font. The document font has an increased chance of being a serif
    font over the interface font.
    
    Bug #644521

 embed/ephy-embed-prefs.c |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 49455469a50207339759ec980e16d3bfdcb6d2fb
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Fri Mar 11 16:06:35 2011 +0200

    Updated Arabic translation

 po/ar.po |  746 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 392 insertions(+), 354 deletions(-)

commit 0750e45e306aa041451f44eb6234c4438dab1845
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Mar 10 18:53:29 2011 +0200

    Updated Hebrew translation.

 po/he.po |  845 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 427 insertions(+), 418 deletions(-)

commit fb54055dc00cb2f571df9003bd9c2053480d8b9b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Mar 10 02:24:04 2011 +0100

    Updated Hungarian translation

 po/hu.po | 1899 +++++++++++++++++++++++---------------------------------------
 1 files changed, 686 insertions(+), 1213 deletions(-)

commit a30bb549386f7841c657a1a9d12f13495a1cdf2b
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Mar 9 22:30:20 2011 +0100

    ephy-window: set visibility for fixed toolbar after setting the model
    
    We need to do the same when leaving Fullscreen mode, otherwise the
    fixed toolbar remains visibile...

 src/ephy-window.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b6746587a1936ece94803e3d04ff43ad8510575f
Author: Xan Lopez <xlopez@igalia.com>
Date:   Wed Mar 9 22:24:47 2011 +0100

    ephy-window: hide fixed toolbar by default
    
    EggEditableToolbar shows it by default, but we only want it visible in
    Fullscreen mode.

 src/ephy-window.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 97918aba30dc791a9e06323c014d6a5631121680
Author: Xan Lopez <xlopez@igalia.com>
Date:   Tue Mar 8 23:07:00 2011 +0100

    Remove minimum font size setting from UI
    
    This just breaks the layout from too many sites, and we can get
    reasonable readability through the new font size settings available
    and/or zooming. For those so inclined, the value can still be tweaked
    through the gsettings command line or dconf-editor.
    
    Bug #644247

 data/glade/prefs-dialog.ui             |   37 --------------------------------
 data/org.gnome.epiphany.gschema.xml.in |    2 +-
 src/prefs-dialog.c                     |    3 --
 3 files changed, 1 insertions(+), 41 deletions(-)

commit 5bad61bdd27b8d9578951bc6823f1dd8ea092aea
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Mar 9 19:44:56 2011 +0100

    Updated Polish translation

 po/pl.po | 2058 ++++++++++++++++++++++----------------------------------------
 1 files changed, 739 insertions(+), 1319 deletions(-)

commit 298ab0383541b0c7b8864910c68b0accb96ae57a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Mar 9 19:33:43 2011 +0100

    Updated Spanish translation

 po/es.po |  709 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 370 insertions(+), 339 deletions(-)

commit 8c0de50e21583803417f55bfb43c68b25798dc4a
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Mar 9 18:18:26 2011 +0200

    Uploaded Ukranian

 po/uk.po |  740 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 384 insertions(+), 356 deletions(-)

commit fde6cde5055683611da249c719894928a0a1c20d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 8 19:49:13 2011 -0500

    toolbar: fix a typo in last commit

 lib/egg/egg-editable-toolbar.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4408cb9c396ee85e031a18763e1f80c9c5550880
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 8 19:08:50 2011 -0500

    toolbar: make sure the first toolbar gets the 'primary-toolbar' class
    
    https://bugzilla.gnome.org/show_bug.cgi?id=644261

 lib/egg/egg-editable-toolbar.c |   53 +++++++++++++++++++++++++++++++++++++---
 lib/egg/egg-editable-toolbar.h |    4 +++
 src/ephy-toolbar.c             |    2 +
 3 files changed, 55 insertions(+), 4 deletions(-)

commit 7090a15a48f4371aba7b4ccf823bc0236afb1f03
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Mar 8 14:57:27 2011 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  632 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 288 insertions(+), 344 deletions(-)

commit 7354a242ddb71fa4db43702faf0b595bbdd5c069
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Tue Mar 8 10:52:53 2011 +0300

    Updated Russian translation

 po/ru.po |  704 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 327 insertions(+), 377 deletions(-)

commit 3a9ea909f5ccd39cfa5bc6e5be2cd8057bad0091
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Mar 7 23:58:13 2011 +0100

    [release] 2.91.91

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ae374ca97044684d6a33bb11ae8bccac06a85b9f
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Mar 7 16:00:41 2011 -0500

    ephy-download-widget: unescape displayed filenames
    
    Avoid having %20 and similar things in the widget labels.

 lib/widgets/ephy-download-widget.c |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit ffd4f4aea7cd38d28c4160162e7c01afeef00b3a
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Mar 7 15:59:57 2011 -0500

    ephy-window: retitle the show-downloads-bar item

 src/ephy-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6c42b658006e2008fb6bd39b81c5812e6e9b0e52
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Mar 7 21:20:28 2011 +0100

    NEWS: update for release

 NEWS |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit 7401732bd891a71209e9a05458054be0514c129e
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Jan 18 13:48:28 2011 -0500

    ephy-window: add new downloads UI
    
    Downloads are shown per-window, imitating Chromium's bottom bar.
    If the window being closed has active downloads, a warning dialog will be shown
    just as when forms have been modified but not sent.
    An active download is any download that is not yet 100% complete.
    
    Bug #618443

 data/ui/epiphany-ui.xml |    1 +
 src/ephy-window.c       |  182 +++++++++++++++++++++++++++++++++++++++++++++--
 src/ephy-window.h       |    3 +
 3 files changed, 179 insertions(+), 7 deletions(-)

commit 1463005c1bc7e30be973876db0c324021222cd8c
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Jan 26 16:01:43 2011 -0500

    ephy-download-widget: new widget
    
    A widget showing the progress of an EphyDownload and offering the default set
    of actions to take on it: Open, Browse to, Cancel.
    It keeps a ref to the EphyDownload its showing.
    
    Bug #618443

 lib/widgets/Makefile.am            |    5 +
 lib/widgets/ephy-download-widget.c |  507 ++++++++++++++++++++++++++++++++++++
 lib/widgets/ephy-download-widget.h |   68 +++++
 lib/widgets/totem-glow-button.c    |  351 +++++++++++++++++++++++++
 lib/widgets/totem-glow-button.h    |   52 ++++
 po/POTFILES.in                     |    1 +
 src/Makefile.am                    |    2 +
 7 files changed, 986 insertions(+), 0 deletions(-)

commit b9f9bf1a0763492f8bf41b8856bbd1149c5871a9
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Jan 18 11:10:11 2011 -0500

    ephy-download: add the new EphyDownload object
    
    EphyDownload is a wrapper object around WebKitDownload that handles common
    behavior in downloads: auto-destination, default action for the MIME type.
    
    It can be used to wrap a WebKitDownload coming from a WebKitView or to download
    a url: ephy_download_new_for_uri and ephy_download_new_for_download are
    provided.
    
    Its lifetime is not automagic like EphyEmbedPersist, so you have to unref it
    when you no longer need it.
    
    This new object replaces EphyEmbedPersist and enables us to use a single
    codepath for downloads in all Epiphany.
    
    Bug #618443

 data/glade/epiphany.ui     |   80 ----
 embed/Makefile.am          |    6 +-
 embed/downloader-view.c    | 1022 --------------------------------------------
 embed/downloader-view.h    |   84 ----
 embed/ephy-download.c      |  965 +++++++++++++++++++++++++++++++++++++++++
 embed/ephy-download.h      |  115 +++++
 embed/ephy-embed-persist.c |  911 ---------------------------------------
 embed/ephy-embed-persist.h |  132 ------
 embed/ephy-embed-shell.c   |  144 ++++---
 embed/ephy-embed-shell.h   |   16 +-
 embed/ephy-embed.c         |  478 +--------------------
 lib/ephy-marshal.list      |    1 +
 po/POTFILES.in             |    3 +-
 src/Makefile.am            |    4 +-
 src/ephy-session.c         |   21 +-
 src/ephy-shell.c           |    1 -
 src/ephy-window.c          |    1 -
 src/epiphany.h.in          |    1 +
 src/popup-commands.c       |  162 ++++----
 src/window-commands.c      |    1 -
 tests/Makefile.am          |    6 +-
 tests/ephy-download.c      |  207 +++++++++
 tests/ephy-embed-persist.c |  315 --------------
 23 files changed, 1496 insertions(+), 3180 deletions(-)

commit 7f7826a163f31bb662247ac4486dca0d01df35f6
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Thu Jan 20 01:42:12 2011 -0500

    ephy-file-helpers: allow desktop in ephy_file_browse_to
    
    Nautilus doesn't draw the desktop as always anymore. It's not visible unless
    you browse there, so the reason to not allow browse_to desktop is not valid
    anymore.
    
    Bug #618443

 lib/ephy-file-helpers.c |   27 +++++++--------------------
 1 files changed, 7 insertions(+), 20 deletions(-)

commit fdafabde40eced013ffdcb49e4f080542fbbc402
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Nov 1 03:47:54 2010 -0500

    ephy-file-helpers: only one downloads_dir function
    
    Remove all the ambiguity, we always throw downloads to the same place or the
    Desktop.
    
    Bug #618443

 lib/ephy-file-helpers.c |   71 ++--------------------------------------------
 lib/ephy-file-helpers.h |    1 -
 src/prefs-dialog.c      |   34 ++--------------------
 3 files changed, 7 insertions(+), 99 deletions(-)

commit 07202bf4e9b6f7809b58b0c3e13af0a6de593e28
Author: Xan Lopez <xlopez@igalia.com>
Date:   Mon Mar 7 15:53:53 2011 +0100

    Require GTK+ 3.0.2
    
    A few nasty bugs have been fixed since 3.0.0, I'd rather not have them
    reported.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 632ac3b3c932742c54d958a0475145da38e85905
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Mon Mar 7 18:29:07 2011 +0700

    po/vi.po: better "Powered by"

 po/vi.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4bd303882f854a63256df528e322d6ab93ce67f5
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Mar 6 18:32:22 2011 +0000

    Updated Portuguese translation

 po/pt.po | 2413 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1191 insertions(+), 1222 deletions(-)

commit 666a2d88d5777e394fade5ff4ef743afb6100b23
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Mar 5 15:05:12 2011 +0200

    Updated Latvian translation.

 po/lv.po | 2511 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 1210 insertions(+), 1301 deletions(-)

commit 73e78a2119169e0586e282ffab7ddb51b705d69a
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Mar 4 22:20:53 2011 +0100

    ephy-embed: add a border and a little padding to the status frame
    
    Otherwise it blends a bit too effectively into clear backgrounds.

 embed/ephy-embed.c |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 5fed4b274d16041d629155c6b246a46917d09fe7
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Thu Jan 27 13:48:14 2011 -0500

    ephy-window: make construct_confirm_close_dialog reusable
    
    Bug #618443

 src/ephy-window.c |   28 ++++++++++++++++------------
 1 files changed, 16 insertions(+), 12 deletions(-)

commit ae650f34deedaa12fd02e770cda754888055f3c0
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Feb 21 17:39:53 2011 -0500

    popup-commands: indent fix
    
    Bug #618443

 src/popup-commands.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 345406743e691845d2e3b0a44303aa4ae5bbe61f
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sat Jan 22 13:43:07 2011 -0500

    ephy-file-helpers: add uninstalled ui/ in ephy_file
    
    Bug #618443

 lib/ephy-file-helpers.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8e769a5363116088ca8394191583cf5fffae39fc
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Mar 4 10:50:29 2011 +0200

    Uploaded Ukranian

 po/uk.po | 2770 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1376 insertions(+), 1394 deletions(-)

commit a5eb994a8ba5f05a549ef3358d0913cd4e6635c4
Author: Gil Forcada <gforcada@gnome.org>
Date:   Thu Mar 3 00:17:12 2011 +0100

    [l10n] Updated Catalan translation

 po/ca.po | 2079 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1026 insertions(+), 1053 deletions(-)

commit 1e5e8d6eba53745d279786ce2e7d387dcb5b7aa1
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sun Feb 27 17:13:03 2011 +0100

    Updated Esperanto translation

 po/eo.po | 1972 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 943 insertions(+), 1029 deletions(-)

commit d8b93ab1db701c5da60dbf0aac9359205d0d3668
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Feb 26 23:02:11 2011 +0100

    Small cleanup in widget's Makefile.am

 lib/widgets/Makefile.am |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 7ef48a51b5cf0e7b43bbdd080ee04a030ec4adfd
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Feb 27 04:42:21 2011 +0900

    Updated Korean translation

 po/ko.po | 2455 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 1102 insertions(+), 1353 deletions(-)

commit 761aa8a6beb1c9a61e3cd462eb69a8ebb20f6141
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Oct 9 03:28:15 2010 +0900

    Updated Korean translation

 po/ko.po |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit ebc582d3f2e7cd7b10fd5893aff5e981d9d8f822
Author: Xan Lopez <xlopez@igalia.com>
Date:   Sat Feb 26 02:11:03 2011 +0100

    Sync with upstream GeditOverlay

 lib/widgets/Makefile.am                 |   17 -----------
 lib/widgets/gedit-enum-types.c.template |   39 --------------------------
 lib/widgets/gedit-enum-types.h.template |   27 ------------------
 lib/widgets/gedit-overlay-child.c       |   45 ++++++++++++++----------------
 4 files changed, 21 insertions(+), 107 deletions(-)

commit 0c799b8e9de67440b1c3bc976fa63685367f295e
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Thu Feb 24 17:47:48 2011 -0500

    prefs-dialog: use GtkBuildable id instead of name
    
    Using the widget name is error prone because Glade removes the name property of
    objects. This makes cookie configuration work again.

 data/glade/prefs-dialog.ui |   10 +++++-----
 src/prefs-dialog.c         |   19 +++++++------------
 2 files changed, 12 insertions(+), 17 deletions(-)

commit 13eac99b2dcd76ad7bfaa13e4c8c4e0bbc5baa2c
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Thu Feb 24 22:30:50 2011 +0100

    Updated French translation

 po/fr.po | 1996 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 985 insertions(+), 1011 deletions(-)

commit 7b24139e069c3de30cdafe983cfb6eb90c097362
Author: Sergio Villar Senin <svillar@igalia.com>
Date:   Mon Feb 21 18:38:59 2011 +0100

    ephy-location-entry: add DNS prefetching
    
    Proactively perform DNS lookups when the user sets the cursor over an
    autocompleted entry in the location bar. This way the prefetching is likely to
    already have been resolved by the time the user actually clicks on the entry.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=606087

 lib/widgets/ephy-location-entry.c |   59 +++++++++++++++++++++++++++++++++---
 1 files changed, 54 insertions(+), 5 deletions(-)

commit da765e7da76ec0614499023f4ef9945279a19e0c
Author: Alexandre Mazari <scaroo@gmail.com>
Date:   Tue Feb 22 22:30:21 2011 +0100

    Remove deprecated gtk_button_pressed/released usage
    
    Remove useless calls to gtk_button_release. Those calls had no effect, since
    they were following calls to gtk_toggle_button_set_active (FALSE) doing
    implicit release.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=628364

 src/bookmarks/ephy-bookmark-properties.c |    1 -
 src/bookmarks/ephy-topic-action.c        |    1 -
 2 files changed, 0 insertions(+), 2 deletions(-)

commit d2c665bb7e35fec385e0c98ad62ad922610b5146
Author: Xan Lopez <xan@gnome.org>
Date:   Tue Feb 22 21:10:45 2011 +0100

    [release] 2.91.90

 NEWS         |   11 +++++++++++
 configure.ac |    2 +-
 2 files changed, 12 insertions(+), 1 deletions(-)

commit c2f2b09306d290c173b312455d50c7b50e2ada6f
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Feb 21 03:33:06 2011 +0100

    Require GTK+ 3.0.0
    
    GTK+ changed its soname in 3.0.0, so we need to depend on that if we
    want to use 3.x.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ef4cae1d37383028feebe9a25685376b26612018
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Feb 21 03:17:18 2011 +0100

    ephy-embed: hide toplevel child widget
    
    Since that's what we add to the overlay, its visible property will be
    in sync with the child container. Gets rid of bothering 1px visible
    leftover when statusbar is hidden.

 embed/ephy-embed.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 91635045ce8c6b1d92c9d6d509565a0b569de15b
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Feb 21 03:16:38 2011 +0100

    gedit-overlay-child: sync visible property of container and child
    
    That way user can hide the inner widget and the overlay child
    container will be hidden automatically.

 lib/widgets/gedit-overlay-child.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 69fb18cd0d7d9fc0459fb5faec59f77d4418981d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Feb 20 16:05:43 2011 +0100

    Updated Spanish translation

 po/es.po |  232 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 115 insertions(+), 117 deletions(-)

commit 92e3abc92714377fa6c2e99cb5e237afcaa9edb5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Feb 20 14:00:29 2011 +0100

    Updated Spanish translation

 help/es/es.po |   87 +++++++++++++++++++++++++++++----------------------------
 1 files changed, 44 insertions(+), 43 deletions(-)

commit 1721898efdc5e8c4807bc67dd934c23f7684fe06
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Feb 20 13:59:59 2011 +0100

    Updated Spanish translation

 po/es.po |  140 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 69 insertions(+), 71 deletions(-)

commit 8efe0b585c9c6926ef56f572e9069705ca79b552
Author: Xan Lopez <xan@gnome.org>
Date:   Sat Feb 19 18:31:03 2011 +0100

    gedit-overlay: sync with upstream

 lib/widgets/gedit-overlay.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit bd5e1f6d7972c0de2daa783e856760df3da18b95
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Feb 19 17:02:21 2011 +0200

    Updated Arabic translation

 po/ar.po |   77 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 38 insertions(+), 39 deletions(-)

commit 7992ec587f4cc896fa602bee7037c6f1f38fb31f
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Fri Feb 18 15:12:59 2011 +0530

    Updated Bengali India Translation

 po/bn_IN.po | 2622 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1330 insertions(+), 1292 deletions(-)

commit c886bd11a10380625860f9457fbc7964c9f30079
Author: Sergio Villar Senin <svillar@igalia.com>
Date:   Mon Feb 14 18:44:40 2011 +0100

    ephy-web-view: do not update statusbar text for webviews without embed object
    
    Fixes a crash when trying to open the WebInspector
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642306

 embed/ephy-web-view.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 6087d7632df9c47377731b851022661bddcbf9e4
Author: Xan Lopez <xan@gnome.org>
Date:   Wed Feb 16 13:03:33 2011 +0100

    gedit-overlay: always proxy main widget size request
    
    We don't want for the children to be able to overflow the main widget,
    it makes sense to keep them contained in the overlay.
    
    Bug #642451

 lib/widgets/gedit-overlay.c |   30 ++++--------------------------
 1 files changed, 4 insertions(+), 26 deletions(-)

commit 10d814562be5f0531536cef6060d0db142fab8a5
Author: Xan Lopez <xan@gnome.org>
Date:   Wed Feb 16 12:57:11 2011 +0100

    Sync with latest GeditOverlay code
    
    And adapt to the new API.

 embed/ephy-embed.c                |    6 +-
 lib/widgets/gedit-overlay-child.c |   59 +--------
 lib/widgets/gedit-overlay.c       |  283 +++++++------------------------------
 lib/widgets/gedit-overlay.h       |    7 +-
 4 files changed, 54 insertions(+), 301 deletions(-)

commit 8fee311e68306696b7fb95490f0bc0b1fc9e561c
Author: Xan Lopez <xan@gnome.org>
Date:   Tue Feb 15 18:56:08 2011 +0100

    Sync with latest GeditOverlay

 lib/widgets/gedit-overlay.c |   31 ++++++++++++-------------------
 1 files changed, 12 insertions(+), 19 deletions(-)

commit cf7f15bc7d4f06b0d10a4831e9955b7e775e54dd
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Feb 15 16:09:20 2011 +0530

    Updated Gujarati Translations

 po/gu.po | 2078 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 806 insertions(+), 1272 deletions(-)

commit d2b1108c738a6e0a8a1c0edd0327c1d28dab712a
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:   Tue Feb 15 05:47:23 2011 +0200

    Updated Bulgarian translation

 po/bg.po | 1514 +++++++++++++++++++++-----------------------------------------
 1 files changed, 517 insertions(+), 997 deletions(-)

commit 1f2b77565881709fe74d1f317e80c0f05c3ccaff
Author: Xan Lopez <xan@gnome.org>
Date:   Sat Feb 12 22:42:22 2011 +0100

    Sync with latest libegg

 lib/egg/egg-editable-toolbar.c |    4 ++++
 lib/egg/egg-toolbar-editor.c   |    4 ++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 552b8f94003391ee8255ced943e333801906801c
Author: Xan Lopez <xan@gnome.org>
Date:   Sat Feb 12 16:40:09 2011 +0100

    ephy-window: append new tabs after parent by default
    
    I think this makes much more sense as a default behavior when opening
    a tab from an existing page, since it keeps logically related tabs
    together.

 src/ephy-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 367509a5a70af04872a618cb2bc5d4e0b97d3370
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Feb 12 16:34:18 2011 +0100

    gedit-overlay: Fix a crash when overlay is detroyed

 lib/widgets/gedit-overlay.c |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit 50ccd46f8b5500a753630bd6d6cacd1f41300b78
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Feb 12 13:47:47 2011 +0100

    Updated Norwegian bokmål translation.

 po/nb.po |   60 ++++++++++++++++++++++++++++++------------------------------
 1 files changed, 30 insertions(+), 30 deletions(-)

commit b72b9981ba0445c65aac04568bf0142470675d0b
Author: Xan Lopez <xan@gnome.org>
Date:   Sat Feb 12 13:04:33 2011 +0100

    Forgot these files

 lib/widgets/gedit-overlay-child.c |  408 +++++++++++++++++++++++++++++++++++++
 lib/widgets/gedit-overlay-child.h |   89 ++++++++
 2 files changed, 497 insertions(+), 0 deletions(-)

commit 23f7967650a7a04ae1d848a9911e13a6b18b33d3
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Sat Feb 12 14:34:50 2011 +0700

    Updated Indonesian translation

 po/id.po | 4670 ++++++++++++++++++--------------------------------------------
 1 files changed, 1308 insertions(+), 3362 deletions(-)

commit 763dbbffec69ec7dec320b841636029fa5cde85b
Author: Xan Lopez <xan@gnome.org>
Date:   Sat Feb 12 00:39:34 2011 +0100

    ephy-web-view: do not update status after we are dead
    
    We now reach to the EphyEmbed, so this is dangerous.

 embed/ephy-web-view.c |   36 +++++++++++++++++++-----------------
 1 files changed, 19 insertions(+), 17 deletions(-)

commit e65e2873a6d8407e9a8801e8667085ec10fa261f
Author: Xan Lopez <xan@gnome.org>
Date:   Fri Feb 11 22:54:43 2011 +0100

    Sync with upstream GeditOverlay code

 embed/ephy-embed.c                            |    2 +-
 lib/widgets/Makefile.am                       |   23 ++-
 lib/widgets/gedit-enum-types.c.template       |   39 ++++
 lib/widgets/gedit-enum-types.h.template       |   27 +++
 lib/widgets/gedit-overlay.c                   |  259 +++++++++++++-----------
 lib/widgets/gedit-overlay.h                   |   36 ++--
 lib/widgets/gedit-theatrics-animated-widget.c |  263 -------------------------
 lib/widgets/gedit-theatrics-animated-widget.h |   64 ------
 8 files changed, 244 insertions(+), 469 deletions(-)

commit 7a6c09572386c98b7b57d5543a1e36f6642d425b
Author: Xan Lopez <xan@gnome.org>
Date:   Thu Feb 10 23:15:18 2011 +0100

    Change packing order for gedit overlay
    
    Seems GeditOverlay works better if we pack directly the scrollable
    widget on it, then pack the overlay in a scrolled window. Do that.

 embed/ephy-embed.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 87466892eb08ec1f5efd6ea33589355b9bab05d0
Author: Xan Lopez <xan@gnome.org>
Date:   Thu Feb 10 22:27:40 2011 +0100

    Port floating statusbar to gedit's overlay widget
    
    Works correctly in framed pages, and fixes a few bugs along the way
    (not to mention it should be more efficient since it does not redraw
    needlessly).
    
    The gedit code has been modified to get rid of the animation stuff we
    don't really need atm; we have coordinated with the gedit developers
    and hopefully both versions will be in sync again really soon.

 embed/ephy-embed-utils.h                      |    2 +-
 embed/ephy-embed.c                            |   31 ++-
 embed/ephy-embed.h                            |    1 +
 embed/ephy-web-view.c                         |   99 +----
 lib/widgets/Makefile.am                       |    6 +-
 lib/widgets/gedit-overlay.c                   |  656 +++++++++++++++++++++++++
 lib/widgets/gedit-overlay.h                   |   72 +++
 lib/widgets/gedit-theatrics-animated-widget.c |  263 ++++++++++
 lib/widgets/gedit-theatrics-animated-widget.h |   64 +++
 9 files changed, 1096 insertions(+), 98 deletions(-)

commit cfff1c9b9f901c64645347a712dae702501f6d4e
Author: Norayr Chilingarian <norayr@arnet.am>
Date:   Wed Feb 9 01:26:21 2011 +0400

    Fixed Epiphany translation bug

 po/hy.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 92887785bb6e933de0269b2b477ce51303e9d957
Author: Xan Lopez <xan@gnome.org>
Date:   Wed Feb 2 23:52:11 2011 +0100

    [release] 2.91.6

 NEWS         |    9 +++++++++
 configure.ac |    4 ++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit db444bd5cee470b00414662d0c5dba206f367df4
Author: Dan Winship <danw@gnome.org>
Date:   Tue Dec 7 19:33:33 2010 +0100

    ephy-embed-single: Update to use direct-from-libsoup SoupCache
    
    and update configure.ac to require the corresponding libsoup
    
    https://bugzilla.gnome.org/show_bug.cgi?id=636861

 configure.ac              |    2 +-
 embed/ephy-embed-single.c |   18 ++++++++++--------
 2 files changed, 11 insertions(+), 9 deletions(-)

commit dadf1744d4f1c8151b20af9c07927fc9cb93cfee
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Thu Jan 27 18:47:50 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  564 ++++++++++++++++++++++++++++++-------------------------
 po/zh_TW.po |  605 +++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 640 insertions(+), 529 deletions(-)

commit 5710dd21c81eab103e203b9ab63032b198ef4796
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Jan 27 00:03:09 2011 +0100

    QA of Galician translations

 po/gl.po |  196 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 98 insertions(+), 98 deletions(-)

commit 781bfc4cc7eddb220c18c420b2f16c8615427317
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sun Jan 23 18:41:20 2011 +0300

    Updated Russian translation

 po/ru.po | 1792 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 694 insertions(+), 1098 deletions(-)

commit dddf0cb0e0d8d89faafc6be6013636660ccba1eb
Author: Funda Wang <fundawang@gmail.com>
Date:   Sat Jan 22 02:34:14 2011 +0100

    Updated zh_CN translation.

 po/zh_CN.po | 2348 ++++++++++++++---------------------------------------------
 1 files changed, 545 insertions(+), 1803 deletions(-)

commit 12510bc7e74103b0f0f408fed812fed8f43d09a7
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Jan 21 00:26:54 2011 +0100

    Updated Basque language

 po/eu.po | 2517 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 1237 insertions(+), 1280 deletions(-)

commit d81d45be08394c21709a547348f90b6f6e030c14
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Thu Jan 20 14:53:33 2011 -0500

    ephy-window: missing g_list_free

 src/ephy-window.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 38426152f8e5ca0bfff538ee3753265e7e337306
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Jan 20 19:28:45 2011 +0100

    Updated Norwegian bokmål translation

 po/nb.po |   93 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 43 insertions(+), 50 deletions(-)

commit 2cbdfcd2ad818a7832d3461ce14bdbc6d383ced5
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Jan 12 14:23:26 2011 +0200

    Updated Arabic translation

 po/ar.po | 1562 +++++++-------------------------------------------------------
 1 files changed, 174 insertions(+), 1388 deletions(-)

commit 2f9a7716ed43461c8e1c892efea23ee0e3750bb3
Author: Xan Lopez <xan@gnome.org>
Date:   Tue Jan 11 14:27:29 2011 +0100

    [release] 2.91.5

 NEWS         |   10 ++++++++++
 configure.ac |    4 ++--
 2 files changed, 12 insertions(+), 2 deletions(-)

commit f918aabc59fc9eb665635d576a1edec474bde24c
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Fri Dec 24 16:11:02 2010 +0100

    ephy-embed-single: make sure flash plugin is disabled
    
    There might be more than one plugin instance for flash. Iterate the whole list
    to be sure we have disabled all the possible instances.
    
    Bug #637959
    
    Signed-off-by: Diego Escalante Urrelo <descalante@igalia.com>

 embed/ephy-embed-single.c |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit b2bbeb102c9a2fe3817d01959681a82b6b11d177
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sat Jan 8 09:26:55 2011 -0500

    Use the new GTK_STATE_FLAG_NORMAL flag
    
    Until 2.99.0 GtkStyleContext didn't have a "normal" flag, the closest thing was
    GTK_STATE_FLAG_ACTIVE, but it is not necessarily correct.
    
    Bug #636501

 embed/ephy-web-view.c             |    2 +-
 lib/widgets/ephy-location-entry.c |   10 +++++-----
 src/ephy-notebook.c               |    2 +-
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 0205afea985c753c6400eba9634f679863d085c0
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Jan 10 19:59:16 2011 -0500

    ephy-location-entry: GdkRGBA colors are doubles
    
    Bug #636501

 lib/widgets/ephy-location-entry.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 876c61da26b86b46e8f4117fe687dbaff4faebdc
Author: Vincas Dargis <vindrg@gmail.com>
Date:   Wed May 26 21:22:47 2010 +0300

    ephy-bookmarks-editor: fix new topic selection bug
    
    When the search entry is not empty and "New topic" is activated from the menu,
    the "All" topic will set for renaming instead of the new "Type a topic" node.
    This can cause serious data loss.
    
    Bug #518727
    
    Signed-off-by: Diego Escalante Urrelo <descalante@igalia.com>

 src/bookmarks/ephy-bookmarks-editor.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 5821e5259e29c789658830c32fb4a9243cea624b
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Mon Jan 10 22:38:12 2011 +0300

    Some fixed in Russian translation

 po/ru.po |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 6f617d494d0a58a255fc38926031a6abbff7c2b0
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Mon Jan 10 22:35:35 2011 +0300

    Updated Russian translation

 po/ru.po |  752 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 298 insertions(+), 454 deletions(-)

commit e01e50256dc2e23a6da28201fa6a3cc9e094366c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jan 9 00:38:52 2011 +0100

    Updated Galician translations

 po/gl.po |  150 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 85 insertions(+), 65 deletions(-)

commit 0180614e4f9bf2742deaca4910c2016e8666f2d5
Author: Xan Lopez <xan@gnome.org>
Date:   Fri Jan 7 03:07:42 2011 +0100

    configure.ac: require GTK+ 2.99.0

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cad2d39410c6309b1bf5d5b4e8e912ada7e91c16
Author: Xan Lopez <xan@gnome.org>
Date:   Thu Jan 6 14:31:15 2011 +0100

    ephy-file-helpers: do not use deprecated APIs

 lib/ephy-file-helpers.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 53f693ecfadf4bca1975f8cf90f63129b9f67fa4
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Jan 3 21:36:36 2011 +0100

    [l10n] Updated German translation

 po/de.po |  445 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 248 insertions(+), 197 deletions(-)

commit 4668f217039a5103666687c1679a7438e8a8f667
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jan 2 18:35:45 2011 +0100

    Updated Norwegian bokmål translation from Torstein Adolf Winterseth

 po/nb.po |   63 ++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 39 insertions(+), 24 deletions(-)

commit dd80d9cc3f5a631b96241461615a4142c45ba36f
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sat Jan 1 11:31:33 2011 +0100

    Updated Swedish translation

 po/sv.po | 1748 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 866 insertions(+), 882 deletions(-)

commit dbb9717002587ffbceb15b95a73f940b42f1c04f
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Fri Dec 24 01:54:12 2010 +0100

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po | 2567 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1265 insertions(+), 1302 deletions(-)

commit e4cb67f025fdac8e671828b1406396bff349b346
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Thu Dec 23 18:33:17 2010 +0100

    Added UG translation

 po/ug.po |  389 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 199 insertions(+), 190 deletions(-)

commit b8f971b7ab96b20482c5dd9ca8a3677763df6f11
Author: Xan Lopez <xan@gnome.org>
Date:   Thu Dec 23 13:32:26 2010 +0100

    [release] 2.91.4.1

 NEWS         |    8 ++++++++
 configure.ac |    4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit f3c2e279e2627b405947a785375e733195f5f7a1
Author: Xan Lopez <xan@gnome.org>
Date:   Thu Dec 23 13:32:01 2010 +0100

    egg: cherry-pick fixes for compilation against GTK+ 2.91.7

 lib/egg/eggsmclient-private.h |    6 ++++++
 lib/egg/eggsmclient-xsmp.c    |    6 ++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit c8bd3e01b3f7a451b318a609a65feb1db268dd95
Author: Erdal Ronahi <erdal.ronahi@gmail.com>
Date:   Thu Dec 23 11:41:27 2010 +0100

    Updated Kurdish translations by Omer Ensari

 po/ku.po |  342 ++++++++++++++++++++++++++++++++++++++++++++------------------
 1 files changed, 243 insertions(+), 99 deletions(-)

commit 931bc7013f0e0c7a7d61ec2b30f7a5ce61575ea3
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Wed Dec 22 20:31:29 2010 +0100

    Updated Spanish translation

 po/es.po |  151 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 73 insertions(+), 78 deletions(-)

commit 1b22ed6dbbcdae8d2b38ccd3cf4f0cb060b7ef95
Author: Xan Lopez <xan@gnome.org>
Date:   Wed Dec 22 15:03:40 2010 +0100

    ephy-node-view: don't use gdk_cursor_unref
    
    It's deprecated since GdkCursor is a GObject now. The stuff in egg/
    still needs fixing, but we'll just sync from upstream.

 lib/widgets/ephy-node-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 93364a9c0b0952efe8715ddaeaf139a07fbd37c4
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Tue Dec 21 12:43:53 2010 +0200

    Updated Hebrew translation.

 po/he.po |  682 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 342 insertions(+), 340 deletions(-)

commit 8b9b16dfe2a0f38f4c7c4cc8f17033737d2e4ec1
Author: Ivar Smolin <okul@linux.ee>
Date:   Tue Dec 21 11:08:44 2010 +0200

    [l10n] Updated Estonian translation

 po/et.po |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 09f236e5f2eea9dfe32cc0ded6526d2b6d0f964b
Author: Xan Lopez <xan@gnome.org>
Date:   Tue Dec 21 00:44:07 2010 +0100

    [release] 2.91.4

 NEWS         |   16 ++++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 47a5f73cab9f78af6c90172e12c8a542207bb697
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Dec 20 22:20:11 2010 +0100

    The Soviet government has fallen!

 src/window-commands.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 24c6c1492ad58220707dce4a076a619743669589
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Mon Dec 20 14:17:46 2010 +0200

    [l10n] Updated Estonian translation

 po/et.po |  987 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 519 insertions(+), 468 deletions(-)

commit 5a4853c420f53929340b1948bbdab0156726c015
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Thu Dec 16 14:44:40 2010 -0500

    tests: clean up filenames
    
    Make filenames readable and tab-completion friendly.

 .gitignore                    |   10 +-
 tests/Makefile.am             |   30 ++--
 tests/ephy-embed-persist.c    |  315 +++++++++++++++++++++++++++++++++++++++++
 tests/ephy-embed-single.c     |  125 ++++++++++++++++
 tests/ephy-location-entry.c   |  165 +++++++++++++++++++++
 tests/ephy-search-entry.c     |   74 ++++++++++
 tests/ephy-zoom-control.c     |   78 ++++++++++
 tests/testephyembedpersist.c  |  315 -----------------------------------------
 tests/testephyembedsingle.c   |  125 ----------------
 tests/testephylocationentry.c |  165 ---------------------
 tests/testephysearchentry.c   |   74 ----------
 tests/testephyzoomcontrol.c   |   78 ----------
 12 files changed, 777 insertions(+), 777 deletions(-)

commit 080071ac01b0304028dcbeebef07c151ef6b7247
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Dec 17 13:23:17 2010 +0100

    Updated Norwegian bokmål translation

 po/nb.po |   59 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 31 insertions(+), 28 deletions(-)

commit e83ffcbfd4b18db6187fa7e2bd11940c3c451071
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Thu Dec 16 00:13:58 2010 -0500

    configure.ac: bump GTK+ version
    
    Required for GtkStyleContext API.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2f1702c2bca9b9baa43a265686df6481be885ddb
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Dec 15 21:59:28 2010 +0100

    Updated Spanish translation

 po/es.po |  115 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 66 insertions(+), 49 deletions(-)

commit 4be1b9c1a46ea8395128c948e661c7d331f7364a
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Dec 15 10:37:05 2010 -0500

    ephy-extensions-manager: fix g_variant_builder usage
    
    g_variant_builder_end is not needed at all.
    
    Bug #636740

 src/ephy-extensions-manager.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit f6f31ff0994c0c35f60910369f06541930b58f01
Author: Yanko Kaneti <yaneti@declera.com>
Date:   Tue Nov 16 09:04:18 2010 +0200

    epiphany.convert: Fix cache-size schema location
    
    Bug #634969
    
    Signed-off-by: Diego Escalante Urrelo <descalante@igalia.com>

 data/epiphany.convert |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 43a776e85d1fd602ef28756da4a5cc6e4fed40f9
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Nov 16 00:27:37 2010 -0500

    Port to gtk+ master's GtkStyleContext
    
    Updates all our uses of GtkStyle stuff to the newer GtkStyleContext API.
    ephy-web-view porting done by Matthias Clasen <mclasen@redhat.com>
    
    Bug #636501

 embed/ephy-web-view.c                |   40 ++++++++------
 lib/widgets/ephy-location-entry.c    |  100 ++++++++++++++++++----------------
 src/bookmarks/ephy-bookmark-action.c |    3 +-
 src/ephy-find-toolbar.c              |    4 +-
 src/ephy-notebook.c                  |   28 ++++++----
 5 files changed, 95 insertions(+), 80 deletions(-)

commit f6ffd608f887ede6e39d03aff38c6d43682fd231
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Dec 14 14:53:56 2010 -0500

    egg: update from master
    
    Bug #636501

 lib/egg/egg-editable-toolbar.c |   27 +++++++++++++++++++++++++--
 lib/egg/egg-toolbar-editor.c   |    4 ++--
 lib/egg/egg-toolbars-model.c   |   18 ++++++++++++++++++
 lib/egg/update-from-egg.sh     |    2 +-
 4 files changed, 46 insertions(+), 5 deletions(-)

commit 534eae1b801c93950e2b664ffe772375d0fe2340
Author: Xan Lopez <xan@gnome.org>
Date:   Tue Dec 14 11:21:00 2010 +0100

    ephy-embed-single: move code from init to initialize

 embed/ephy-embed-single.c |   32 ++++++++++++++++----------------
 1 files changed, 16 insertions(+), 16 deletions(-)

commit a3df3eb66d73f5ae98f68a7f1ce8322f64269497
Author: Xan Lopez <xan@gnome.org>
Date:   Tue Dec 14 11:17:38 2010 +0100

    ephy-embed-single: couple of style fixes

 embed/ephy-embed-single.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit badfd49f16e581574e8da61e0b398b0bbe4f75a9
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Mon Dec 13 23:44:00 2010 +0200

    Updated Hebrew translation.

 po/he.po |   99 ++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 58 insertions(+), 41 deletions(-)

commit 67d0bb92493b5c0300dfe003376e29521c8298e1
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Dec 13 00:54:15 2010 +0100

    ephy-embed-single: disable Flash by default
    
    The Adobe flash plugin uses GTK+2.x, so it cannot be loaded in our
    (GTK+3.x) process without causing a crash. Disable it by default until
    we implement a solution.

 embed/ephy-embed-single.c |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit df15ea85bdd3e545a78765c5ef3c249b4f4f3852
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Dec 12 21:35:20 2010 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  201 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 118 insertions(+), 83 deletions(-)

commit ecb009bea312f7a314cfa49af8277bd219e4258b
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Dec 12 12:17:02 2010 +0100

    prefs-dialog: enhance Fonts tab layout
    
    We need labels next to the buttons or after setting a custom font you won't
    know what setting are you configuring.

 data/glade/prefs-dialog.ui |  267 +++++++++++++++++++++++++++++++-------------
 src/prefs-dialog.c         |    2 +-
 2 files changed, 188 insertions(+), 81 deletions(-)

commit 558def6efcafd1eb7320e0c260332230194eb7bf
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Dec 12 12:06:33 2010 +0100

    prefs-dialog: fix General tab sizing

 data/glade/prefs-dialog.ui |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 740a103119ad7b5494171e7135e15413d447aedc
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Dec 12 00:58:53 2010 +0100

    ephy-web-view.c: fix typo

 embed/ephy-web-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bcaf5480a8edb7f62273c735507ed31b339c3cd0
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sat Dec 11 16:08:09 2010 +0100

    ephy-spell-check: remove unused files
    
    WebKitGTK+ implements this for us.
    
    Bug #637021

 lib/Makefile.am        |   13 ---
 lib/ephy-spell-check.c |  280 ------------------------------------------------
 lib/ephy-spell-check.h |   79 --------------
 3 files changed, 0 insertions(+), 372 deletions(-)

commit 270c17b0563fc3eaa3b728d2c20c6461a75e3888
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Dec 11 16:39:23 2010 +0100

    Updated Spanish translation

 po/es.po | 1956 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 958 insertions(+), 998 deletions(-)

commit 2c864f4b14da98505d2ed294e2aa20a6dca8dd19
Author: Dan Winship <danw@gnome.org>
Date:   Sat Dec 11 16:05:54 2010 +0100

    .gitignore: add EphyEgg gir/typelib

 .gitignore |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit e4bd011e19c04b2ce174fc11e8da169c6fed2738
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Dec 11 00:26:06 2010 +0200

    Updated Hebrew translation

 po/he.po |  203 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 117 insertions(+), 86 deletions(-)

commit 6f6728bed1acb6b2c516cbdc0be8370a7d11edbb
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Dec 10 20:42:19 2010 +0100

    Updated Galician translations

 po/gl.po | 1975 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 961 insertions(+), 1014 deletions(-)

commit 50d90369fe5f6eece20890d5e53a1470fa6a4a3c
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Fri Dec 10 17:47:24 2010 +0100

    po: add ephy-profile-migrator to POTFILES

 po/POTFILES.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e435a10d44dfed0705a5703b406c854a1208821e
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Sep 1 00:05:36 2009 -0500

    ephy-web-view: use custom error pages
    
    Show nice error pages instead of WebKitGTK+'s defaults.
    
    Bug #592667

 configure.ac             |    1 +
 data/Makefile.am         |    2 +-
 data/pages/Makefile.am   |    6 ++
 data/pages/error.html    |   73 ++++++++++++++++++++++
 data/pages/recovery.html |   73 ++++++++++++++++++++++
 embed/ephy-web-view.c    |  150 ++++++++++++++++++++++++++++++++++++++++++----
 embed/ephy-web-view.h    |   10 +++
 lib/ephy-file-helpers.c  |    4 +-
 src/ephy-session.c       |   81 ++-----------------------
 9 files changed, 312 insertions(+), 88 deletions(-)

commit 3a1e97fbd04ca466535da01e8fdd0bca95560aa4
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Thu Dec 9 20:02:25 2010 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 2624 +++++++++++++++++----------------------------------------
 po/zh_TW.po | 2705 ++++++++++++++++++-----------------------------------------
 2 files changed, 1591 insertions(+), 3738 deletions(-)

commit 85c5fc195a1b422c0851eed651f54aa1f9fb22f9
Author: Xan Lopez <xan@gnome.org>
Date:   Thu Dec 9 10:41:15 2010 +0100

    prefs: remove broken preferences from UI
    
    Allow pages to use their own colors/fonts preferences have never
    really worked in WebKit. I'm not even sure we want this in the UI, but
    at the very least remove them until there's a setting in the engine to
    control this.

 data/glade/prefs-dialog.ui |   30 ------------------------------
 src/prefs-dialog.c         |    6 ------
 2 files changed, 0 insertions(+), 36 deletions(-)

commit 321749b5c05208f88922c2a6aca4b460a2a12459
Author: Xan Lopez <xan@gnome.org>
Date:   Thu Dec 9 10:27:33 2010 +0100

    Fix .gir generation for srcdir != builddir
    
    Add --includedir as needed. Diego, talk to me after class.

 src/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9176664b703913181c002bbbdde575675bfd8559
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Dec 8 16:32:25 2010 +0100

    ephy-web-view: make defines friendlier with introspection
    
    Non prefixed names trigger lots of warnings, avoid them.
    
    Bug #636790

 embed/ephy-web-view.c |    2 +-
 embed/ephy-web-view.h |    4 ++--
 src/ephy-window.c     |    4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 62f2c31cefbd94e993584736fc82e33d4c62060b
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Dec 8 15:35:56 2010 +0100

    ephy-permission-manager: fix names of permission types
    
    Prefix them with EPHY_PERMISSION_TYPE instead of "EPT_".
    
    Bug #636790

 embed/ephy-permission-manager.h |    6 +++---
 embed/ephy-web-view.c           |    6 ++++--
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 576826ed720902bef4c2b916f5f973b967bbc59f
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Dec 8 15:35:32 2010 +0100

    ephy-bookmarks: remove unused BOOKMARKS_HIERARCHY_SEP
    
    Bug #636790

 src/bookmarks/ephy-bookmarks.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit c4af85360754d6d8bfeba9dabe02593c639a1ae6
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Dec 8 14:00:08 2010 +0100

    introspection: separate Egg into another gir file
    
    Don't mix up Epiphany and Egg prefixes into a single file. We now produce and
    install EphyEgg-version.gir and Epiphany-version.gir. Version being the
    Epiphany API version.
    
    Bug #636790

 src/Makefile.am |   36 ++++++++++++++++++++++++++++--------
 1 files changed, 28 insertions(+), 8 deletions(-)

commit 0256c457bc5558d97c98c17ee673923def23a85e
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Dec 8 13:07:23 2010 +0100

    introspection: fix wrong and missing annotations
    
    Bug #636790

 embed/ephy-embed-container.c      |    2 +-
 embed/ephy-embed-shell.c          |   26 +++++++++++++++++++++-----
 embed/ephy-embed-shell.h          |    2 +-
 embed/ephy-embed-single.c         |   15 +++++++--------
 embed/ephy-favicon-cache.c        |    6 +++---
 embed/ephy-permission-manager.c   |    6 +++---
 embed/ephy-web-view.c             |    4 ++--
 lib/ephy-node.c                   |   31 +++++++++++++++++++++++++++++++
 lib/widgets/ephy-location-entry.c |   20 ++++++++++----------
 src/ephy-link.c                   |   23 +++++++++++++++++++++++
 src/ephy-toolbar.c                |    4 ++--
 11 files changed, 104 insertions(+), 35 deletions(-)

commit eb8fa514e6e3edb93be01d44ecc80608501979df
Author: Jonathon Jongsma <jonathon@quotidian.org>
Date:   Tue Dec 7 22:43:52 2010 -0600

    EphyLocationAction: fix potential leak
    
    Free the lock_stock_id before setting a new one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=636742

 lib/widgets/ephy-location-entry.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4015281028a036ee859360bb7feb3a6aeb8f56cb
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Dec 7 19:51:11 2010 +0100

    prefs-dialog: new custom font selection UI
    
    Allow users to set custom sans, serif and monospace fonts if they don't want
    the defaults, which are the desktop wide settings in the
    org.gnome.desktop.interface schema.
    
    Bug #636761

 data/glade/prefs-dialog.ui             |   86 ++++++++++++++++++++++++-
 data/org.gnome.epiphany.gschema.xml.in |   20 ++++++
 embed/ephy-embed-prefs.c               |  107 +++++++++++++++++++++++++++++++-
 lib/ephy-prefs.h                       |    4 +
 src/prefs-dialog.c                     |   35 +++++++++--
 5 files changed, 240 insertions(+), 12 deletions(-)

commit bc03f56a7483e499274cf1632975dfbb7e09e9ec
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Dec 7 18:47:06 2010 +0100

    ephy-embed-prefs: use minimum-font-size instead of minimum-logical-font-size
    
    minimum-logical-font-size doesn't works as expected by the UI.
    
    Bug #636761

 embed/ephy-embed-prefs.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4a3836ec9150c5d82dc75db74f47daac5abde483
Author: Dan Winship <danw@gnome.org>
Date:   Wed Dec 8 12:36:50 2010 +0100

    .gitignore: add this

 .gitignore |   69 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 69 insertions(+), 0 deletions(-)

commit c7a8b14f52d34f47c853b3c8cd2aa8588dbb5d93
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Dec 7 19:47:37 2010 +0100

    ephy-file-helpers: prioritize uninstalled files
    
    This patch prioritizes uninstalled files so modified files in your epiphany
    checkout are used, avoiding the need to install them to see your changes.

 lib/ephy-file-helpers.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 228139f5e379048a8ee4e7545b5361017402ffd2
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Dec 7 19:02:52 2010 +0100

    data/glade: update orientation property of GtkBox widgets

 data/glade/certificate-dialogs.ui |   12 ++++++++++++
 data/glade/epiphany.ui            |    9 +++++++++
 data/glade/form-signing-dialog.ui |    6 +++++-
 data/glade/prefs-dialog.ui        |   26 ++++++++++++++++++++++----
 data/glade/print.ui               |    9 +++++++++
 5 files changed, 57 insertions(+), 5 deletions(-)

commit b695374f186d3942225bcc4434de033599f24fe8
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Dec 7 18:43:47 2010 +0100

    ephy-embed-single: don't use macros when not needed
    
    We can use the arguments of the function safely.

 embed/ephy-embed-single.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c74c2ffafded21bc3b583743b7054de65f35eef5
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Dec 7 15:59:47 2010 +0100

    ephy-embed-prefs: initialize prefs from settings
    
    Settings kept in sync with g_signal_connect were missing an initialization.

 embed/ephy-embed-prefs.c |   26 +++++++++++++++-----------
 1 files changed, 15 insertions(+), 11 deletions(-)

commit 7a0f902ad4ab5c34d70897ac3e6cec59baf690ff
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Tue Dec 7 12:39:39 2010 +0100

    ephy-profile-utils: fix crasher when .migrated is unreadable
    
    When .gnome2/epiphany/.migrated file is unreadable we can hit a crasher due to
    sscanf. We now check for NULL before feeding sscanf.

 lib/ephy-profile-utils.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 4a8a0f51849d8414cadfdeb5527820c4a689343a
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Dec 6 20:49:27 2010 +0100

    ephy-profile-migration: separate migration code into another binary
    
    The migration code is now in the ephy-profile-migrator binary, this means:
     - epiphany is not linking to NSS anymore
     - lib/ephy-profile-migration.c was split into:
      + lib/ephy-profile-migrator.c: the new ephy-profile-migrator binary
      + lib/ephy-profile-utils.c: convenience _ephy_profile_*_form_auth_data functions.
     - testing for migration is done without running ephy-profile-migrator
    
    Bug #636685

 doc/reference/Makefile.am    |    5 -
 embed/ephy-embed-single.c    |    2 +-
 embed/ephy-web-view.c        |   36 ++--
 lib/Makefile.am              |   42 +++-
 lib/ephy-profile-migration.c |  586 ------------------------------------------
 lib/ephy-profile-migration.h |   45 ----
 lib/ephy-profile-migrator.c  |  470 +++++++++++++++++++++++++++++++++
 lib/ephy-profile-utils.c     |  186 +++++++++++++
 lib/ephy-profile-utils.h     |   49 ++++
 src/Makefile.am              |    4 -
 src/ephy-main.c              |   21 ++-
 tests/Makefile.am            |    7 -
 12 files changed, 774 insertions(+), 679 deletions(-)

commit e691b408355ec7789fe07c93f6c2376660c44486
Author: Sahran <sahran.ug@gmail.com>
Date:   Mon Dec 6 21:51:04 2010 +0100

    Added UG translation

 po/ug.po | 1014 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 539 insertions(+), 475 deletions(-)

commit f0e4768d336276334d7051ea9f6ee731b47c96b9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Dec 6 18:16:13 2010 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  295 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 135 insertions(+), 160 deletions(-)

commit a7754510a01e60d856b20946e2a479b5cf149ff2
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sat Nov 6 18:24:16 2010 -0500

    ephy-embed: clean up embed widget skeleton
    
    The inspector embedding breaks some assumptions about the internal embed
    widgetry, mainly breaking EPHY_GET_EMBED_FROM_EPHY_WEB_VIEW macro.
    The embed now has the main EphyWebView in a GtkPaned permanently.
    
    Bug #628459

 embed/ephy-embed-utils.h |    2 +-
 embed/ephy-embed.c       |  100 ++++++++++++++++-----------------------------
 2 files changed, 37 insertions(+), 65 deletions(-)

commit 5ca644b3023b74aff98995a2829cc7281088e756
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Mon Dec 6 14:36:12 2010 +0200

    Updated Hebrew translation.

 po/he.po | 1791 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 853 insertions(+), 938 deletions(-)

commit a200905ba8a0533cd8c81d06df980e2f4f480953
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Sep 4 02:46:41 2010 +0300

    Updated Hebrew translation.

 po/he.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5641c511a80969b910ba45897a2be3c411d40618
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Dec 6 10:17:29 2010 +0100

    window-commands: hackfest mooded epiphany
    
    Party-approved-by: Comrade Xan

 src/window-commands.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit e8e388982b455411b17d6ee2bc187f64f70a1bea
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Dec 6 10:14:25 2010 +0100

    window-commands: fix GtkAboutDialog property name

 src/window-commands.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4f15aa13172c3e2e0aca4b1fe031ce283702f882
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Dec 6 10:00:00 2010 +0100

    Revert "Updated Russian translation from Yuri Myasoedov"
    
    This reverts commit 4289565b836e12d67449228ef6af4e6e031c54e8.
    
    This translation file is for Empathy, not Epiphany!

 po/ru.po | 5926 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 2979 insertions(+), 2947 deletions(-)

commit ef817ec85f6854a34dae62f977c834a2fe1d3c6e
Author: Alejandro G. Castro <alex@igalia.com>
Date:   Wed Dec 1 10:58:32 2010 +0100

    Handle all the different kind of errors in the load_error_cb callback
    and control they are caused by the main frame.
    
    Bug #623012

 embed/ephy-web-view.c |   73 ++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 57 insertions(+), 16 deletions(-)

commit 61394d5278c9d180e9adfee30633d31f08d5e6fb
Author: Xan Lopez <xan@gnome.org>
Date:   Tue Nov 30 00:37:34 2010 +0100

    [release] 2.91.3

 NEWS         |   10 ++++++++++
 configure.ac |    6 +++---
 2 files changed, 13 insertions(+), 3 deletions(-)

commit 48315d122dfa27a3bf30a6ce8d6c2d10f914ad21
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Tue Nov 23 22:54:48 2010 +0700

    Updated Thai translation.

 po/th.po | 1870 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 897 insertions(+), 973 deletions(-)

commit d3012a7f87b3d55effdbb20806d97528431b70cf
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Nov 21 17:15:05 2010 -0500

    ephy-web-view: manually unref DOM objects when needed
    
    Some DOM objects are not garbage collected by WebKit (since they are
    not in the DOM tree), manually unref them when they are not needed
    anymore.

 embed/ephy-web-view.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 8e5a300ccf15f9b2c80befb6ae489bace20cb3ef
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sat Nov 20 11:02:52 2010 +0100

    Added UG translation

 po/ug.po |   32 ++++++++++++++++----------------
 1 files changed, 16 insertions(+), 16 deletions(-)

commit 413cab43a2ed26de37fa38e76cfac266eb43fe3a
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Nov 20 05:59:52 2010 +0200

    Updated Arabic translation

 po/ar.po | 1821 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 873 insertions(+), 948 deletions(-)

commit 60637e1634dda521aa94f18c3cc51740d6beda78
Author: Sergio Villar Senin <svillar@igalia.com>
Date:   Wed Nov 17 12:38:50 2010 +0100

    WebKitSoupCache expects a max cache size in bytes
    
    Bug #635066

 embed/ephy-embed-single.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 45c55e012b51e902ca249a122846353f8bc91926
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sun Nov 14 00:04:22 2010 +0100

    Added UG translation

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c68bdf693ddbeff00e27163e35449171308308d0
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sat Nov 13 21:51:35 2010 +0100

    Added UG translation

 po/ug.po | 2890 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 2890 insertions(+), 0 deletions(-)

commit 76d2ce4052f359700de3b89b3ed182e55373385b
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Nov 8 22:48:53 2010 -0500

    [release] 2.91.2.1
    
    Do not depend on unreleased GTK+ (!).

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit bf1552fa311a957253e7e6b89d94e64f39016398
Author: Javier Jardón <jjardon@gnome.org>
Date:   Tue Nov 9 02:52:27 2010 +0100

    Use gtk_paned_new() instead gtk_[h|v]paned_new()

 embed/ephy-embed.c                    |    2 +-
 src/bookmarks/ephy-bookmarks-editor.c |    2 +-
 src/ephy-history-window.c             |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 631d563a1c59798b2eff35753339500caf51d9a6
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Nov 8 18:26:35 2010 -0500

    [release] 2.91.2

 NEWS         |   12 ++++++++++++
 configure.ac |    4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 3a46327008fa129b33805cc85faa6f8dd78d1f88
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Nov 7 15:15:11 2010 -0500

    ephy-web-view: use full content zoom by default
    
    As a FIXME we could support both (at the same time) somewhat easily,
    we just need to add the needed APIs in WebKitGTK+.
    
    Bug #615362

 embed/ephy-web-view.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 25645b10da23df03b84989f2ff7e910f0c2069f6
Author: Xan Lopez <xan@gnome.org>
Date:   Sat Oct 30 12:38:58 2010 +0900

    ephy-web-view: remove ge-dom-mouse signals
    
    They are not even emitted anymore, and are unused.

 embed/ephy-web-view.c |   33 ---------------------------------
 embed/ephy-web-view.h |    4 ----
 2 files changed, 0 insertions(+), 37 deletions(-)

commit 35a4ffa0fdfe4fe3c993345467cd30cc61f12d0c
Author: Xan Lopez <xan@gnome.org>
Date:   Sat Oct 30 12:31:09 2010 +0900

    ephy-main: remove libnotify leftover

 src/ephy-main.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 77f5a28aeaa1085672d53d3848b060cab476224c
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Wed Nov 3 08:54:27 2010 +0900

    Updated Japanese translation

 po/ja.po |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 174a51819570a975cc61e642f7f26cb4bc2f9c57
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Nov 1 00:56:51 2010 -0500

    tests: DBUS_LIBS is needed for libephymain.la

 tests/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d977181645702ebf719134b5651521a0490e61fa
Author: Matthias Classen <mclassen@redhat.com>
Date:   Sat Oct 30 11:21:24 2010 +0900

    Drop usage of deprecated size-request signal
    
    Signed-off-by: Xan Lopez <xan@gnome.org>

 src/ephy-fullscreen-popup.c |   25 +++++++++++++++++++++----
 1 files changed, 21 insertions(+), 4 deletions(-)

commit 4ac121ff0e7bd0882a66b3171a855575350ca08e
Author: Xan Lopez <xan@gnome.org>
Date:   Fri Oct 29 22:38:10 2010 +0900

    Remove libnotify dependency
    
    We are going to revamp the downloads UI to fit better in the Shell
    design, but for now we can just get rid of this.

 configure.ac            |   10 -----
 embed/downloader-view.c |   84 -----------------------------------------------
 src/ephy-main.c         |    9 -----
 3 files changed, 0 insertions(+), 103 deletions(-)

commit 0bc6455d757cf8a22ad3936288ff4023ddd7e4a7
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sat May 15 20:37:51 2010 -0500

    popup-commands: use the image name on Open image
    
    Name the temp file "<original_name>.XXXXXX" instead of "viewimageXXXXXX.tmp".
    
    Bug #302986

 src/popup-commands.c |   29 ++++++++++++++++-------------
 1 files changed, 16 insertions(+), 13 deletions(-)

commit 107681ebb16674e0cbac5d28966825ff1b05d609
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Oct 24 20:11:21 2010 +0900

    Always enable Web Inspector
    
    I don't think it makes any sense to make this optional, much less to
    have a UI preference for it.

 data/epiphany.convert                  |    1 -
 data/glade/prefs-dialog.ui             |   54 --------------------------------
 data/org.gnome.epiphany.gschema.xml.in |    4 --
 embed/ephy-embed-prefs.c               |    5 +--
 lib/ephy-prefs.h                       |    1 -
 src/ephy-window.c                      |    7 ----
 src/prefs-dialog.c                     |    3 --
 7 files changed, 1 insertions(+), 74 deletions(-)

commit c255df464cf44e9687f80c5845e5f31a500f7084
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Nov 2 12:10:40 2009 +0200

    Spinner changes
    
    We get rid of the spinner in the toolbar, since load information is
    already given by the floating status indicator inside the WebView.
    
    The only remaining spinner is the one in the tabs, which has been
    ported to use GtkSpinner.
    
    Get rid of EphySpinner.
    
    Fixes:
    https://bugzilla.gnome.org/show_bug.cgi?id=524809 (again)
    https://bugzilla.gnome.org/show_bug.cgi?id=598442

 doc/reference/epiphany-docs.sgml     |    1 -
 doc/reference/epiphany-sections.txt  |   10 -
 doc/reference/epiphany.types         |    2 -
 doc/reference/tmpl/ephy-spinner.sgml |   60 ---
 lib/widgets/Makefile.am              |    4 -
 lib/widgets/ephy-spinner-tool-item.c |  115 ----
 lib/widgets/ephy-spinner-tool-item.h |   62 ---
 lib/widgets/ephy-spinner.c           |  967 ----------------------------------
 lib/widgets/ephy-spinner.h           |   72 ---
 lib/widgets/testspinner.c            |  264 ---------
 src/Makefile.am                      |    2 -
 src/ephy-fullscreen-popup.c          |   56 --
 src/ephy-fullscreen-popup.h          |    3 -
 src/ephy-notebook.c                  |    8 +-
 src/ephy-toolbar.c                   |   56 --
 src/ephy-toolbar.h                   |    3 -
 src/ephy-window.c                    |    9 -
 17 files changed, 3 insertions(+), 1691 deletions(-)

commit 90f545eba59c0ecf1ea6924d909630e9a9b564c6
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Oct 24 17:21:26 2010 +0900

    ephy-web-view: don't use set-scroll-adjustments signal
    
    Instead rely on notify::{h,v}adjustment

 embed/ephy-web-view.c |   26 +++++++++++++++++++-------
 1 files changed, 19 insertions(+), 7 deletions(-)

commit e6a1b53ad5b92b572017bc756e188ccfc86b7f9a
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Oct 24 16:31:08 2010 +0900

    ephy-node-view: use new GtkScrollable APIs

 lib/widgets/ephy-node-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dfb1741fc2daf0280e058bb456f0a952da2a5ee0
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sat Oct 23 01:05:28 2010 +0200

    Updated Catalan (Valencian) translation

 po/ca@valencia.po |  248 ++++++++++++++++++++++++++--------------------------
 1 files changed, 124 insertions(+), 124 deletions(-)

commit 60fdf062468a581293d651da936dd5485ef32c8f
Author: Matthias Classen <mclassen@redhat.com>
Date:   Thu Oct 21 18:58:08 2010 +0900

    Use the new GtkComboText APIs
    
    Signed-off-by: Xan Lopez <xan@gnome.org>

 lib/widgets/ephy-zoom-control.c       |    4 ++--
 lib/widgets/testspinner.c             |    8 ++++----
 src/bookmarks/ephy-bookmarks-editor.c |    6 +++---
 src/ephy-history-window.c             |   12 ++++++------
 4 files changed, 15 insertions(+), 15 deletions(-)

commit ab1ddba880306b133d221822cc610f1276d38e20
Author: Xan Lopez <xan@gnome.org>
Date:   Wed Oct 20 23:37:18 2010 +0900

    configure.ac: post-release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2123da9266cb291026c1795bac713c57be7d8209
Author: Xan Lopez <xan@gnome.org>
Date:   Wed Oct 20 23:36:37 2010 +0900

    configure.ac: remove .1 from paper-bag release

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2ec7e377b73170bf3ba0d7b030c6e7ef26cf54e4
Author: Xan Lopez <xan@gnome.org>
Date:   Wed Oct 20 23:26:37 2010 +0900

    [release] 2.91.1.1
    
    Do not depend on gsettings-desktop-schemas 0.0.2, which is not
    released yet.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8060270950c12963a0deba342bdc8c762d19c46a
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Oct 20 08:28:49 2010 +0200

    Updated Spanish translation

 help/es/es.po |   88 ++++++++++++++++++++++++++++----------------------------
 1 files changed, 44 insertions(+), 44 deletions(-)

commit dd5b80092b1ca0e202dda7d77bc5de88d7114a3a
Author: Xan Lopez <xan@gnome.org>
Date:   Tue Oct 19 14:20:46 2010 +0900

    [release] 2.91.1

 NEWS         |   12 ++++++++++++
 configure.ac |    4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 44cb4c9450ad3e22b0777266f04b7c792d579bbf
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Oct 17 12:21:00 2010 +0200

    Added sl for Slovenian translation

 help/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit febf6a8c1540646a21415d3761d5798e439d41b4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Oct 17 12:20:39 2010 +0200

    Updated Slovenian translation

 help/sl/sl.po | 2033 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 2033 insertions(+), 0 deletions(-)

commit bd81a10c55bc49d7ee77a3ec21cc8f14691be165
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Oct 16 13:40:43 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 1373 ++++++++++++++++++++------------------------------------------
 1 files changed, 448 insertions(+), 925 deletions(-)

commit a849031ab769e10565e72e723bff1210745ea5ca
Author: Sergio Villar Senin <svillar@igalia.com>
Date:   Wed Sep 29 17:06:37 2010 +0200

    Added soup cache

 embed/ephy-embed-single.c |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 44 insertions(+), 0 deletions(-)

commit 8b4c3eb738cdd9867db3ed941743fab493e3118e
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Oct 11 20:59:27 2010 +0900

    Plug g_file_new_for_path leaks

 lib/ephy-file-helpers.c               |    3 ++-
 src/bookmarks/ephy-bookmarks-export.c |    8 ++++++--
 2 files changed, 8 insertions(+), 3 deletions(-)

commit cc56e3e286232da24a6508650b7ef026a494535b
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Oct 10 23:38:40 2010 +0900

    ephy-node-db: make the db unref all remaining nodes on destruction

 lib/ephy-node-db.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 76c730a46e58a239a448c68115d1e44ca9199749
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Oct 10 23:06:16 2010 +0900

    ephy-bookmarks: plug leak

 src/bookmarks/ephy-bookmarks.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6375ebd3361a02e6c996140b33979fc1061ef734
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Oct 10 19:28:24 2010 -0500

    epiphany.desktop: declare ability to handle http and https
    
    Bug #631450

 data/epiphany.desktop.in.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1aa8043ce4334bd6344b36a26d8604b085930c95
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Oct 10 18:11:06 2010 -0500

    ephy-extensions-manager: improve toggle load code
    
    g_variant_builder_end is not needed after using the builder with
    g_settings_set.
    
    Bug #631839

 src/ephy-extensions-manager.c |   19 +++++++++----------
 1 files changed, 9 insertions(+), 10 deletions(-)

commit 4bdb490a0b722c58db30b2ecfcf9be9af7f9f4ab
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Oct 10 17:16:39 2010 -0500

    ephy-extensions-manager: remove an always-true check
    
    It's not really a needed check anyway.

 src/ephy-extensions-manager.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 7582bfeff255dea5e465d1117cdeac5abd96f845
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Oct 10 19:11:56 2010 +0200

    [i18n] Updated German translation

 po/de.po | 1446 +++++++++++++++++++++-----------------------------------------
 1 files changed, 488 insertions(+), 958 deletions(-)

commit 3f63ae1f5c5726446b6f1e6ee3dc2bfbe05f75f9
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Oct 10 22:49:33 2010 +0900

    ephy-session: plug memory leaks

 src/ephy-session.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 2ca51b4db7d1df89873cfd79875e7f69625cf867
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Oct 10 22:46:25 2010 +0900

    Revert "Port to GtkSpinner"
    
    This reverts commit 98811918bc8c5065eb4b21feb35c9f4def67341f.
    
    Accidentally committed.

 lib/widgets/ephy-spinner-tool-item.c |   52 +-
 lib/widgets/ephy-spinner.c           |  967 ++++++++++++++++++++++++++++++++++
 lib/widgets/ephy-spinner.h           |   72 +++
 src/Makefile.am                      |    2 +
 src/ephy-fullscreen-popup.c          |   11 +-
 src/ephy-notebook.c                  |    8 +-
 6 files changed, 1078 insertions(+), 34 deletions(-)

commit 2c7cb83d8ee4f80430d8ab61cb7a97fb014c6a3d
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Oct 10 18:54:44 2010 +0900

    ephy-extensions-manager: plug memory leak

 src/ephy-extensions-manager.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 98811918bc8c5065eb4b21feb35c9f4def67341f
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Nov 2 12:10:40 2009 +0200

    Port to GtkSpinner
    
    https://bugzilla.gnome.org/show_bug.cgi?id=598442

 lib/widgets/ephy-spinner-tool-item.c |   52 +-
 lib/widgets/ephy-spinner.c           |  967 ----------------------------------
 lib/widgets/ephy-spinner.h           |   72 ---
 src/Makefile.am                      |    2 -
 src/ephy-fullscreen-popup.c          |   11 +-
 src/ephy-notebook.c                  |    8 +-
 6 files changed, 34 insertions(+), 1078 deletions(-)

commit bc0b1a4e87b6294a31a812a69bfbde1ae934be21
Author: Xan Lopez <xan@gnome.org>
Date:   Sat Oct 9 19:27:20 2010 +0900

    ephy-spinner: fix spinner drawing
    
    Was using a no longer calculated rect for the drawing coordinates.

 lib/widgets/ephy-spinner.c |    9 +--------
 1 files changed, 1 insertions(+), 8 deletions(-)

commit 14c563eb8190ce9fcced08c4e11638ad388714ab
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sat Oct 9 11:47:07 2010 +0200

    Update Czech translation by Lucas Lommer

 po/cs.po | 2182 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 1059 insertions(+), 1123 deletions(-)

commit dc394f09ad1f381c26195fc9032b833404657143
Author: Xan Lopez <xan@gnome.org>
Date:   Fri Oct 8 18:25:24 2010 +0900

    Use odd middle number for the release.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5df7af9e3041102a5f5601d60faa11c38b48de75
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Jul 25 01:59:55 2010 +0200

    gsettings: port epiphany to gsettings
    
    Adds our own schemas, a migration file and removes old gconf API and files.
    
    Bug #624485

 configure.ac                             |   21 +-
 data/Makefile.am                         |   37 +-
 data/epiphany-lockdown.schemas.in        |  119 ---
 data/epiphany.convert                    |   56 ++
 data/epiphany.schemas.in                 |  536 --------------
 data/glade/prefs-dialog.ui               |   17 +-
 data/org.gnome.epiphany.gschema.xml.in   |  237 ++++++
 data/ui/epiphany-bookmark-editor-ui.xml  |    2 +-
 embed/downloader-view.c                  |   44 +-
 embed/ephy-embed-prefs.c                 |  353 ++++------
 embed/ephy-embed-prefs.h                 |   23 -
 embed/ephy-embed-single.c                |    7 +-
 embed/ephy-embed.c                       |   10 +-
 embed/ephy-encodings.c                   |   42 +-
 embed/ephy-history.c                     |   23 +-
 embed/ephy-web-view.c                    |   14 +-
 lib/Makefile.am                          |    4 +-
 lib/eel-gconf-extensions.c               |  724 -------------------
 lib/eel-gconf-extensions.h               |   83 ---
 lib/ephy-dialog.c                        | 1144 +-----------------------------
 lib/ephy-dialog.h                        |   38 -
 lib/ephy-file-chooser.c                  |   12 +-
 lib/ephy-file-helpers.c                  |    5 +-
 lib/ephy-prefs.h                         |  126 +++--
 lib/ephy-settings.c                      |   65 ++
 lib/ephy-settings.h                      |   44 ++
 po/POTFILES.in                           |    4 +-
 src/bookmarks/ephy-bookmark-properties.c |    6 +-
 src/bookmarks/ephy-bookmarks-editor.c    |  126 +---
 src/bookmarks/ephy-bookmarks-import.c    |   18 +-
 src/bookmarks/ephy-bookmarks-ui.c        |    7 +-
 src/bookmarks/ephy-bookmarks.c           |   31 +-
 src/ephy-activation.c                    |    5 +-
 src/ephy-encoding-dialog.c               |   42 +-
 src/ephy-extensions-manager.c            |  181 +++---
 src/ephy-history-window.c                |  256 ++------
 src/ephy-home-action.c                   |    5 +-
 src/ephy-lockdown.c                      |  378 +++++------
 src/ephy-main.c                          |   12 +-
 src/ephy-net-monitor.c                   |   46 +--
 src/ephy-notebook.c                      |   24 +-
 src/ephy-session.c                       |   10 +-
 src/ephy-shell.c                         |   11 +-
 src/ephy-toolbar-editor.c                |   14 +-
 src/ephy-toolbars-model.c                |   24 +-
 src/ephy-window.c                        |   89 ++--
 src/pdm-dialog.c                         |   77 +--
 src/popup-commands.c                     |    2 +-
 src/prefs-dialog.c                       |  548 ++++++++-------
 src/window-commands.c                    |   12 +-
 50 files changed, 1564 insertions(+), 4150 deletions(-)

commit 60d08f64c2466ce8eda20d832239ec6defc9ef06
Author: Xan Lopez <xan@gnome.org>
Date:   Tue Oct 5 14:17:10 2010 +0900

    Require GTK+ 2.91.1

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6a9728101fa10bc47a2298fed0783316964eb84d
Author: Xan Lopez <xan@gnome.org>
Date:   Tue Oct 5 14:16:32 2010 +0900

    Use gtk_widget_get_preferred_size instead of gtk_widget_size_request

 lib/ephy-gui.c              |   12 ++++++------
 src/ephy-fullscreen-popup.c |    2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 2d556b740f1b21dd3b5652271de6194df0d48ac5
Author: Xan Lopez <xan@gnome.org>
Date:   Tue Oct 5 14:04:29 2010 +0900

    Adapt to latest changes in the GTK+ drawing model
    
    Mostly moving from ::expose-event to ::draw, and adapting to the
    changes in the paint functions.

 embed/ephy-web-view.c             |   20 ++++++++---------
 lib/widgets/ephy-location-entry.c |   42 +++++++++++++++++-------------------
 lib/widgets/ephy-spinner.c        |   18 +++------------
 3 files changed, 33 insertions(+), 47 deletions(-)

commit 639a3f6aa2b594c5a5f339ac32db599ae98ed39b
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Oct 4 18:36:43 2010 +0900

    ephy-embed: add _ prefix to instance/class structs

 embed/ephy-embed.c |    2 +-
 embed/ephy-embed.h |   10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 2d67545a24df8c486588043ab43c5af322251ab5
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Oct 4 18:36:24 2010 +0900

    Use gobject-introspection 0.9.5 syntax

 configure.ac    |    2 +-
 src/Makefile.am |   10 ++++++----
 2 files changed, 7 insertions(+), 5 deletions(-)

commit ab655bba1c4a1724b8ccae12de68ec762760fea5
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Oct 4 17:22:28 2010 +0900

    ephy-notebook: use set_group_name instead of set_group
    
    The latter was removed.

 src/ephy-notebook.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3211ff44c7370e35360d123031ab2d7347b993d6
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:   Sun Sep 26 16:16:10 2010 +0300

    Updated Bulgarian translation

 po/bg.po |  304 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 156 insertions(+), 148 deletions(-)

commit d1aab90396182243aa19760a9d626fdc63fa5c6b
Author: Francesco Marletta <francesco.marletta@tiscali.it>
Date:   Tue Sep 21 22:40:26 2010 +0200

    [l10n] Updated Italian translation

 po/it.po |  912 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 431 insertions(+), 481 deletions(-)

commit baeb87aacb9b4df048eb35b73dac001a802a8d20
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Mon Sep 20 01:38:23 2010 +0900

    Updated Japanese translation

 po/ja.po |  547 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 255 insertions(+), 292 deletions(-)

commit 407599bb869d6ad04e03939f5969c90832a4a730
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 15 15:11:54 2010 +0200

    Do not default to --enable-maintainer-mode in configure
    
    Note that gnome-autogen.sh (called by autogen.sh) will call
    --enable-maintainer-mode. The current setup just means we have
    --enable-maintainer-mode by default in tarballs, which is wrong.

 configure.ac |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit e46901eb21ddd73117ab28e0260c651698e7255b
Author: Xan Lopez <xan@gnome.org>
Date:   Sat Sep 11 22:23:56 2010 +0900

    Update for latest GTK+ 3.x release.

 configure.ac                          |    2 +-
 lib/widgets/ephy-location-entry.c     |   10 +++---
 lib/widgets/ephy-node-view.c          |    8 ++--
 src/bookmarks/ephy-bookmark-action.c  |    6 ++--
 src/bookmarks/ephy-bookmarks-editor.c |    2 +-
 src/ephy-find-toolbar.c               |   34 ++++++++++----------
 src/ephy-history-window.c             |    4 +-
 src/ephy-main.c                       |    2 +-
 src/ephy-window.c                     |   56 ++++++++++++++++----------------
 src/pdm-dialog.c                      |    2 +-
 10 files changed, 63 insertions(+), 63 deletions(-)

commit d36dfe69183d0e5e1207f2faa290b7867fde2ba0
Author: Andre Klapper <a9016009@gmx.de>
Date:   Mon Sep 6 20:39:41 2010 +0200

    Added Aragonese translation on behalf of Daniel Martinez Cucalon

 po/LINGUAS |    1 +
 po/an.po   | 3378 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 3379 insertions(+), 0 deletions(-)

commit 479f0a9a7ec095a8457e7d5b70695207e81f40c6
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Sep 5 22:31:45 2010 +0900

    pdm-dialog: do not crash when clearing the passwords from prefs dialog
    
    The code (wrongly) assumed we could only be called from withing the
    PDM dialog. Do some refactoring to make it more generic.
    
    Bug #606933

 src/pdm-dialog.c |   85 ++++++++++++++++++++++++++----------------------------
 1 files changed, 41 insertions(+), 44 deletions(-)

commit 3f5372159fd33c6315acb4b9da048372ca21f586
Author: Xan Lopez <xan@gnome.org>
Date:   Sun Sep 5 22:29:35 2010 +0900

    GtkDialog separators are gone in GTK+ 3.x

 data/glade/certificate-dialogs.ui        |    1 -
 data/glade/epiphany.ui                   |    3 ---
 data/glade/form-signing-dialog.ui        |    1 -
 data/glade/prefs-dialog.ui               |    2 --
 src/bookmarks/ephy-bookmark-properties.c |    1 -
 src/bookmarks/ephy-bookmarks-editor.c    |    3 +--
 src/ephy-toolbar-editor.c                |    1 -
 src/pdm-dialog.c                         |    1 -
 8 files changed, 1 insertions(+), 12 deletions(-)

commit aa3612925834a54a80b300d73d6bf4a64fb3b35f
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Fri Sep 3 17:56:49 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po |   66 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 33 insertions(+), 33 deletions(-)

commit 43e7d5085b715e7b9b523eb63beeb29121f17a7d
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Fri Sep 3 02:01:32 2010 -0500

    ephy-dialog: remove useless modal property
    
    Bug #624485

 lib/ephy-dialog.c |   39 ---------------------------------------
 lib/ephy-dialog.h |    3 ---
 2 files changed, 0 insertions(+), 42 deletions(-)

commit 61ba13a0743875521e6be98008dac3ee1c75f5c2
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Sep 2 17:53:23 2010 +0300

    Updated Hebrew translation.

 po/he.po |   78 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 39 insertions(+), 39 deletions(-)

commit 0a32007b2d9834e25bc180e520390074ac1eaf0c
Author: Xan Lopez <xan@gnome.org>
Date:   Thu Sep 2 03:30:06 2010 +0900

    Makefile: pass ACLOCAL_FLAGS to aclocal
    
    That way it can pick up m4 files in weird places if set-up properly,
    like by jhbuild.

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1a21e15098d622ecb06efa4034d3f2d8e5dc4d79
Author: Xan Lopez <xan@gnome.org>
Date:   Wed Sep 1 18:06:52 2010 +0900

    pdm-dialog: use gtk_message_dialog_get_message_area instead of home-grown hack
    
    Yay.

 src/pdm-dialog.c |   19 +------------------
 1 files changed, 1 insertions(+), 18 deletions(-)

commit eb1d1d55d89f892c158771b89eb80b49970f2139
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 1 09:16:44 2010 +0100

    Update British English translation

 po/en_GB.po |  992 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 499 insertions(+), 493 deletions(-)

commit 999dcd23280017a664d32d438593695c929bca9f
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:   Tue Aug 31 23:31:16 2010 +0300

    l10n: Updated Greek translation for epiphany

 po/el.po |  888 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 452 insertions(+), 436 deletions(-)

commit 1231b2f5db82bc23b110e9c003773c52dcef3d82
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Aug 31 05:12:33 2010 +0200

    Updated Spanish translation

 po/es.po |   54 +++++++++++++++++++++++++++---------------------------
 1 files changed, 27 insertions(+), 27 deletions(-)

commit 762fa75770dec59ded1c49c74bc67b1e5a4e7d3b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Aug 31 02:15:04 2010 +0200

    Updated Hungarian translation

 po/hu.po |   34 +++++++++++++++++-----------------
 1 files changed, 17 insertions(+), 17 deletions(-)

commit 6826970c1526fb7436f21d7b453b84912112eac7
Author: Милош Поповић <gpopac@gmail.com>
Date:   Tue Aug 31 02:24:27 2010 +0200

    Updated Serbian translation

 po/sr.po       |   62 +++++++++++++++++++++++++++++++------------------------
 po/sr@latin.po |   62 +++++++++++++++++++++++++++++++------------------------
 2 files changed, 70 insertions(+), 54 deletions(-)

commit 6316dcba109ca7cfb1ae1d4aee9471c3e25b474e
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Aug 30 13:17:37 2010 -0500

    lib/egg: update to libegg master
    
    Bug #580557

 lib/egg/egg-editable-toolbar.c |  296 ++++++++++++++++------------------------
 lib/egg/egg-toolbar-editor.c   |   55 ++++----
 lib/egg/egg-toolbars-model.c   |   68 +++++-----
 lib/egg/egg-toolbars-model.h   |    9 +-
 4 files changed, 186 insertions(+), 242 deletions(-)

commit 333aeb884c7ac134155ffa73aad8699c536d44d9
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Aug 30 13:12:14 2010 -0500

    lib/egg: update scripts
    
    Bug #580557

 lib/egg/update-from-egg.sh                  |    8 ++++++
 lib/egg/update-toolbareditor-from-libegg.sh |   35 ---------------------------
 2 files changed, 8 insertions(+), 35 deletions(-)

commit c2091dfc9e6b9054324226cff8c6b140273bd618
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Aug 30 19:00:57 2010 +0200

    Updated Slovenian translation

 po/sl.po |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit 2544c3afd640d28782394e6a031f79ab6d90a641
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Aug 22 16:03:32 2010 -0500

    ephy-favicon-cache: remove failed download files
    
    Bug #618627

 embed/ephy-favicon-cache.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 91e7be8d258530d52cf324becbaf6ed07f74d8f6
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Aug 22 16:10:48 2010 -0500

    ephy-favicon-cache: don't store invalid icon types
    
    Refuse to store in the cache any invalid icon type, this prevents us from
    storing 404 html pages as favicons.
    
    Bug #618627

 embed/ephy-favicon-cache.c |   59 +++++++++++++++++++++++++++++++++++--------
 1 files changed, 48 insertions(+), 11 deletions(-)

commit aedf2a28d8f136b6f5997dec6904a31e5cecc9fd
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Aug 22 16:08:49 2010 -0500

    ephy-favicon-cache: remove invalid files on get
    
    When calling ephy_favicon_cache_get we might hit an invalid file type that we
    didn't catch previously, delete it.
    
    Bug #618627

 embed/ephy-favicon-cache.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a5424f2cddc8b43852c3566940a8ee911a9a8b80
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Aug 22 16:01:40 2010 -0500

    ephy-favicon-cache: remove legacy EPHY_NODE_FAVICON_PROP_CHECKOLD
    
    Bug #618627

 embed/ephy-favicon-cache.c |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 3a6ed841d1fbbe93dd99056718e493161f98dd52
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Aug 30 18:18:20 2010 +0900

    downloader-view.c: do not overwrite timeout ID
    
    We just use it to update the buttons 100ms later, so having one is
    enough. If we overwrite it we might crash down the road when we run
    the timeout on a disposed DV.

 embed/downloader-view.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 7de4e2e117ded140cb1daefefe475b4199d47edd
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Aug 30 10:38:37 2010 +0200

    Updated Galician translations

 po/gl.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit c9b4ce2cd7daa0c46b412776e1caef022a09d951
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Aug 30 14:36:25 2010 +0900

    about.ini: reality check

 data/about.ini |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 3b150ece86db35c27e547997feeda21abccefc73
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Aug 30 14:28:27 2010 +0900

    Bump version to 2.90.0
    
    We won't release from master for 2.32, so skip that cycle.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 35550d6ec0eb89e79e420e53b63414c40a5c55b2
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Aug 30 14:14:54 2010 +0900

    prefs-dialog.ui: fix capitalization of "Enable Plugins"
    
    Bug #627496

 data/glade/prefs-dialog.ui |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit efa69ea894d37947817e9f4ecd638078fdb7b8af
Author: Reuben Potts <reuben03@live.com>
Date:   Sun Aug 29 14:17:50 2010 +0200

    [i18n] Updated Manx translation

 po/gv.po | 1457 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 824 insertions(+), 633 deletions(-)

commit 32aa5a9d9fccb8871cee87110dd698ed49d00065
Author: Ivar Smolin <okul@linux.ee>
Date:   Fri Aug 27 18:55:37 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po |   91 +++++++++++++++-----------------------------------------------
 1 files changed, 22 insertions(+), 69 deletions(-)

commit dc08f94b7741c0f79924f1a2574178198072d650
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Aug 27 14:52:14 2010 +0300

    Updated Hebrew translation.

 po/he.po |  283 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 146 insertions(+), 137 deletions(-)

commit e8f3224569c2ad25e9b259c9df9d660427834966
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Thu Aug 26 23:12:13 2010 +0200

    Updated French translation

 po/fr.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4106bf55ed1d3053a34fca3522464ce6eb7e795e
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Thu Aug 26 23:03:13 2010 +0200

    Updated French translation

 po/fr.po |  836 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 396 insertions(+), 440 deletions(-)

commit a5d57862392982fc718b0142be82b078e0c04505
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Aug 26 03:58:10 2010 +0200

    Updated Hungarian translation

 po/hu.po |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit ddf0781657ab7ee304529f22db9a1c07cb0035be
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Aug 26 03:56:24 2010 +0200

    Updated Hungarian translation

 po/hu.po |  829 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 392 insertions(+), 437 deletions(-)

commit f86c452f9fb60910eefd6d51ed91f6d5e41156e9
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Aug 25 23:23:28 2010 +0200

    Updated Swedish translation

 po/sv.po |   54 +++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 35 insertions(+), 19 deletions(-)

commit 0669d85d465f03216c49b48761a82ab7cd5adb14
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Aug 25 21:03:45 2010 +0530

    update translation for Punjabi

 po/pa.po |  924 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 453 insertions(+), 471 deletions(-)

commit ec62c221432cb7818c339bf42f34e4ddcde93502
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Aug 25 15:12:20 2010 +0200

    Updated Slovenian translation

 po/sl.po |  202 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 108 insertions(+), 94 deletions(-)

commit 14f57c99456edbf7083d2d3f59ff4a05f03a440b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Aug 25 11:27:20 2010 +0200

    lib/widgets: use cairo_fill() instead of cairo_paint()

 lib/widgets/ephy-location-entry.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e640a4bf5627f098c28bdb91427f2f581f6f4e53
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Aug 24 23:44:59 2010 +0200

    Update Galician translations

 po/gl.po |  205 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 110 insertions(+), 95 deletions(-)

commit 75c39d548b9d71e4cfea545b167d33d4b5697fa0
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Aug 24 22:59:36 2010 +0200

    Updated Spanish translation

 po/es.po |   53 +++++++++++++++++++++++++++++++++++------------------
 1 files changed, 35 insertions(+), 18 deletions(-)

commit cb80122bfecf6b7e6d088637e8445f543f85c50a
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
Date:   Tue Aug 24 16:34:04 2010 -0300

    Brow paper bag commit fixing bracer style.

 embed/ephy-web-view.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 0895fc6f23ec5a589a2b34f720e4fcf208a078df
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
Date:   Wed Aug 11 19:24:19 2010 -0300

    Use the Geolocation support in WebKitGTK+
    
    Using the infrastructure for info bars, present policy requests to the
    user so they can allow/deny them based on the URI of the frame that is
    requesting. Moving forward, it would be a good idea to offer to save
    the decision, and store it in the history entry for that site.
    
    Bug #626687

 embed/ephy-web-view.c |   84 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 84 insertions(+), 0 deletions(-)

commit d3f44dddc2c5081d58f32dd22e81836a45e56b9b
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
Date:   Wed Aug 11 09:44:04 2010 -0300

    Make the inspector window bigger
    
    Its current size is not very helpful, and causes a small part of the
    inspector to be cut off horizontally.
    
    Bug #626625

 embed/ephy-embed.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 36379fe3dd781ca3b99197749398ee12b0ecbc3c
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
Date:   Mon Aug 9 19:29:58 2010 -0300

    Bring inspector window to front when the inspector requests a show
    
    Bug #626493

 embed/ephy-embed.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8ca4ab2fc2585c678857860fb698dd52cafc569a
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
Date:   Mon Aug 9 18:55:26 2010 -0300

    Only show/hide the inspector window when it is detached
    
    Bug #626489

 embed/ephy-embed.c |   26 +++++++++++++++++---------
 1 files changed, 17 insertions(+), 9 deletions(-)

commit 3865f08781c9c30a2deb8dc1448d0d95923ad430
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Fri Aug 20 01:46:27 2010 -0500

    lib/widgets: use cairo for drawing widgets
    
    Drop deprecated gdk_* drawing functions.
    
    Bug #627450

 lib/widgets/ephy-location-entry.c |   82 +++++++++++++++++--------------------
 lib/widgets/ephy-spinner.c        |   18 +++-----
 2 files changed, 45 insertions(+), 55 deletions(-)

commit 926686bac9724434677e5e3b9b69974bb4737761
Author: Jonh Wendell <jwendell@gnome.org>
Date:   Thu Aug 19 15:29:53 2010 -0300

    Updated Brazilian Portuguese Translation

 po/pt_BR.po |  887 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 442 insertions(+), 445 deletions(-)

commit f59895f58ecc626c77b10eb46e394d5c9594e459
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Aug 19 18:52:41 2010 +0200

    Updated Arabic translation

 po/ar.po |  902 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 448 insertions(+), 454 deletions(-)

commit 262c8312f113980c933d416ad0261b1d3ee4ded4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Aug 17 18:41:57 2010 +0200

    Updated Slovenian translation

 po/sl.po |  254 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 126 insertions(+), 128 deletions(-)

commit ee37967003831c4f0ad2a191d93b120157f495e5
Author: Милош Поповић <gpopac@gmail.com>
Date:   Mon Aug 16 19:10:31 2010 +0200

    Updated Serbian translation

 po/sr@latin.po |   38 ++++++++------------------------------
 1 files changed, 8 insertions(+), 30 deletions(-)

commit aa1b2124e6f3456b5ba3c59087c1eec605baf3cd
Author: Милош Поповић <gpopac@gmail.com>
Date:   Mon Aug 16 19:10:22 2010 +0200

    Updated Serbian translation

 po/sr.po |   38 ++++++++------------------------------
 1 files changed, 8 insertions(+), 30 deletions(-)

commit 9888c91a98184ce1d7e38d83ffffa19412e7657f
Author: Милош Поповић <gpopac@gmail.com>
Date:   Mon Aug 16 19:05:42 2010 +0200

    Updated Serbian translation

 po/sr.po       |  976 ++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po |  976 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 976 insertions(+), 976 deletions(-)

commit 626d441f7aae39c0da5881b1ed2f9e7f3411e9da
Author: Josselin Mouette <joss@debian.org>
Date:   Mon Aug 16 18:44:42 2010 +0200

    Set Accept-Language header correctly
    
    This makes language autodetection, as implemented by some websites, to
    work.
    
    Most of the code stolen from libsoup.
    Original patch from Mario Sánchez Prada.
    Updated to work with non-English locales.
    Approved by Gustavo Noronha.
    
    Bug 602547

 embed/ephy-embed-prefs.c |   52 ++++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 48 insertions(+), 4 deletions(-)

commit 4289565b836e12d67449228ef6af4e6e031c54e8
Author: Leonid Kanter <leon@asplinux.ru>
Date:   Mon Aug 16 13:51:50 2010 +0300

    Updated Russian translation from Yuri Myasoedov

 po/ru.po | 5926 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 2947 insertions(+), 2979 deletions(-)

commit 1646f307bb3b536eeac377fecf1bf7b830a44e66
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Aug 9 11:18:11 2010 -0500

    ephy-embed-prefs.h: remove old unused defines
    
    Bug #626454

 embed/ephy-embed-prefs.h |   12 ------------
 1 files changed, 0 insertions(+), 12 deletions(-)

commit 5be0c2ce9380dc75d5dd988aa084571a558b847f
Author: Daniel Nylander <po@danielnylander.se>
Date:   Fri Aug 6 13:44:40 2010 +0200

    Updated Swedish translation

 po/sv.po |  872 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 425 insertions(+), 447 deletions(-)

commit 840397d46b479a192ed811a7c33cca8a03b21a16
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Thu Aug 5 11:39:18 2010 +0200

    Updated Spanish translation

 po/es.po |  258 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 126 insertions(+), 132 deletions(-)

commit 83f85841473bea3642e1f694f0b3c5f0d8ca07d4
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
